package com.agilex.healthcare.mobilehealthplatform.consult.dao.cdw;

import java.io.Serializable;
import java.lang.reflect.ParameterizedType;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

public abstract class GenericDaoCdw <T, ID extends Serializable> {  
    protected Class<T> persistentClass;  

	@PersistenceContext(unitName ="cdwPersistenceUnit")
	protected EntityManager cdwEntityManager;

	@SuppressWarnings("unchecked")
    public GenericDaoCdw() {
		ParameterizedType genericSuperclass = (ParameterizedType) getClass().getGenericSuperclass();
	    this.persistentClass = (Class<T>) genericSuperclass.getActualTypeArguments()[0];
    }

	protected T get(final ID id) {
        return cdwEntityManager.find(persistentClass, id);
    }

}
