package com.agilex.healthcare.mobilehealthplatform.consult.dao.cdw;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Query;

import org.springframework.stereotype.Repository;

import com.agilex.healthcare.mobilehealthplatform.consult.dao.Mapper;
import com.agilex.healthcare.mobilehealthplatform.consult.dao.Transformable;
import com.agilex.healthcare.mobilehealthplatform.domain.*;

@Repository
public class LookupListDaoCdw extends GenericDaoCdw<Consult, Long> {
	
	public Specialties fetchSpecialties(String facilityCode){
		String sql = "SELECT * FROM App.Specialty WHERE Sta3n = :facilityCode";
		sql = sql.concat(" order by Specialty asc");
		Query query = this.cdwEntityManager.createNativeQuery(sql, SpecialtyPo.class);
		query.setParameter("facilityCode", facilityCode);
		
		@SuppressWarnings("unchecked")
		List<SpecialtyPo> resultList = query.getResultList();
		List<Transformable<? extends DomainTransferObject>> transformableList = createSpecialtyList(resultList);
		Specialties specialties = new Specialties();
		Mapper.add(transformableList, specialties);
		return specialties;
	}	
	private List<Transformable<? extends DomainTransferObject>> createSpecialtyList(List<SpecialtyPo> results) {
		List<Transformable<? extends DomainTransferObject>> transformableList = new ArrayList<Transformable<? extends DomainTransferObject>>();
		transformableList.addAll(results);
		return transformableList;
	}

}