package com.agilex.healthcare.mobilehealthplatform.consult.dao.cdw;

import com.agilex.healthcare.mobilehealthplatform.consult.dao.Transformable;
import com.agilex.healthcare.mobilehealthplatform.domain.Specialty;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "App.Specialty")
@XStreamAlias("Specialty")
public class SpecialtyPo implements Transformable<Specialty>, Serializable {
	
	private static final long serialVersionUID = -6314815373948814610L;

	@Id
	@Column(name = "SpecialtySID")
	private String SID;
	
	@Column(name = "SpecialtyIEN")
	private String IEN;
	
	@Column(name = "Sta3n")
	private String sta3n;	
	
	@Column(name = "Specialty")
	private String name;
	
	public SpecialtyPo() {}

	public SpecialtyPo(Specialty dto) {
		this.setSID(dto.getUniqueId());
		this.setName(dto.getName());
	}

	@Override
	public Specialty create() {
		Specialty specialty = new Specialty();
		specialty.setName(this.getName());
		specialty.setUniqueId(this.getSID());
		return specialty;
	}

	public String getSID() {
		return SID;
	}

	public void setSID(String SID) {
		this.SID = SID;
	}

	public String getIEN() {
		return IEN;
	}

	public void setIEN(String iEN) {
		IEN = iEN;
	}

	public String getSta3n() {
		return sta3n;
	}

	public void setSta3n(String sta3n) {
		this.sta3n = sta3n;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}


}