#!/bin/sh
# ###########################################################################
# Script generated by HP Fortify SCA Scan Wizard (c) HP Fortify 2011
# Created on 2014/02/07 13:14:34
# ###########################################################################
# Generated for the following languages:
# 	Java
# 	XML
# ###########################################################################
# DEBUG - if set to true, runs SCA in debug mode
# SOURCEANALYZER - the name of the SCA executable
# BUILDID - the SCA build id
# LAUNCHERSWITCHES - the launcher settings that are used to invoke SCA
# ARGFILE - the name of the argument file that's extracted and passed to SCA
# MEMORY - the memory settings for SCA
# OLDFILENUMBER - this defines the file which contains the number of files within the project, it is automatically generated
# FILENOMAXDIFF - this is the percentage of difference between the number of files which will trigger a warning by the script
# ###########################################################################

DEBUG=false
SOURCEANALYZER=sourceanalyzer
FPR="FortifyDataServiceApi.fpr"
BUILDID="DataServiceApi"
ARGFILE="FortifyDataServiceApi.sh.args"
MEMORY="-Xmx2400M -Xms1200M -Xss48M "
BUILD_CLASSES="../../MetricsApi/build/libs/*.jar:../../TaskService/build/libs/*.jar:../../EncounterMDWS/build/libs/*.jar:../../HealthCheck/build/libs/*.jar:../../MDWSLib/build/libs/*.jar"
BUILD_DIR="../build"

LAUNCHERSWITCHES=""
OLDFILENUMBER=FortifyDataServiceApi.sh.fileno
FILENOMAXDIFF=10

if [ -z "$1" ]; then
     PROJECTROOT0="$HOME/patient-viewer-resources/Product/Production/DataServiceApi";
 else
     PROJECTROOT0=$1;
 fi

 if [ -z "$2" ]; then
     DEPENDENT_JARS="$HOME/.gradle/caches/artifacts-24/filestore/**/*.jar"
 else
     DEPENDENT_JARS="$2"
 fi

 if [ ! -d "$PROJECTROOT0" ]; then
    echo  "ERROR: This script is  configured to locate files at $PROJECTROOT0"
    echo  "       Please modify the \$PROJECTROOT0 variable found at the top of this script"
    echo  "       to point to the corresponding directory located on this machine.\n"
    echo  "Usage: FortifyDataServiceApi.sh <PROJECT_ROOT0> <DEPENDENT_JARS"
    echo  "       <PROJECT_ROOT0> - optional if not set defaults to $HOME/patient-viewer-resources/Product/Production/DataServiceApi"
    echo  "       <DEPENDENT_JARS> - optional if not set defaults to $HOME/.gradle/caches/artifacts-24/filestore/**/*.jar\n"
    exit
 fi

if [ $DEBUG = true ]; then export LAUNCHERSWITCHES="-debug $LAUNCHERSWITCHES"; fi
echo Extracting Arguments File


grep "# ARGS" $0 | grep -v grep | cut -d" " -f3- | sed -e s#PROJECTROOT0_MARKER#"$PROJECTROOT0"#g   > $ARGFILE

# ###########################################################################
echo Cleaning previous scan artifacts
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -clean 
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Translating files
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -cp $DEPENDENT_JARS:$BUILD_CLASSES @$ARGFILE
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Testing Difference between Translations
FILENUMBER=`$SOURCEANALYZER -b $BUILDID -show-files | wc -l`

if [ ! -f $OLDFILENUMBER ]; then
	echo It appears to be the first time running this script, setting $OLDFILENUMBER to $FILENUMBER
	echo $FILENUMBER > $OLDFILENUMBER
else
	OLDFILENO=`cat $OLDFILENUMBER`
	DIFF=`expr $OLDFILENO "*" $FILENOMAXDIFF`
	DIFF=`expr $DIFF /  100`

	MAX=`expr $OLDFILENO + $DIFF`
	MIN=`expr $OLDFILENO - $DIFF`

	if [ $FILENUMBER -lt $MIN ] ; then SHOWWARNING=true; fi
	if [ $FILENUMBER -gt $MAX ] ; then SHOWWARNING=true; fi

	if [ $SHOWWARNING == true ] ; then
		echo "WARNING: The number of files has changed by over $FILENOMAXDIFF%, it is recommended"
		echo "         that this script is regenerated with the ScanWizard"
	fi

	echo $MAX $MIN $DIFF
fi;

# ###########################################################################
echo Starting scan
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -scan -findbugs -java-build-dir $BUILD_DIR -f $FPR
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Finished
# ARGS "-source"
# ARGS "1.6"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.facilitydefinition.translator.clinic.ClinicTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.facilitydefinition.translator.ward.WardTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.businesslayer.MedicationDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.EligibilityCalculatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.MonthlyPainReportGeneratorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.PainConsolidatedReportGeneratorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.PTSDToolCalculatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ReportGeneratorFactoryTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ResultScorerTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ToolCategoryTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ZaritReportGeneratorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ZaritToolCalculatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.clinic.ClinicDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.documents.DocumentServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.email.EmailTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.lab.AbnormalityFlagCalculatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.LabResultOrganizer2Test.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.LabResultOrganizerTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.MicrobiologyLabDataServiceRetrieveAllResultsTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.MicrobiologyLabDataServiceRetrieveResultsByTestAndSpecimenTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.MicrobiologyLabGrouperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.medication.MedicationDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.medication.rxrefill.MedicationRefillDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.notification.DeviceRegistrationDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.notification.NotificationDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.notification.NotificationUserDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.patient.AgeCalculatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.patient.PatientDataServicePagingTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.patient.PatientDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.patient.PatientMetadataDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.patient.patientsearchstringparser.ParsePatientSearchStringTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.staffdirectory.StaffDirectoryDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.ward.WardDataServiceTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.ical.iCalHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.idm.IdmClientTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.patientcorrelation.PatientCorrelationIntegrationMockTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.patientcorrelation.PatientCorrelationMemoryImplementationTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.securemessage.SecureMessageUserVerificationCacheTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.security.VoterHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.serviceregistry.ServiceRegistryTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.test.AssertExTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.PagingTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.PatientIdExtractorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.QueryParameterHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.QueryParametersTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.AdmissionLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.AllergyLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.AppointmentLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ChemistryLabResultLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ChemistryLabTestLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ClinicLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ContactLogLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.MedicationLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.MicrobiologyLabLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.MicrobiologyLabTestLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.PatientLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ProblemLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.RadiologyResultLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.RadiologyTestLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.SurgeryLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.VitalsLinkBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.UriDtoValidatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.UriHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.notewriter.datalayer.DiagnosisTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.notewriter.datalayer.EncounterCodeTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.notewriter.datalayer.facilityprovider.FacilityProviderTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.notewriter.translator.ClinicalEventTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.notewriter.translator.ClinicalNoteTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.patientsearch.translator.PatientSearchTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.facilitydefinition.translator.clinic.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.facilitydefinition.translator.ward.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.businesslayer.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.clinic.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.documents.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.email.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.lab.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.medication.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.medication.rxrefill.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.notification.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.patient.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.patient.patientsearchstringparser.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.staffdirectory.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.ward.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.ical.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.idm.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.patientcorrelation.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.securemessage.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.security.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.serviceregistry.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.test.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.utils.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.notewriter.datalayer.facilityprovider.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.notewriter.datalayer.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.notewriter.translator.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.patientsearch.translator.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/facilitydefinition/datalayer/clinic/ClinicDataLayerMongoTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/facilitydefinition/datalayer/specialty/SpecialtyDataLayerMongoTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/facilitydefinition/datalayer/ward/WardDataLayerMongoTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/AppointmentRequestMessageCreatedMessageHandlerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/AppointmentRequestMessageNotificationGatewayTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/AppointmentRequestMessageNotificationWorkerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/BatchEmailNotificationWorkerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/EmailNotificationGatewayTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/EmailNotificationMessageHandlerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/EmailNotificationWorkerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/EndToEndTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/MailSenderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/MessagingFactoryTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/MessagingTestHelper.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/appointmentrequestmessage/MockEmailNotificationMessageHandlerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/admission/AdmissionDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/allergy/AllergyDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/appointment/AppointmentDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/appointment/AppointmentMetricsDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/appointment/AppointmentRequestDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/appointment/AppointmentRequestMessagesDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/appointment/DetailCodeDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/AssessmentResultsDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/MergePclAssessmentResultsTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/PTSDReportGeneratorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/calendar/CalendarDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/calendar/CalendarEventDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/dataretriever/router/RequestMessageTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/dataretriever/RouterTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/email/EmailServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/facility/FacilityDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/feedback/UserFeedbackDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/ChemistryLabDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/ChemistryLabGrouperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/LabTestGroupsIntegrationTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/micro/MicrobiologyLabDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/RetrieveMicrobiologyLabResultsByTestIdTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/medication/rxrefill/FetchRefillableMedicationRequestHandlerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/mood/MoodEventDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/notification/JavaPNSLearningTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/patient/PatientDisplayNameTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/patient/PatientsSearchTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/preference/PatientPreferenceDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/problem/ProblemDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/provider/ProviderDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/radiology/RadiologyDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/staffuserdisclaimer/StaffUserDisclaimerDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/security/AbstractVoterTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/security/PatientInPilotVoterTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/security/PatientUserVoterTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/security/StaffUserDisclaimerVoterTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/test/SpringBasedIntegration.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/utils/PilotFacilitiesHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/ClinicalEventResourceDirectoryBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/LocationServiceResourceDirectoryBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/ResourceDirectoryBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/notewriter/datalayer/ClinicalEventDataLayerMongoTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/notewriter/datalayer/FacilityProviderDataLayerMongoTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/notewriter/datalayer/FacilityProviderDataLayerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/notewriter/datalayer/procedure/ProcedureDataLayerMongoTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/patientsearch/datalayer/PatientSearchDataLayerMongoTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/patientsearch/datalayer/PatientSearchUtilities.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/facilitydefinition/translator/clinic/ClinicTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/facilitydefinition/translator/ward/WardTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/businesslayer/MedicationDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/EligibilityCalculatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/MonthlyPainReportGeneratorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/MonthlyPainReportTestHelper.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/PainConsolidatedReportGeneratorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/PTSDToolCalculatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/ReportGeneratorFactoryTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/ResultScorerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/ToolCategoryTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/ZaritReportGeneratorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/ZaritToolCalculatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/clinic/ClinicDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/documents/DocumentServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/email/EmailTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/AbnormalityFlagCalculatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/micro/LabResultOrganizer2Test.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/micro/LabResultOrganizerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/micro/MicrobiologyLabDataServiceRetrieveAllResultsTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/micro/MicrobiologyLabDataServiceRetrieveResultsByTestAndSpecimenTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/lab/micro/MicrobiologyLabGrouperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/medication/MedicationDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/medication/rxrefill/MedicationRefillDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/metric/TimingTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/notification/DeviceRegistrationDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/notification/NotificationDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/notification/NotificationUserDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/patient/AgeCalculatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/patient/PatientDataServicePagingTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/patient/PatientDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/patient/PatientMetadataDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/patient/patientsearchstringparser/ParsePatientSearchStringTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/staffdirectory/StaffDirectoryDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/ward/WardDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/ical/iCalHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/idm/IdmClientTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/MockRouterHelper.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/patientcorrelation/PatientCorrelationIntegrationMockTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/patientcorrelation/PatientCorrelationMemoryImplementationTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/securemessage/SecureMessageUserVerificationCacheTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/security/VoterHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/security/VoterServletRequest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/security/VoterServletResponse.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/serviceregistry/MhpObjectFactoryMock.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/serviceregistry/PatientCorrelationEchoMock.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/serviceregistry/ServiceRegistryTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/test/AssertEx.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/test/AssertExTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/test/MockServiceRegistryFactory.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/PagingTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/PatientIdExtractorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/QueryParameterHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/QueryParametersTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/AbstractLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/AdmissionLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/AllergyLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/AppointmentLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/ChemistryLabResultLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/ChemistryLabTestLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/ClinicLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/ContactLogLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/MedicationLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/MicrobiologyLabLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/MicrobiologyLabTestLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/PatientLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/ProblemLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/RadiologyResultLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/RadiologyTestLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/SurgeryLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/linkbuilder/VitalsLinkBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/UriDtoValidatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/UriHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/utils/uriformaters/UriTester.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/notewriter/datalayer/DiagnosisTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/notewriter/datalayer/EncounterCodeTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/notewriter/datalayer/facilityprovider/FacilityProviderTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/notewriter/translator/ClinicalEventTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/notewriter/translator/ClinicalEventUtilities.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/notewriter/translator/ClinicalNoteTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/patientsearch/translator/PatientSearchTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/log4j.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/properties/cdw_configuration.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/properties/default_configuration.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/properties/messages_en_US.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/properties/va-provider-dev/va-provider-dev.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/properties/va-provider-prod/va-provider-prod.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/resources/applicationContext.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/resources/META-INF/cocoon/spring/va-provider-dev/applicationContext-JPA.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/resources/META-INF/cocoon/spring/va-provider-prod/applicationContext-JPA.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/applicationContext.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/com/agilex/healthcare/mobilehealthplatform/serviceregistry/ServiceRegistry.conf.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/com/agilex/healthcare/mobilehealthplatform/serviceregistry/ServiceRegistry.dev.conf.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/com/agilex/healthcare/mobilehealthplatform/serviceregistry/ServiceRegistry.va-provider-dev.conf.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/com/agilex/healthcare/mobilehealthplatform/serviceregistry/ServiceRegistry.va-provider-prod.conf.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/com/agilex/healthcare/mobilehealthplatform/serviceregistry/ServiceRegistry.va-provider-test.conf.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/applicationContext-cdw-JPA.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/applicationContext-default.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/applicationContext-JPA.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/labgroups.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/va-provider-dev/applicationContext-va-provider-dev.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/va-provider-prod/applicationContext-va-provider-prod.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/vistaSites.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/vistaSitesScheduling.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.facilitydefinition.translator.clinic.ClinicTranslatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.facilitydefinition.translator.ward.WardTranslatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.businesslayer.MedicationDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.EligibilityCalculatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.MonthlyPainReportGeneratorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.PainConsolidatedReportGeneratorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.PTSDToolCalculatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ReportGeneratorFactoryTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ResultScorerTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ToolCategoryTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ZaritReportGeneratorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.ZaritToolCalculatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.clinic.ClinicDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.documents.DocumentServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.email.EmailTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.lab.AbnormalityFlagCalculatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.LabResultOrganizer2Test.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.LabResultOrganizerTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.MicrobiologyLabDataServiceRetrieveAllResultsTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.MicrobiologyLabDataServiceRetrieveResultsByTestAndSpecimenTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro.MicrobiologyLabGrouperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.medication.MedicationDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.medication.rxrefill.MedicationRefillDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.notification.DeviceRegistrationDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.notification.NotificationDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.notification.NotificationUserDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.patient.AgeCalculatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.patient.PatientDataServicePagingTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.patient.PatientDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.patient.PatientMetadataDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.patient.patientsearchstringparser.ParsePatientSearchStringTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.staffdirectory.StaffDirectoryDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.ward.WardDataServiceTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.ical.iCalHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.idm.IdmClientTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.patientcorrelation.PatientCorrelationIntegrationMockTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.patientcorrelation.PatientCorrelationMemoryImplementationTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.securemessage.SecureMessageUserVerificationCacheTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.security.VoterHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.serviceregistry.ServiceRegistryTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.test.AssertExTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.PagingTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.PatientIdExtractorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.QueryParameterHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.QueryParametersTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.AdmissionLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.AllergyLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.AppointmentLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ChemistryLabResultLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ChemistryLabTestLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ClinicLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ContactLogLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.MedicationLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.MicrobiologyLabLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.MicrobiologyLabTestLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.PatientLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.ProblemLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.RadiologyResultLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.RadiologyTestLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.SurgeryLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder.VitalsLinkBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.UriDtoValidatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.UriHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.notewriter.datalayer.DiagnosisTranslatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.notewriter.datalayer.EncounterCodeTranslatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.notewriter.datalayer.facilityprovider.FacilityProviderTranslatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.notewriter.translator.ClinicalEventTranslatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.notewriter.translator.ClinicalNoteTranslatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.patientsearch.translator.PatientSearchTranslatorTest.xml"
# ARGS "PROJECTROOT0_MARKER"
