package com.agilex.healthcare.notewriter.datalayer;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import javax.annotation.Resource;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.agilex.healthcare.mobilehealthplatform.domain.FacilityProvider;
import com.agilex.healthcare.mobilehealthplatform.domain.FacilityProviders;
import com.agilex.healthcare.notewriter.datalayer.facilityprovider.FacilityProviderDataLayerMongo;

@ContextConfiguration(locations = { "classpath:integrationApplicationContext.xml"})
@RunWith(SpringJUnit4ClassRunner.class)
public class FacilityProviderDataLayerMongoTest {

	@Resource
	FacilityProviderDataLayerMongo dataLayer;

	@Test
	public void FetchProvider() {
		String facilityCode = "777";

		SearchFilterFactory filterFactory = new SearchFilterFactory();
		SearchFilter filter = filterFactory.createEmptySearchFilter();

		filter.setSearchString("Provider,Ninetyfour");
		filter.setMaxRecords(SearchFilter.DEFAULT_MAX_RECORDS);

		FacilityProviders facilityProviders = dataLayer.findFacilityProviders(facilityCode, filter);


		assertNotNull(facilityProviders);
		assertTrue(facilityProviders.size() == 1);
		FacilityProvider facilityProvider = facilityProviders.get(0);
		assertEquals(facilityProvider.getProviderIen(), "9019");
		assertEquals(facilityProvider.getProviderName(), "PROVIDER,NINETYFOUR");
		assertEquals(facilityProvider.getFacilityCode(), "777");
	}

}
