package com.agilex.healthcare.patientsearch.datalayer;

import org.junit.Assert;
import org.junit.runner.RunWith;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.stereotype.Component;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.mongodb.BasicDBObject;
import com.mongodb.DB;
import com.mongodb.DBCollection;
import com.mongodb.DBCursor;
import com.mongodb.DBObject;
import com.mongodb.MongoClient;

public class PatientSearchUtilities {
	public static final String FACILITY_CODE = "TESTDATA";
	
	public  void removeTestDataFromMongo(org.apache.commons.logging.Log log) {
		
		try {
			ApplicationContext context = new ClassPathXmlApplicationContext("integrationApplicationContext.xml");
			MongoClient mongoClient = (MongoClient)context.getBean("mongoClient");

			DB db = mongoClient.getDB("patient-search");
			DBCollection coll = db.getCollection("selected-patients");

			BasicDBObject query = new BasicDBObject();
			query.put("provider.facilityCode", java.util.regex.Pattern.compile("^" + FACILITY_CODE));


			DBCursor iterator = coll.find(query);
			log.debug("Starting removal of test data from Mongo");
			while (iterator.hasNext()) {
				DBObject dbObject = iterator.next();
//				log.debug(dbObject.toString());
				coll.remove(dbObject);
			}
			log.debug("Finished removal of test data from Mongo");
		}
		catch (Exception e) {
			Assert.fail(e.getMessage());
		}
	}
}
