package com.agilex.healthcare.facilitydefinition.datalayer.specialty;

import com.agilex.healthcare.mobilehealthplatform.domain.DataSourceSystem;
import com.agilex.healthcare.mobilehealthplatform.domain.Specialties;
import com.agilex.healthcare.mobilehealthplatform.domain.Specialty;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class SpecialtyDataService {
	private SpecialtyDataLayer dataLayer = null;

    public SpecialtyDataService() {
        dataLayer = MhpObjectFactory.getInstance().getSpecialtyDataLayer();
    }

    public Specialties getFacilitySpecialties(String facilityCode){
        return dataLayer.fetchSpecialties(facilityCode);
    }

    public Specialty getSpecialty(String facilityCode, String specialtyName){
        return dataLayer.fetchSpecialty(facilityCode,specialtyName);
    }
    
    /**
     * Fetch specialties list from CDW. The specialties list in the MongoDB has no IEN nor SID.
     * In addition, this list the maps specialty to clinics. 
     * For consults in the Patient Viewer, it needs just specialty with IEN or SID.
     * @param facilityCode
     * @return Specialties
     */
    public Specialties fetchSpecialties(String facilityCode, String system){
    	SpecialtyDataLayer cdwDataLayer = MhpObjectFactory.getInstance().getSpecialtyDataLayer(DataSourceSystem.valueOf(system.toUpperCase()));
    	return cdwDataLayer.fetchSpecialties(facilityCode);
    }
}


