package com.agilex.healthcare.facilitydefinition.translator;

import com.agilex.healthcare.mobilehealthplatform.domain.Clinic;
import com.agilex.healthcare.mobilehealthplatform.domain.Clinics;
import com.agilex.healthcare.mobilehealthplatform.domain.Specialty;
import com.agilex.healthcare.mobilehealthplatform.utils.StringUtil;
import com.mongodb.BasicDBObject;
import com.mongodb.DBObject;
import com.mongodb.BasicDBList;

import java.util.Iterator;

public class SpecialtyTranslator {

    private final String NAME_KEY = "name";
    private final String CLINICS_KEY = "clinics";
    private final String CLINIC_ID_KEY = "id";
    private final String FACILITY_CODE_KEY = "facility";

    public Specialty translate(DBObject po) {
        Specialty specialty = new Specialty();

        if (po != null) {

            specialty.setName(StringUtil.objectToString(po.get(NAME_KEY)));
            BasicDBList clinicList = (BasicDBList) po.get(CLINICS_KEY);

            Clinics specialtyClinics = new Clinics();
            Iterator it = clinicList.iterator();
            while (it.hasNext()) {
                BasicDBObject clinicPo = (BasicDBObject) it.next();
                if (clinicPo.get(CLINIC_ID_KEY) != null) {
                    Clinic clinic = new Clinic();
                    clinic.setName(StringUtil.objectToString(clinicPo.get(NAME_KEY)));
                    clinic.setId(StringUtil.objectToString(clinicPo.get(CLINIC_ID_KEY)));
                    clinic.setFacilityCode(StringUtil.objectToString(po.get(FACILITY_CODE_KEY)));

                    specialtyClinics.add(clinic);
                }
            }

            specialty.setSpecialtyClinics(specialtyClinics);
        }
        return specialty;
    }

}
