package com.agilex.healthcare.mobilehealthplatform.appointmentrequestmessage;

import com.agilex.healthcare.mobilehealthplatform.domain.AppointmentRequestMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;

/**
 * Created with IntelliJ IDEA.
 * User: clarkee
 * Date: 2/19/13
 * Time: 3:40 PM
 * To change this template use File | Settings | File Templates.
 */
public class AppointmentRequestMessageNotificationGateway extends MessagingGateway {

    private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(AppointmentRequestMessageNotificationGateway.class);
    public AppointmentRequestMessageNotificationGateway(HaMessagingConfiguration configuration) {
        super(configuration);
    }

    public void sendMessageToPatient(AppointmentRequestMessage appointmentRequestMessage) throws MessagePublishException {

        sendMessageToPatient(appointmentRequestMessage.getPatientIdentifier());
    }
    
    public void sendMessageToPatient(PatientIdentifier patientIdentifier) throws MessagePublishException {

        logger.debug("Notification message received for " + patientIdentifier.getAssigningAuthority() + "/" + patientIdentifier.getUniqueId());

        AppointmentRequestMessageCreatedMessage message = new AppointmentRequestMessageCreatedMessage(patientIdentifier);

        publishMessage(message);
    }
}



