package com.agilex.healthcare.mobilehealthplatform.appointmentrequestmessage;

import com.agilex.messaging.core.Message;

import java.io.Serializable;
import java.util.UUID;

/**
 * Created with IntelliJ IDEA.
 * User: clarkee
 * Date: 2/22/13
 * Time: 3:27 PM
 * To change this template use File | Settings | File Templates.
 */
@SuppressWarnings("serial")
public class EmailNotificationMessage implements Message, Serializable {
    public static final String QUEUE_NAME = "emailNotificationMessageChannel";

    private String emailAddress;
    private final String messageId;
    private EmailDefaults emailDefaults;

    public EmailNotificationMessage(String emailAddress, EmailDefaults emailDefaults) {
        this.emailDefaults = emailDefaults;
        this.messageId = UUID.randomUUID().toString();
        this.emailAddress = emailAddress;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    @Override
    public String id() {
        return messageId;
    }

    public String getMessageBody() {
        return emailDefaults.getBody();
    }

    public String getFrom() {
        return emailDefaults.getFrom();
    }

    public String getReplyTo() {
        return emailDefaults.getReplyTo();
    }

    public String getSubject() {
        return emailDefaults.getSubject();
    }
}
