package com.agilex.healthcare.mobilehealthplatform.appointmentrequestmessage;

import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;
import org.springframework.mail.javamail.JavaMailSender;

/**
 * Created with IntelliJ IDEA.
 * User: clarkee
 * Date: 2/25/13
 * Time: 1:31 PM
 * To change this template use File | Settings | File Templates.
 */
public class MessagingFactory {
    private static MhpObjectFactory factory = new MhpObjectFactory();

    public static EmailNotificationGateway getEmailNotificationGateway(){
            return factory.getBean("emailNotificationGateway", EmailNotificationGateway.class);
    }
    public static EmailNotificationWorker getEmailNotificationWorker(){
        return factory.getBean("emailNotificationWorker", EmailNotificationWorker.class);
    }

    public static AppointmentRequestMessageNotificationGateway getAppointmentRequestMessageNotificationGateway(){
        return factory.getBean("appointmentRequestMessageNotificationGateway", AppointmentRequestMessageNotificationGateway.class);
    }
    public static HaMessagingConfiguration getAppointmentRequestMessageNotificationConfiguration(){
        return factory.getBean("appointmentRequestMessageNotificationConfiguration", HaMessagingConfiguration.class);
    }

    public static JavaMailSender getJavaMailSender(){
        return factory.getBean("mailSender", JavaMailSender.class);
    }

    public static BatchEmailNotificationGateway getBatchEmailNotificationGateway() {
        return factory.getBean("batchEmailNotificationGateway", BatchEmailNotificationGateway.class);
    }

    public static HaMessagingConfiguration getBatchEmailNotificationConfiguration() {
        return factory.getBean("batchEmailNotificationConfiguration", HaMessagingConfiguration.class);
    }

    public static BatchEmailNotificationMessageHandler getBatchEmailNotificationMessageHandler() {
        return factory.getBean("batchEmailNotificationHandler", BatchEmailNotificationMessageHandler.class);
    }

    public static BatchEmailNotificationWorker getBatchEmailNotificationWorker(){
        return factory.getBean("batchEmailNotificationWorker", BatchEmailNotificationWorker.class);
    }
}
