package com.agilex.healthcare.mobilehealthplatform.datalayer;

import com.agilex.healthcare.mobilehealthplatform.domain.MhpUser;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifiers;
import com.agilex.healthcare.mobilehealthplatform.security.MhpUserFactory;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.DataSystem;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.DomainServiceRegistry;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.ScopeFilter;

import java.util.Collection;

/**
 * Created with IntelliJ IDEA.
 * User: patelh
 * Date: 9/12/13
 * Time: 10:26 AM
 * To change this template use File | Settings | File Templates.
 */
public class PatientIdentifierTranslator {

    public PatientIdentifier translatePatientIdentifier(Collection<DataSystem> dataSystems, PatientIdentifier patientIdentifier){
        PatientIdentifiers patientIdentifiers = MhpObjectFactory.getInstance().getPatientCorrelationService().getCorrespondIdentifiers(patientIdentifier);
        if(patientIdentifiers != null && patientIdentifiers.size() > 0){
            for (DataSystem targetDataSystem : dataSystems) {
                String targetSystemIdentifier = targetDataSystem.getSystemIdentifier();
                String targetAssigningAuthority = targetDataSystem.getPatientAssigningAuthority();
                if ("vista".equalsIgnoreCase(targetSystemIdentifier)) {
                    MhpUser currentUser = getCurrentUser();
                    targetAssigningAuthority = String.format(targetDataSystem.getPatientAssigningAuthority(), currentUser.getVistaLocation());
                }
                for (PatientIdentifier userIdentifier : patientIdentifiers) {
                    if (userIdentifier.getAssigningAuthority().equals(targetAssigningAuthority)) {
                        return userIdentifier;
                    }
                }
            }
        }
        return patientIdentifier;
    }

    public Collection<DataSystem> determineDataSystemList(ScopeFilter scopeFilter, String domain) {
        DomainServiceRegistry registry = new DomainServiceRegistry();
        return registry.getDataSystems(scopeFilter, domain);
    }

    private MhpUser getCurrentUser(){
        return MhpUserFactory.createFromSecurityContext();
    }
}
