package com.agilex.healthcare.mobilehealthplatform.datalayer.consult;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.PatientDataFetchRequestBuilder;

public class ConsultFetchRequestBuilder extends PatientDataFetchRequestBuilder {
	private ConsultFetchRequestBuilder(RequestMessage request) {
		super(request);
	}

	public static ConsultFetchRequestBuilder forRetrieveList() {
		RequestMessage request = new RequestMessage();
		ConsultFetchRequestBuilder builder = new ConsultFetchRequestBuilder(request);
		request.setType("FetchListOfPatientData");
		return builder;
	}

	public static ConsultFetchRequestBuilder forRetrieveSingleById() {
		RequestMessage request = new RequestMessage();
		ConsultFetchRequestBuilder builder = new ConsultFetchRequestBuilder(request);
		request.setType("FetchPatientDataById");
		return builder;
	}

	public PatientDataFetchRequestBuilder forConsultFilter(ConsultFilter consultFilter) {
		request.setValue("consult-filter", consultFilter);
		return this;
	}

}
