package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderStatusValue;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderStatusValueCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.Text;
import com.agilex.healthcare.mobilehealthplatform.domain.TextValueCollection;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class AcceptOrderValueResponseBuilder {
	private ResponseMessage response;

	private AcceptOrderValueResponseBuilder(ResponseMessage response) {
		this.response = response;
	}

	public static AcceptOrderValueResponseBuilder newInstance() {
		ResponseMessage response = new ResponseMessage();
		return new AcceptOrderValueResponseBuilder(response);
	}

	public static <Ts extends TextValueCollection<T>, T extends Text> AcceptOrderValueResponseBuilder fromTextValues(Ts dataList) {
		ResponseMessage response = new ResponseMessage();
		AcceptOrderValueResponseBuilder builder = new AcceptOrderValueResponseBuilder(response);
		builder.appendTextValueData(dataList);
		return builder;
	}

	public <Ts extends TextValueCollection<T>, T extends Text> AcceptOrderValueResponseBuilder appendTextValueData(Ts dataList) {
		if (dataList != null) {

			@SuppressWarnings("unchecked")
            Ts existingDataList = response.getValue("data-list");
			if (existingDataList == null) {
				// note: the need to create a new collection prevents us from
				// modifying the source collection. In case of caching or
				// in-memory
				// mock this can lead to unindented effects
				@SuppressWarnings("unchecked")
				Ts aggregatedCollection = (Ts) MhpObjectFactory.initializeByType(dataList.getClass());
				aggregatedCollection.addAll(dataList);

				response.setValue("data-list", aggregatedCollection);
			} else {
				existingDataList.addAll(dataList);
			}
		}

		return this;
	}

	public ResponseMessage build() {
		return response;
	}

}
