package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.Text;
import com.agilex.healthcare.mobilehealthplatform.domain.TextValueCollection;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class AcceptOrderValueResponseReader<Ts extends TextValueCollection<T>, T extends Text> {

	private ResponseMessage response;

	private AcceptOrderValueResponseReader(ResponseMessage request) {
		this.response = request;
	}

	public static <Ts extends TextValueCollection<T>, T extends Text> AcceptOrderValueResponseReader<Ts, T> fromResponse(ResponseMessage response) {
		return new AcceptOrderValueResponseReader<Ts, T>(response);
	}

	public static AcceptOrderValueResponseReader<TextValueCollection<Text>, Text> fromResponseWithoutType(ResponseMessage response) {
		return new AcceptOrderValueResponseReader<TextValueCollection<Text>, Text>(response);
	}

	@SuppressWarnings("unchecked")
    public Ts getDataList() {
		return (Ts) response.getValue("data-list");
	}

	public Ts getDataListNoNull(Class<Ts> type) {
		Ts dataList = getDataList();
		if (dataList == null)
			dataList = MhpObjectFactory.initializeByType(type);
		return dataList;
	}

	public int getDataListSize() {
		if (getDataList() == null) {
			return 0;
		} else {
			return getDataList().size();
		}
	}

	@SuppressWarnings("unchecked")
    public T getDataItem() {
		return (T) response.getValue("data-item");
	}

	public OrderFetchRequestReader getRequestReader() {
		return OrderFetchRequestReader.fromRequest(response.getRequestMessage());
	}
}
