package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.HospitalLocation;
import com.agilex.healthcare.mobilehealthplatform.domain.HospitalLocationsCollection;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class HospitalLocationsResponseBuilder {
	private ResponseMessage response;

	private HospitalLocationsResponseBuilder(ResponseMessage response) {
		this.response = response;
	}

	public static HospitalLocationsResponseBuilder newInstance() {
		ResponseMessage response = new ResponseMessage();
		return new HospitalLocationsResponseBuilder(response);
	}

	public static <Ts extends HospitalLocationsCollection<T>, T extends HospitalLocation> HospitalLocationsResponseBuilder fromHospitalLocationValues(Ts dataList) {
		ResponseMessage response = new ResponseMessage();
		HospitalLocationsResponseBuilder builder = new HospitalLocationsResponseBuilder(response);
		builder.appendHospitalLocationValueData(dataList);
		return builder;
	}

	public <Ts extends HospitalLocationsCollection<T>, T extends HospitalLocation> HospitalLocationsResponseBuilder appendHospitalLocationValueData(Ts dataList) {
		if (dataList != null) {

			@SuppressWarnings("unchecked")
            Ts existingDataList = response.getValue("data-list");
			if (existingDataList == null) {
				// note: the need to create a new collection prevents us from
				// modifying the source collection. In case of caching or
				// in-memory
				// mock this can lead to unindented effects
				@SuppressWarnings("unchecked")
				Ts aggregatedCollection = (Ts) MhpObjectFactory.initializeByType(dataList.getClass());
				aggregatedCollection.addAll(dataList);

				response.setValue("data-list", aggregatedCollection);
			} else {
				existingDataList.addAll(dataList);
			}
		}

		return this;
	}

	public ResponseMessage build() {
		return response;
	}

}
