package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.HospitalLocation;
import com.agilex.healthcare.mobilehealthplatform.domain.HospitalLocationsCollection;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class HospitalLocationsResponseReader<Ts extends HospitalLocationsCollection<T>, T extends HospitalLocation> {

	private ResponseMessage response;

	private HospitalLocationsResponseReader(ResponseMessage request) {
		this.response = request;
	}

	public static <Ts extends HospitalLocationsCollection<T>, T extends HospitalLocation> HospitalLocationsResponseReader<Ts, T> fromResponse(ResponseMessage response) {
		return new HospitalLocationsResponseReader<Ts, T>(response);
	}

	public static HospitalLocationsResponseReader<HospitalLocationsCollection<HospitalLocation>, HospitalLocation> fromResponseWithoutType(ResponseMessage response) {
		return new HospitalLocationsResponseReader<HospitalLocationsCollection<HospitalLocation>, HospitalLocation>(response);
	}

	@SuppressWarnings("unchecked")
    public Ts getDataList() {
		return (Ts) response.getValue("data-list");
	}

	public Ts getDataListNoNull(Class<Ts> type) {
		Ts dataList = getDataList();
		if (dataList == null)
			dataList = MhpObjectFactory.initializeByType(type);
		return dataList;
	}

	public int getDataListSize() {
		if (getDataList() == null) {
			return 0;
		} else {
			return getDataList().size();
		}
	}

	@SuppressWarnings("unchecked")
    public T getDataItem() {
		return (T) response.getValue("data-item");
	}

	public OrderFetchRequestReader getRequestReader() {
		return OrderFetchRequestReader.fromRequest(response.getRequestMessage());
	}
}
