package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderImagingType;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderImagingTypesCollection;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class OrderImagingTypeResponseBuilder {
	private ResponseMessage response;

	private OrderImagingTypeResponseBuilder(ResponseMessage response) {
		this.response = response;
	}

	public static OrderImagingTypeResponseBuilder newInstance() {
		ResponseMessage response = new ResponseMessage();
		return new OrderImagingTypeResponseBuilder(response);
	}

	public static <Ts extends OrderImagingTypesCollection<T>, T extends OrderImagingType> OrderImagingTypeResponseBuilder fromImagingTypesValues(Ts dataList) {
		ResponseMessage response = new ResponseMessage();
		OrderImagingTypeResponseBuilder builder = new OrderImagingTypeResponseBuilder(response);
		builder.appendImgagingTypeValueData(dataList);
		return builder;
	}

	public <Ts extends OrderImagingTypesCollection<T>, T extends OrderImagingType> OrderImagingTypeResponseBuilder appendImgagingTypeValueData(Ts dataList) {
		if (dataList != null) {

			@SuppressWarnings("unchecked")
            Ts existingDataList = response.getValue("data-list");
			if (existingDataList == null) {
				// note: the need to create a new collection prevents us from
				// modifying the source collection. In case of caching or
				// in-memory
				// mock this can lead to unindented effects
				@SuppressWarnings("unchecked")
				Ts aggregatedCollection = (Ts) MhpObjectFactory.initializeByType(dataList.getClass());
				aggregatedCollection.addAll(dataList);

				response.setValue("data-list", aggregatedCollection);
			} else {
				existingDataList.addAll(dataList);
			}
		}

		return this;
	}

	public ResponseMessage build() {
		return response;
	}

}
