package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderImagingType;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderImagingTypesCollection;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class OrderImagingTypeResponseReader<Ts extends OrderImagingTypesCollection<T>, T extends OrderImagingType> {

	private ResponseMessage response;

	private OrderImagingTypeResponseReader(ResponseMessage request) {
		this.response = request;
	}

	public static <Ts extends OrderImagingTypesCollection<T>, T extends OrderImagingType> OrderImagingTypeResponseReader<Ts, T> fromResponse(ResponseMessage response) {
		return new OrderImagingTypeResponseReader<Ts, T>(response);
	}

	public static OrderImagingTypeResponseReader<OrderImagingTypesCollection<OrderImagingType>, OrderImagingType> fromResponseWithoutType(ResponseMessage response) {
		return new OrderImagingTypeResponseReader<OrderImagingTypesCollection<OrderImagingType>, OrderImagingType>(response);
	}

	@SuppressWarnings("unchecked")
    public Ts getDataList() {
		return (Ts) response.getValue("data-list");
	}

	public Ts getDataListNoNull(Class<Ts> type) {
		Ts dataList = getDataList();
		if (dataList == null)
			dataList = MhpObjectFactory.initializeByType(type);
		return dataList;
	}

	public int getDataListSize() {
		if (getDataList() == null) {
			return 0;
		} else {
			return getDataList().size();
		}
	}

	@SuppressWarnings("unchecked")
    public T getDataItem() {
		return (T) response.getValue("data-item");
	}

	public OrderFetchRequestReader getRequestReader() {
		return OrderFetchRequestReader.fromRequest(response.getRequestMessage());
	}
}
