package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListItemEntriesCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListItemEntry;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class OrderPickListItemEntriesResponseBuilder {
	private ResponseMessage response;

	private OrderPickListItemEntriesResponseBuilder(ResponseMessage response) {
		this.response = response;
	}

	public static OrderPickListItemEntriesResponseBuilder newInstance() {
		ResponseMessage response = new ResponseMessage();
		return new OrderPickListItemEntriesResponseBuilder(response);
	}

	public static <Ts extends OrderPickListItemEntriesCollection<T>, T extends OrderPickListItemEntry> OrderPickListItemEntriesResponseBuilder fromOrderPickListItemEntriesValues(Ts dataList) {
		ResponseMessage response = new ResponseMessage();
		OrderPickListItemEntriesResponseBuilder builder = new OrderPickListItemEntriesResponseBuilder(response);
		builder.appendOrderPickListItemEntryValueData(dataList);
		return builder;
	}

	public <Ts extends OrderPickListItemEntriesCollection<T>, T extends OrderPickListItemEntry> OrderPickListItemEntriesResponseBuilder appendOrderPickListItemEntryValueData(Ts dataList) {
		if (dataList != null) {

			@SuppressWarnings("unchecked")
            Ts existingDataList = response.getValue("data-list");
			if (existingDataList == null) {
				// note: the need to create a new collection prevents us from
				// modifying the source collection. In case of caching or
				// in-memory
				// mock this can lead to unindented effects
				@SuppressWarnings("unchecked")
				Ts aggregatedCollection = (Ts) MhpObjectFactory.initializeByType(dataList.getClass());
				aggregatedCollection.addAll(dataList);

				response.setValue("data-list", aggregatedCollection);
			} else {
				existingDataList.addAll(dataList);
			}
		}

		return this;
	}

	public ResponseMessage build() {
		return response;
	}

}
