package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListItemEntriesCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListItemEntry;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class OrderPickListItemEntriesResponseReader<Ts extends OrderPickListItemEntriesCollection<T>, T extends OrderPickListItemEntry> {

	private ResponseMessage response;

	private OrderPickListItemEntriesResponseReader(ResponseMessage request) {
		this.response = request;
	}

	public static <Ts extends OrderPickListItemEntriesCollection<T>, T extends OrderPickListItemEntry> OrderPickListItemEntriesResponseReader<Ts, T> fromResponse(ResponseMessage response) {
		return new OrderPickListItemEntriesResponseReader<Ts, T>(response);
	}

	public static OrderPickListItemEntriesResponseReader<OrderPickListItemEntriesCollection<OrderPickListItemEntry>, OrderPickListItemEntry> fromResponseWithoutType(ResponseMessage response) {
		return new OrderPickListItemEntriesResponseReader<OrderPickListItemEntriesCollection<OrderPickListItemEntry>, OrderPickListItemEntry>(response);
	}

	@SuppressWarnings("unchecked")
    public Ts getDataList() {
		return (Ts) response.getValue("data-list");
	}

	public Ts getDataListNoNull(Class<Ts> type) {
		Ts dataList = getDataList();
		if (dataList == null)
			dataList = MhpObjectFactory.initializeByType(type);
		return dataList;
	}

	public int getDataListSize() {
		if (getDataList() == null) {
			return 0;
		} else {
			return getDataList().size();
		}
	}

	@SuppressWarnings("unchecked")
    public T getDataItem() {
		return (T) response.getValue("data-item");
	}

	public OrderFetchRequestReader getRequestReader() {
		return OrderFetchRequestReader.fromRequest(response.getRequestMessage());
	}
}
