package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListsCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListItem;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class OrderPickListsResponseReader<Ts extends OrderPickListsCollection<T>, T extends OrderPickListItem> {

	private ResponseMessage response;

	private OrderPickListsResponseReader(ResponseMessage request) {
		this.response = request;
	}

	public static <Ts extends OrderPickListsCollection<T>, T extends OrderPickListItem> OrderPickListsResponseReader<Ts, T> fromResponse(ResponseMessage response) {
		return new OrderPickListsResponseReader<Ts, T>(response);
	}

	public static OrderPickListsResponseReader<OrderPickListsCollection<OrderPickListItem>, OrderPickListItem> fromResponseWithoutType(ResponseMessage response) {
		return new OrderPickListsResponseReader<OrderPickListsCollection<OrderPickListItem>, OrderPickListItem>(response);
	}

	@SuppressWarnings("unchecked")
    public Ts getDataList() {
		return (Ts) response.getValue("data-list");
	}

	public Ts getDataListNoNull(Class<Ts> type) {
		Ts dataList = getDataList();
		if (dataList == null)
			dataList = MhpObjectFactory.initializeByType(type);
		return dataList;
	}

	public int getDataListSize() {
		if (getDataList() == null) {
			return 0;
		} else {
			return getDataList().size();
		}
	}

	@SuppressWarnings("unchecked")
    public T getDataItem() {
		return (T) response.getValue("data-item");
	}

	public OrderFetchRequestReader getRequestReader() {
		return OrderFetchRequestReader.fromRequest(response.getRequestMessage());
	}
}
