package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.Text;

public class OrderProcedureMessageResponseReader<T extends Text> {

	private ResponseMessage response;

	private OrderProcedureMessageResponseReader(ResponseMessage request) {
		this.response = request;
	}

	public static <T extends Text> OrderProcedureMessageResponseReader<T> fromResponse(ResponseMessage response) {
		return new OrderProcedureMessageResponseReader<T>(response);
	}

	public static OrderProcedureMessageResponseReader<Text> fromResponseWithoutType(ResponseMessage response) {
		return new OrderProcedureMessageResponseReader<Text>(response);
	}

	@SuppressWarnings("unchecked")
    public T getDataItem() {
		return (T) response.getValue("data-item");
	}

	public OrderFetchRequestReader getRequestReader() {
		return OrderFetchRequestReader.fromRequest(response.getRequestMessage());
	}
}
