package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderStatusValue;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderStatusValueCollection;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class OrderStatusValueResponseReader<Ts extends OrderStatusValueCollection<T>, T extends OrderStatusValue> {

	private ResponseMessage response;

	private OrderStatusValueResponseReader(ResponseMessage request) {
		this.response = request;
	}

	public static <Ts extends OrderStatusValueCollection<T>, T extends OrderStatusValue> OrderStatusValueResponseReader<Ts, T> fromResponse(ResponseMessage response) {
		return new OrderStatusValueResponseReader<Ts, T>(response);
	}

	public static OrderStatusValueResponseReader<OrderStatusValueCollection<OrderStatusValue>, OrderStatusValue> fromResponseWithoutType(ResponseMessage response) {
		return new OrderStatusValueResponseReader<OrderStatusValueCollection<OrderStatusValue>, OrderStatusValue>(response);
	}

	@SuppressWarnings("unchecked")
    public Ts getDataList() {
		return (Ts) response.getValue("data-list");
	}

	public Ts getDataListNoNull(Class<Ts> type) {
		Ts dataList = getDataList();
		if (dataList == null)
			dataList = MhpObjectFactory.initializeByType(type);
		return dataList;
	}

	public int getDataListSize() {
		if (getDataList() == null) {
			return 0;
		} else {
			return getDataList().size();
		}
	}

	@SuppressWarnings("unchecked")
    public T getDataItem() {
		return (T) response.getValue("data-item");
	}

	public OrderFetchRequestReader getRequestReader() {
		return OrderFetchRequestReader.fromRequest(response.getRequestMessage());
	}
}
