package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderableImagingProcedure;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderableImagingProceduresCollection;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class OrderableImagingProceduresResponseBuilder {
	private ResponseMessage response;

	private OrderableImagingProceduresResponseBuilder(ResponseMessage response) {
		this.response = response;
	}

	public static OrderableImagingProceduresResponseBuilder newInstance() {
		ResponseMessage response = new ResponseMessage();
		return new OrderableImagingProceduresResponseBuilder(response);
	}

	public static <Ts extends OrderableImagingProceduresCollection<T>, T extends OrderableImagingProcedure> OrderableImagingProceduresResponseBuilder fromOrderableImagingProceduresValues(Ts dataList) {
		ResponseMessage response = new ResponseMessage();
		OrderableImagingProceduresResponseBuilder builder = new OrderableImagingProceduresResponseBuilder(response);
		builder.appendOrderableImagingProceduresValueData(dataList);
		return builder;
	}

	public <Ts extends OrderableImagingProceduresCollection<T>, T extends OrderableImagingProcedure> OrderableImagingProceduresResponseBuilder appendOrderableImagingProceduresValueData(Ts dataList) {
		if (dataList != null) {

			@SuppressWarnings("unchecked")
            Ts existingDataList = response.getValue("data-list");
			if (existingDataList == null) {
				// note: the need to create a new collection prevents us from
				// modifying the source collection. In case of caching or
				// in-memory
				// mock this can lead to unindented effects
				@SuppressWarnings("unchecked")
				Ts aggregatedCollection = (Ts) MhpObjectFactory.initializeByType(dataList.getClass());
				aggregatedCollection.addAll(dataList);

				response.setValue("data-list", aggregatedCollection);
			} else {
				existingDataList.addAll(dataList);
			}
		}

		return this;
	}

	public ResponseMessage build() {
		return response;
	}

}
