package com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListItem;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListsCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderableImagingProcedure;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderableImagingProceduresCollection;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class OrderableImagingProceduresResponseReader<Ts extends OrderableImagingProceduresCollection<T>, T extends OrderableImagingProcedure> {

	private ResponseMessage response;

	private OrderableImagingProceduresResponseReader(ResponseMessage request) {
		this.response = request;
	}

	public static <Ts extends OrderableImagingProceduresCollection<T>, T extends OrderableImagingProcedure> OrderableImagingProceduresResponseReader<Ts, T> fromResponse(ResponseMessage response) {
		return new OrderableImagingProceduresResponseReader<Ts, T>(response);
	}

	public static OrderableImagingProceduresResponseReader<OrderableImagingProceduresCollection<OrderableImagingProcedure>, OrderableImagingProcedure> fromResponseWithoutType(ResponseMessage response) {
		return new OrderableImagingProceduresResponseReader<OrderableImagingProceduresCollection<OrderableImagingProcedure>, OrderableImagingProcedure>(response);
	}

	@SuppressWarnings("unchecked")
    public Ts getDataList() {
		return (Ts) response.getValue("data-list");
	}

	public Ts getDataListNoNull(Class<Ts> type) {
		Ts dataList = getDataList();
		if (dataList == null)
			dataList = MhpObjectFactory.initializeByType(type);
		return dataList;
	}

	public int getDataListSize() {
		if (getDataList() == null) {
			return 0;
		} else {
			return getDataList().size();
		}
	}

	@SuppressWarnings("unchecked")
    public T getDataItem() {
		return (T) response.getValue("data-item");
	}

	public OrderFetchRequestReader getRequestReader() {
		return OrderFetchRequestReader.fromRequest(response.getRequestMessage());
	}
}
