package com.agilex.healthcare.mobilehealthplatform.datalayer.document;

import com.agilex.healthcare.mobilehealthplatform.datalayer.PatientIdentifierTranslator;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestHandler;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.PatientDataFetchRequestReader;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.PatientDataResponseBuilder;
import com.agilex.healthcare.mobilehealthplatform.datalayer.report.ReportDocumentDataLayer;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.mobilehealthplatform.domain.ReportDocuments;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.DomainServiceRegistry;

/**
 * Created with IntelliJ IDEA.
 * User: patelh
 * Date: 2/21/14
 * Time: 7:06 AM
 * To change this template use File | Settings | File Templates.
 */
public class FetchPatientAllReportDocumentHandler implements RequestHandler {
    @Override
    public ResponseMessage handle(RequestMessage requestMessage) {
        ReportDocumentDataLayer dataLayer = getDataLayer(requestMessage);
        PatientDataFetchRequestReader requestReader = PatientDataFetchRequestReader.fromRequest(requestMessage);
        PatientIdentifierTranslator translator = new PatientIdentifierTranslator();
        PatientIdentifier patientIdentifier = translator.translatePatientIdentifier(translator.determineDataSystemList(requestReader.getScopeFilter(), requestReader.getDomain()), requestReader.getPatientIdentifier());
        ReportDocuments reportDocuments = dataLayer.getPatientAllReportDocuments(patientIdentifier, requestReader.getDateFilter());
        return PatientDataResponseBuilder.fromPatientData(reportDocuments).build();
    }

    private ReportDocumentDataLayer getDataLayer(RequestMessage requestMessage) {
        DomainServiceRegistry serviceRegistry = new DomainServiceRegistry();
        return serviceRegistry.getDataLayerByMessage(requestMessage);
    }
}
