package com.agilex.healthcare.mobilehealthplatform.datalayer.lab;

import com.agilex.healthcare.mobilehealthplatform.utils.StringUtil;
import com.agilex.healthcare.mongo.MongoClientFactory;
import com.agilex.healthcare.mongo.SharedMongoClient;
import com.mongodb.BasicDBObject;
import com.mongodb.DB;
import com.mongodb.DBCollection;
import com.mongodb.DBObject;
import com.mongodb.MongoClient;

public class CreatinineTestDataLayerMongo {
	private static final org.apache.commons.logging.Log LOGGER = org.apache.commons.logging.LogFactory.getLog(CreatinineTestDataLayerMongo.class);
	
	private static DB db;
	private static DBCollection dbCollection;
	final private static String SITE="site";
	final private static String IEN="ien";
	
	public CreatinineTestDataLayerMongo(MongoClient mongoClient){
		try{
			db = mongoClient.getDB("orders");
			dbCollection = db.getCollection("creatinine");
		}
		catch(com.mongodb.MongoException e){
			LOGGER.error("Unable to connect to Mongo DB - Mongo Exception",e);
			throw new RuntimeException("Unable to connect to Mongo DB - Mongo Exception", e);
		}
	}

    public CreatinineTestDataLayerMongo(String databaseName, String collectionName) {
        SharedMongoClient sharedMongoClient = MongoClientFactory.getInstance().getMongoClient();
        db = sharedMongoClient.getDB(databaseName);
        dbCollection = db.getCollection(collectionName);
        dbCollection.dropIndexes();
    }
	
	public int fetchCreatinineTestLookUpInfo(String siteId){
		BasicDBObject query = new BasicDBObject(SITE,siteId);
		DBObject dbObject = (DBObject) dbCollection.findOne(query);
		
		return translateToCreatinineTest(dbObject);
	}
	
	public int translateToCreatinineTest(DBObject dbObject){
		int ien=Integer.parseInt(StringUtil.objectToString(dbObject.get(IEN)));
		return ien;
	}
	
}
