package com.agilex.healthcare.mobilehealthplatform.datalayer.order;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestHandler;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.HospitalLocationsResponseBuilder;
import com.agilex.healthcare.mobilehealthplatform.domain.HospitalLocations;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.DomainServiceRegistry;

public class FetchOrderLocationsRequestHandler implements RequestHandler {
    @Override
    public ResponseMessage handle(RequestMessage requestMessage) {

        EmrOrderDataLayer emrOrderDataLayer = getDataLayer(requestMessage);

        HospitalLocations hospitalLocations = emrOrderDataLayer.fetchLocations(requestMessage.getValueAsString("site"),
                requestMessage.getValueAsString("target"), requestMessage.getValueAsString("direction"));

        ResponseMessage responseMessage = HospitalLocationsResponseBuilder.fromHospitalLocationValues(hospitalLocations).build();

        return responseMessage;
    }

    private  EmrOrderDataLayer getDataLayer(RequestMessage requestMessage) {
        DomainServiceRegistry serviceRegistry = new DomainServiceRegistry();
        return serviceRegistry.getDataLayerByMessage(requestMessage);
    }
}
