package com.agilex.healthcare.mobilehealthplatform.datalayer.order;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestHandler;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.OrderStatusValueResponseBuilder;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderStatuses;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.DomainServiceRegistry;

public class FetchOrderStatusesRequestHandler implements RequestHandler {
    @Override
    public ResponseMessage handle(RequestMessage requestMessage) {

        OrderDataLayer orderDataLayer = getDataLayer(requestMessage);

        OrderStatuses orderStatuses = orderDataLayer.fetchOrderStatuses(requestMessage.getValueAsString("site"));

        ResponseMessage responseMessage = OrderStatusValueResponseBuilder.fromOrderStatusValues(orderStatuses).build();

        return responseMessage;
    }

    private  OrderDataLayer getDataLayer(RequestMessage requestMessage) {
        DomainServiceRegistry serviceRegistry = new DomainServiceRegistry();
        return serviceRegistry.getDataLayerByMessage(requestMessage);
    }
}
