package com.agilex.healthcare.mobilehealthplatform.datalayer.order;

import com.agilex.healthcare.mobilehealthplatform.domain.Order;

import java.util.Comparator;

/**
 * Created with IntelliJ IDEA.
 * User: vguthrie
 * Date: 10/23/13
 * Time: 2:58 PM
 */
public class OrderTypeComparator implements Comparator<Order> {

    @Override
    public int compare(Order order, Order order2) {
    	if(order == null){
    		return -1;
    	}
    	if(order2 == null){
    		return 1;
    	}
    	//MOM-73 - Sorting the list to follow the ENUM first, then OrderType
    	// Grouping should be Meds, Labs, and then Rads
    	if(null != order.getOrderGrouping() && null != order2.getOrderGrouping() 
    			&& !order.getOrderGrouping().equals(order2.getOrderGrouping())){
            return order.getOrderGrouping().compareTo(order2.getOrderGrouping());
        }
    	//now let's sort based on the order type
        if(null != order.getOrderType() && null != order2.getOrderType()){
            return order.getOrderType().compareTo(order2.getOrderType());
        }
        return 0;
    }
}
