package com.agilex.healthcare.mobilehealthplatform.datalayer.pathology;


import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.Router;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.PatientDataFetchRequestBuilder;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.PatientDataResponseReader;
import com.agilex.healthcare.mobilehealthplatform.domain.*;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilter;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.Domain;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.ScopeFilter;

public class PathologyDataService {

    private Router router = new Router();

    public PathologyDataService() {

    }

    public PathologyReports getPathologyReportsForPatient(PatientIdentifier patientIdentifier, DateFilter dateFilter){
        RequestMessage requestMessage = PatientDataFetchRequestBuilder.forPatientPathologyReports().forPatientIdentifier(patientIdentifier).forDateFilter(dateFilter).forDomain(Domain.patientPathologyReports).forScopeFilter(ScopeFilter.getInstanceForOperationalScope()).build();
        ResponseMessage responseMessage = router.execute(requestMessage);
        return PatientDataResponseReader.<PathologyReports, PathologyReport>fromResponse(responseMessage).getDataListNoNull(PathologyReports.class);
    }
}
