package com.agilex.healthcare.mobilehealthplatform.datalayer.patient.patientsearchstringparser.algorithms;

import com.agilex.healthcare.mobilehealthplatform.datalayer.patient.PatientSearchCriteria;
import com.agilex.healthcare.mobilehealthplatform.datalayer.patient.patientsearchstringparser.SearchStringParsingAlgorithm;

public class LastFourSsnParsingAlgorithm extends SearchStringParsingAlgorithm {
	private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(SearchStringParsingAlgorithm.class);

	@Override
	protected String getApplicableSearchStringPattern() {
		return "^[0-9]{4}";
	}

	@Override
	public PatientSearchCriteria parse(String searchString) {
		PatientSearchCriteria criteria = new PatientSearchCriteria();
		logger.debug("setting criteria LastFourOfSsn to " + searchString);
		criteria.setLastFourOfSsn(searchString);
		return criteria;
	}

}
