package com.agilex.healthcare.mobilehealthplatform.datalayer.patient.patientsearchstringparser.algorithms;

import com.agilex.healthcare.mobilehealthplatform.datalayer.patient.PatientSearchCriteria;
import com.agilex.healthcare.mobilehealthplatform.datalayer.patient.patientsearchstringparser.SearchStringParsingAlgorithm;
import com.agilex.healthcare.mobilehealthplatform.domain.Patient;

public class LastnameCommaFirstnameParsingAlgorithm extends SearchStringParsingAlgorithm {
	private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(LastnameCommaFirstnameParsingAlgorithm.class);

	@Override
	protected String getApplicableSearchStringPattern() {
		return "^[a-z][^0-9].*";
	}

	@Override
	public PatientSearchCriteria parse(String searchString) {
		// this can be further optimized using a compiled regex pattern
		Patient prototype = new Patient();
		String[] parts = searchString.split(",");
		boolean containedMiddleName = false;
		if (parts.length >= 1)
			prototype.setLastName(parts[0].trim());
		if (parts.length >= 2) {
			String name = parts[1].trim();
			if (name.contains(" ")) {
				containedMiddleName = true;
				String firstName = name.substring(0, name.indexOf(" "));
				String middleName = name.substring(name.indexOf(" ")+1);
				prototype.setFirstName(firstName);
				prototype.setMiddleName(middleName);
			}
			else {
				prototype.setFirstName(name);
			}
		}
		if (logger.isDebugEnabled()) {
			String logStr = "Parsed searchstring [" + searchString + "] into:  lastname=["
							+ prototype.getLastName() + "]; firstname=[" + prototype.getFirstName() + "]";
			if (containedMiddleName)
				logStr += "; middlename=[" + prototype.getMiddleName() + "]";
			logger.debug(logStr);
		}
		PatientSearchCriteria criteria = new PatientSearchCriteria();
		criteria.setPrototype(prototype);
		return criteria;
	}

}
