package com.agilex.healthcare.mobilehealthplatform.datalayer.progressnote;


import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.ResponseMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.Router;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.PatientDataFetchRequestBuilder;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.PatientDataResponseReader;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.mobilehealthplatform.domain.ProviderNote;
import com.agilex.healthcare.mobilehealthplatform.domain.ProviderNotes;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilter;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.Domain;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.ScopeFilter;

public class ProgressNoteDataService {
    private Router router = new Router();

    public ProviderNotes getPatientProgressNotes(PatientIdentifier patientIdentifier, DateFilter dateFilter){
        RequestMessage requestMessage = PatientDataFetchRequestBuilder.forPatientProgressNotes().forPatientIdentifier(patientIdentifier).forDateFilter(dateFilter).forDomain(Domain.patientProgressNotes).forScopeFilter(ScopeFilter.getInstanceForOperationalScope()).build();
        ResponseMessage responseMessage = router.execute(requestMessage);
        return PatientDataResponseReader.<ProviderNotes, ProviderNote>fromResponse(responseMessage).getDataListNoNull(ProviderNotes.class);
    }
}
