package com.agilex.healthcare.mobilehealthplatform.restservice.exception;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.Order;
import com.agilex.healthcare.mobilehealthplatform.domain.ValidationError;
import com.agilex.healthcare.mobilehealthplatform.domain.ValidationErrors;


public class InvalidOrderException extends RuntimeException {

	private static final long serialVersionUID = -2835505127101631444L;
	
	private final ValidationErrors<Order> errors;

	public InvalidOrderException(ValidationErrors<Order> errors){
		this.errors = errors;
	}
	
	public ValidationErrors<Order> getErrors(){
		return errors;
	}
	
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("InvalidOrderException (" + (this.errors != null ? this.errors.size() : "null") + "):");
		
		if (this.errors == null)
			return sb.toString();
		Iterator<ValidationError> i = this.errors.iterator();
        while (i.hasNext()) {
        	ValidationError ve = i.next();
        	String s = String.format("%n%s", ve.toString());
        	sb.append(s);
        }

		return sb.toString();
	}
}
