package com.agilex.healthcare.mobilehealthplatform.security;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.web.FilterInvocation;

import com.agilex.healthcare.mobilehealthplatform.datalayer.staffuserdisclaimer.StaffUserDisclaimerDataService;
import com.agilex.healthcare.mobilehealthplatform.domain.MhpUser;
import com.agilex.healthcare.mobilehealthplatform.domain.StaffUserDisclaimerInfo;

public class VoterHelper {

    static boolean hasRole(Collection<? extends GrantedAuthority> authorities, String role) {
        for (GrantedAuthority grantedAuthority : authorities) {
            if (grantedAuthority.getAuthority().equals(role)) {
                return true;
            }
        }
        return false;
    }

    static  <S> HttpSession getHttpSession(S s) {
        HttpServletRequest request = ((FilterInvocation) s).getHttpRequest();
        HttpSession session = request.getSession();
        return session;
    }
    
    
    //FIXME: This needs to be replaced with Service call
    static Boolean getStaffUserDisclaimerAccepted(MhpUser mhpUser) {
        //get  value from dataservice, set it on mhpUser, test to ensure value sticks in context
    	StaffUserDisclaimerDataService ds = new StaffUserDisclaimerDataService();
    	StaffUserDisclaimerInfo staffUserDisclaimerInfo = ds.getStaffUserDisclaimerInfo(mhpUser.getVistaLocation(), mhpUser.getUserIdentifier().getUniqueId());
        if (staffUserDisclaimerInfo != null){
            return  staffUserDisclaimerInfo.isStaffUserDisclaimerAccepted();
        }
        else{
            return null;
        }
    }
}
