package com.agilex.healthcare.mobilehealthplatform.serviceregistry;

import java.net.URI;

import com.agilex.healthcare.mobilehealthplatform.client.AuthenticationInfo;

public class Community {

	private String id;
	private URI mhpUri;
	private AuthenticationInfo authenticationInfo;
	private String assigningAuthority;
	private DataLayerFactory communityDataLayerFactory;

	public Community(String id, String assigningAuthority) {
		this.id = id;
		this.assigningAuthority = assigningAuthority;
	}

	public Community(String id, String assigningAuthority, DataLayerFactory communityDataLayerFactory) {
		this.id = id;
		this.assigningAuthority = assigningAuthority;
		this.communityDataLayerFactory = communityDataLayerFactory;
	}

	public String getId() {
		return id;
	}

	public URI getMhpUri() {
		return mhpUri;
	}

	public AuthenticationInfo getAuthenticationInfo() {
		return authenticationInfo;
	}

	public String getAssigningAuthority() {
		return assigningAuthority;
	}

	public DataLayerFactory getDataLayerFactory() {
		return communityDataLayerFactory;
	}
}
