package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters;

import java.net.URI;

import javax.annotation.Resource;
import javax.ws.rs.core.UriBuilder;

import agilex.commons.helper.PropertyHelper;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import com.agilex.healthcare.mobilehealthplatform.domain.AtomLink;
import com.agilex.healthcare.mobilehealthplatform.domain.LinkTitles;
import com.agilex.healthcare.mobilehealthplatform.domain.ResourceDirectory;

@Service
@Scope(value=ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class PatientSearchResourceDirectoryBuilder {

	private static final org.apache.commons.logging.Log LOGGER = org.apache.commons.logging.LogFactory.getLog(PatientSearchResourceDirectoryBuilder.class);

	public PatientSearchResourceDirectoryBuilder() {
	}

	public ResourceDirectory getResourceDirectory(URI systemBaseUri, URI resourceDirectoryUri, String facilityCode, String staffId) {

		ResourceDirectory directory = new ResourceDirectory();
		AtomLink link;

		link = new AtomLink();
		link.setHref(resourceDirectoryUri);
		link.setTitle("resource-directory");
		directory.getLink().setSelfLink(link);

		link = new AtomLink();
		link.setHref(UriBuilder.fromUri(systemBaseUri).path("patient-search").path("site").path(facilityCode).path("id").path(staffId).path("recently-selected-patients").build());
		link.setTitle(LinkTitles.RecentPatientSearchRecords);
		directory.getLink().add(link);

		return directory;
	}

}