package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters;


import com.agilex.healthcare.mobilehealthplatform.domain.AtomLink;
import com.agilex.healthcare.mobilehealthplatform.domain.LinkTitles;
import com.agilex.healthcare.mobilehealthplatform.domain.ResourceDirectory;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.UriBuilder;
import java.net.URI;

@Service
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class SchedulingServiceResourceDirectoryBuilder {

    public SchedulingServiceResourceDirectoryBuilder() {
    }

    public ResourceDirectory getResourceDirectory(URI baseUri, URI resourceDirectoryUri, String facilityCode){
        ResourceDirectory resourceDirectory = new ResourceDirectory();
        AtomLink link;

        link = new AtomLink();
        link.setHref(resourceDirectoryUri);
        link.setTitle("resource-directory");
        resourceDirectory.getLink().setSelfLink(link);

        link = new AtomLink();
        link.setHref(UriBuilder.fromUri(baseUri)
                               .path("scheduling-service")
                               .path("site")
                               .path(facilityCode)
                               .path("waitlist")
                               .path("ewl")
                               .build());
        link.setTitle(LinkTitles.FacilityElectronicWaitList);
        resourceDirectory.getLink().add(link);

        link = new AtomLink();
        link.setHref(UriBuilder.fromUri(baseUri)
                               .path("scheduling-service")
                               .path("site")
                               .path(facilityCode)
                               .path("waitlist")
                               .path("near")
                               .build());
        link.setTitle(LinkTitles.FacilityNearWaitList);
        resourceDirectory.getLink().add(link);

        link = new AtomLink();
        link.setHref(UriBuilder.fromUri(baseUri)
                               .path("scheduling-service")
                               .path("site")
                               .path(facilityCode)
                               .path("waitlist")
                               .path("recall")
                               .build());
        link.setTitle(LinkTitles.FacilityRecallWaitList);
        resourceDirectory.getLink().add(link);

        link = new AtomLink();
        link.setHref(UriBuilder.fromUri(baseUri)
                               .path("scheduling-service")
                               .path("site")
                               .path(facilityCode)
                               .path("purpose-list")
                               .build());
        link.setTitle(LinkTitles.BookingPurposeList);
        resourceDirectory.getLink().add(link);

        link = new AtomLink();
        link.setHref(UriBuilder.fromUri(baseUri)
                               .path("scheduling-service")
                               .path("site")
                               .path(facilityCode)
                               .path("waitlist")
                               .path("recall")
                               .build());
        link.setTitle(LinkTitles.FacilityRecallWaitList);
        resourceDirectory.getLink().add(link);

        link = new AtomLink();
        link.setHref(UriBuilder.fromUri(baseUri)
                               .path("scheduling-service")
                               .path("site")
                               .path(facilityCode)
                               .path("cancel-reasons-list")
                               .build());
        link.setTitle(LinkTitles.CancelReasonsList);
        resourceDirectory.getLink().add(link);

        return resourceDirectory;
    }




}
