package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import com.agilex.healthcare.mobilehealthplatform.domain.LabTest;
import com.agilex.healthcare.mobilehealthplatform.domain.LabTestGroup;
import com.agilex.healthcare.mobilehealthplatform.domain.LabTestGroups;
import com.agilex.healthcare.mobilehealthplatform.domain.LabTests;
import com.agilex.healthcare.utility.NullChecker;

import javax.ws.rs.core.UriBuilder;
import java.net.URI;

public class ChemistryLabTestLinkBuilder extends PatientDataLinkBuilder<LabTests, LabTest> {

	public ChemistryLabTestLinkBuilder(URI baseUri) {
		super(baseUri);
	}

	@Override
	public URI getCannonicalSelfUri(LabTest dataItem) {
		return null;
	}

	@Override
	protected void fillCustomRelatedLinks(LabTest labTest) {
		fillResultsForTestLink(labTest);
	}

	private void fillResultsForTestLink(LabTest labTest) {
		URI patientUri = this.extractPatientUri(labTest);

		if (NullChecker.isNotNullish(labTest.getTestname()) && NullChecker.isNotNullish(labTest.getSiteCode())) {
			URI labTestUri = UriBuilder.fromUri(patientUri).path("lab-tests").path("id").path(labTest.getDataIdentifier().getUniqueId()).path("test-name")
					.path(labTest.getTestname()).path("site").path(labTest.getSiteCode())
					.build();

			labTest.setTestLabResultsUri(labTestUri);
		}
	}

	public void fillLabTestGroupLinks(LabTestGroups groups) {
		for (LabTestGroup group : groups) {
			fillCustomRelatedLinks(group.getLabTests());
		}
	}

	@Override
	protected void fillCustomRelatedLinks(LabTests labTests) {
		for (LabTest labTest : labTests) {
			fillResultsForTestLink(labTest);
		}
	}

	@Override
	public URI getCannonicalUriForCollection(URI patientUri) {
		return null;
	}

}
