package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import java.net.URI;
import javax.ws.rs.core.UriBuilder;
import com.agilex.healthcare.mobilehealthplatform.domain.AtomLink;
import com.agilex.healthcare.mobilehealthplatform.domain.Consult;
import com.agilex.healthcare.mobilehealthplatform.domain.Consults;
import com.agilex.healthcare.mobilehealthplatform.domain.LinkTitles;
import com.agilex.healthcare.mobilehealthplatform.domain.atom.rel;

public class ConsultLinkBuilder {

    private URI baseUri;

	public ConsultLinkBuilder(URI baseUri) {
		this.baseUri = baseUri;
	}

    public Consults fillLinks(Consults consults, URI requestUri){

        for(Consult consult : consults){
            fillCustomRelatedLinks(consult, requestUri);
        }

        return consults;
    }


	protected void fillCustomRelatedLinks(Consult consult, URI requestUri) {
        AtomLink link = new AtomLink();
        link.setRel(rel.related);
        URI relatedUri = UriBuilder.fromUri(requestUri).path("id").path(consult.getConsultId().toString()).path("pdf").build();
        link.setHref(relatedUri);
        link.setTitle(LinkTitles.PatientPdfPrint);
        consult.getLink().add(link);
	}

    protected URI getBaseUri() {
        return this.baseUri;
    }

}
