package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import java.net.URI;

import javax.ws.rs.core.UriBuilder;

import com.agilex.healthcare.mobilehealthplatform.domain.ImmunizationCampaignURI;

public class ImmunizationLinkBuilder {
	
	URI baseUri;
	
	public ImmunizationLinkBuilder(URI baseUri) {
		this.baseUri = baseUri;
	}
	
	public void fillLinks(ImmunizationCampaignURI ImmunizationCampaignURI, URI requestUri) {
		if(ImmunizationCampaignURI != null) {
			ImmunizationCampaignURI.setSelfUri(requestUri);
			fillRelatedLinks(ImmunizationCampaignURI);
		}
	}
	
	public void fillRelatedLinks(ImmunizationCampaignURI ImmunizationCampaignURI) {
		URI immunizationCampaignBaseUri = UriBuilder.fromUri(baseUri).path("immunization-campaign").build();
		ImmunizationCampaignURI.getLink().addRelatedLink("vaccine-template", UriBuilder.fromUri(immunizationCampaignBaseUri).path("vaccine-template").build());
		if (ImmunizationCampaignURI.getPatientId() != null) { 
			ImmunizationCampaignURI.getLink().addRelatedLink("immunization-history", UriBuilder.fromUri(immunizationCampaignBaseUri).path("patient").path(ImmunizationCampaignURI.getPatientId()).path("immunization-history").build());
		}
		ImmunizationCampaignURI.getLink().addRelatedLink("mail-vis", UriBuilder.fromUri(immunizationCampaignBaseUri).path("vaccines").path("VIS").path("mail").build());	
		
	}

    public static UriBuilder getImmunizationCampaignBaseUri(URI systemBaseUri) {
        return UriBuilder.fromUri(stripWebContextFromBaseURI(systemBaseUri)).path("ImmunizationServiceWeb").path("rest").path("immunization-campaign");
    }
    private static URI stripWebContextFromBaseURI(URI baseURI) {

        String stringURI = baseURI.toString();
        //TODO: Should be a better way to get relevant info via URI object methods
        stringURI = stringURI.replaceAll("/PatientViewerServices/rest", "");
        stringURI = stringURI.replaceAll("/ImmunizationServiceWeb/rest", "");

        URI uri = URI.create(stringURI);

        return uri;
    }

}
