package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import java.net.URI;

import javax.ws.rs.core.UriBuilder;

import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;

public class NoteWriterLinkBuilder {
	private static final org.apache.commons.logging.Log LOGGER = org.apache.commons.logging.LogFactory.getLog(NoteWriterLinkBuilder.class);

	private URI baseUri;

	public NoteWriterLinkBuilder(URI baseUri) {
		this.baseUri = baseUri;
	}

	public URI createInProgressNoteSelfUri(String facilityCode, String staffId, PatientIdentifier patientIdentifier, String noteId) {
		URI retValue = UriBuilder.fromUri(this.baseUri).path("note-writer").path("site").path(facilityCode).path("id").path(staffId).path("patient").path(patientIdentifier.getAssigningAuthority()).path(patientIdentifier.getUniqueId()).path("notes").path("id").path(noteId).build();
		if (LOGGER.isDebugEnabled())
			LOGGER.debug(retValue.toString());
		return retValue;
	}
	
	public URI createInProgressNoteTitleUri(String facilityCode, String staffId, PatientIdentifier patientIdentifier, String noteId) {
		URI retValue = UriBuilder.fromUri(this.baseUri).path("note-writer").path("site").path(facilityCode).path("id").path(staffId).path("patient").path(patientIdentifier.getAssigningAuthority()).path(patientIdentifier.getUniqueId()).path("notes").path("id").path(noteId).path("title").build();
		if (LOGGER.isDebugEnabled())
			LOGGER.debug(retValue.toString());
		return retValue;
	}
	
	public URI createInProgressNoteBodyUri(String facilityCode, String staffId, PatientIdentifier patientIdentifier, String noteId) {
		URI retValue = UriBuilder.fromUri(this.baseUri).path("note-writer").path("site").path(facilityCode).path("id").path(staffId).path("patient").path(patientIdentifier.getAssigningAuthority()).path(patientIdentifier.getUniqueId()).path("notes").path("id").path(noteId).path("body").build();
		if (LOGGER.isDebugEnabled())
			LOGGER.debug(retValue.toString());
		return retValue;
	}
	
	public URI createInProgressNoteSignUri(String facilityCode, String staffId, PatientIdentifier patientIdentifier, String noteId) {
		URI retValue = UriBuilder.fromUri(this.baseUri).path("note-writer").path("site").path(facilityCode).path("id").path(staffId).path("patient").path(patientIdentifier.getAssigningAuthority()).path(patientIdentifier.getUniqueId()).path("notes").path("id").path(noteId).path("sign").build();
		if (LOGGER.isDebugEnabled())
			LOGGER.debug(retValue.toString());
		return retValue;
	}
}