package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import java.net.URI;
import javax.ws.rs.core.UriBuilder;
import com.agilex.healthcare.mobilehealthplatform.domain.AtomLink;
import com.agilex.healthcare.mobilehealthplatform.domain.Consult;
import com.agilex.healthcare.mobilehealthplatform.domain.Consults;
import com.agilex.healthcare.mobilehealthplatform.domain.LinkTitles;
import com.agilex.healthcare.mobilehealthplatform.domain.MhpUser;
import com.agilex.healthcare.mobilehealthplatform.domain.atom.rel;

public class ProviderConsultLinkBuilder {

    private URI baseUri;

	public ProviderConsultLinkBuilder(URI baseUri) {
		this.baseUri = baseUri;
	}

    public Consults fillLinks(Consults consults, URI requestUri, MhpUser mhpUser){

        for(Consult consult : consults){
        	fillCustomRelatedLink(consult, requestUri, mhpUser);
        	fillConsultRelatedLink(consult, requestUri, mhpUser);
        }

        return consults;
    }

	protected void fillCustomRelatedLink(Consult consult, URI requestUri, MhpUser mhpUser) {
        AtomLink link = new AtomLink();
        link.setRel(rel.related);
        URI relatedUri = UriBuilder.fromUri(baseUri).path("patient").path("dfn-" + mhpUser.getVistaLocation()).path(consult.getPatientIEN()).build();
        link.setHref(relatedUri);
        link.setTitle(LinkTitles.Patient);
        consult.getLink().add(link);
	}

	protected void fillConsultRelatedLink(Consult consult, URI requestUri, MhpUser mhpUser) {
        AtomLink link = new AtomLink();
        link.setRel(rel.related);
        URI relatedUri = UriBuilder.fromUri(baseUri).path("patient").path("dfn-" + mhpUser.getVistaLocation()).path(consult.getPatientIEN()).path("consults").path(consult.getConsultIEN()).build();
        link.setHref(relatedUri);
        link.setTitle(LinkTitles.PatientConsult);
        consult.getLink().add(link);
	}

    protected URI getBaseUri() {
        return this.baseUri;
    }

}
