package com.agilex.healthcare.notewriter.datalayer;

import com.agilex.healthcare.mdws.domain.Code;
import com.agilex.healthcare.mdws.domain.Codes;
import com.agilex.healthcare.notewriter.domain.EncounterCode;
import com.agilex.healthcare.notewriter.domain.EncounterCodes;

public class EncounterCodeTranslator {
	public static EncounterCode translateMdwsCodeToEncounterCode(Code mdwsCode) {
		EncounterCode enCode = new EncounterCode();
		
		String code = mdwsCode.getCode();
		String ien = mdwsCode.getIen();
		String codeType = mdwsCode.getCodeType();
		String description = mdwsCode.getDescription();
		
		enCode.setCode(code);
		enCode.setIen(ien);
		enCode.setCodeType(codeType);
		enCode.setShortDescription(description);
		String codeAndType = "(" + codeType + " " + code + ")";
		if (description.endsWith(codeAndType))
			enCode.setDescription(description);
		else
			enCode.setDescription(description + " " + codeAndType);
		return enCode;
	}
	
	public static EncounterCodes translateMdwsCodesToEncounterCodes(Codes codes) {
		EncounterCodes retValue = new EncounterCodes();
    	
    	for (int i=0; i<codes.size(); i++) {
    		EncounterCode code = translateMdwsCodeToEncounterCode(codes.get(i));
    		retValue.add(code);
    	}
		return retValue;
	}
}
