package com.agilex.healthcare.notewriter.datalayer.diagnosis;

import com.agilex.healthcare.mdws.datalayer.EncounterDataLayer;
import com.agilex.healthcare.mdws.domain.Codes;
import com.agilex.healthcare.mdws.domain.ProblemLists;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;
import com.agilex.healthcare.notewriter.datalayer.EncounterCodeTranslator;
import com.agilex.healthcare.notewriter.datalayer.SearchFilter;
import com.agilex.healthcare.notewriter.domain.EncounterCodes;
import com.agilex.healthcare.notewriter.domain.EncounterDiagnosisICDCodes;

public class DiagnosisDataService {
	private EncounterDataLayer encDataLayer = null;

    public DiagnosisDataService() {
        encDataLayer = MhpObjectFactory.getInstance().getMdwsEncounterDataLayer();
    }

    public EncounterCodes findCodes(String facilityCode, SearchFilter filter) {
        EncounterDataLayer dataLayer = MhpObjectFactory.getInstance().getMdwsEncounterDataLayer();
    	Codes codes = dataLayer.getDiagnosisSubCodes(facilityCode, filter.getSearchString(), "");
    	EncounterCodes retValue = EncounterCodeTranslator.translateMdwsCodesToEncounterCodes(codes);
    	retValue.sortAscending("code");
    	
    	if (filter.getMaxRecords() > 0 && filter.getMaxRecords() < retValue.size())
    		retValue.subList(filter.getMaxRecords(), retValue.size()).clear();
    	
    	return retValue;
    }
    
    public EncounterDiagnosisICDCodes getPatientProblemListDiagnoses(String facilityCode, String patientIen, String visitDate) {
    	ProblemLists pl = encDataLayer.getPatientProblemListDiagnoses(facilityCode, patientIen, visitDate);
    	EncounterDiagnosisICDCodes codes = DiagnosisTranslator.translate(pl);
    	return codes;
    }
}
