package com.agilex.healthcare.notewriter.datalayer.diagnosis;

import com.agilex.healthcare.notewriter.datalayer.EncounterCodeTranslator;
import com.agilex.healthcare.notewriter.domain.EncounterCode;
import com.agilex.healthcare.notewriter.domain.EncounterDiagnosisICDCode;
import com.agilex.healthcare.notewriter.domain.EncounterDiagnosisICDCodes;

public class DiagnosisTranslator {

	public static EncounterDiagnosisICDCodes translate(com.agilex.healthcare.mdws.domain.ProblemLists pl) {
		EncounterDiagnosisICDCodes codes = new EncounterDiagnosisICDCodes();
    	for (int i=0; i<pl.size(); i++) {
    		com.agilex.healthcare.mdws.domain.Code mdwsCode = pl.get(i).getCode();
    		EncounterDiagnosisICDCode code = translate(mdwsCode);
    		code.setFromProblemList(true);
    		//TODO: This should be removed when Cover Sheet no longer calls Note-Writer PV-2423.
    		code.setDateOnset(pl.get(i).getDateOnset());
    		codes.add(code);
    	}
    	return codes;
	}
	
	public static EncounterDiagnosisICDCode translate(com.agilex.healthcare.mdws.domain.Code code) {
		EncounterCode encCode = EncounterCodeTranslator.translateMdwsCodeToEncounterCode(code);
		EncounterDiagnosisICDCode retValue = new EncounterDiagnosisICDCode();
		retValue.setCode(encCode.getCode());
		retValue.setCodeType(encCode.getCodeType());
		retValue.setDescription(encCode.getDescription());
		retValue.setIen(encCode.getIen());
		retValue.setShortDescription(encCode.getShortDescription());
		return retValue;
	}
}
