package com.agilex.healthcare.notewriter.datalayer.facilityprovider;

import java.util.Iterator;

import com.agilex.healthcare.mdws.datalayer.EncounterDataLayer;
import com.agilex.healthcare.mdws.domain.Provider;
import com.agilex.healthcare.mdws.domain.Providers;
import com.agilex.healthcare.mobilehealthplatform.domain.FacilityProvider;
import com.agilex.healthcare.mobilehealthplatform.domain.FacilityProviders;
import com.agilex.healthcare.mobilehealthplatform.mdws.SearchIndex;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;
import com.agilex.healthcare.notewriter.datalayer.FacilityProviderDataLayer;
import com.agilex.healthcare.notewriter.datalayer.SearchFilter;
import com.agilex.healthcare.utility.NullChecker;

public class FacilityProviderDataService {

	public FacilityProviderDataService() {
    }

    public FacilityProviders findFacilityProviders(String facilityCode, SearchIndex searchIndex) {
    	String searchString = "";
    	if (searchIndex != null && NullChecker.isNotNullish(searchIndex.getSearchString()))
    		searchString = searchIndex.getSearchString().toLowerCase();
		
    	EncounterDataLayer dataLayer = MhpObjectFactory.getInstance().getMdwsEncounterDataLayer();
		Providers providers = dataLayer.getProvidersBySite(facilityCode);
		
		FacilityProviders facProviders = new FacilityProviders();
		
		Iterator<Provider> it = providers.iterator();
		while (it.hasNext()) {
			Provider provider = it.next();
			
			String ien = provider.getDuz();
			String name = provider.getProviderName();
			
			FacilityProvider facProvider = new FacilityProvider();
			facProvider.setProviderIen(ien);
			facProvider.setProviderName(name);
			facProvider.setFacilityCode(facilityCode);
			
			if (NullChecker.isNullish(searchString))
				facProviders.add(facProvider);
			else if (NullChecker.isNotNullish(searchString) && NullChecker.isNotNullish(name) && name.toLowerCase().contains(searchString))
				facProviders.add(facProvider);
		}
		
		return facProviders;
    }
	
    public FacilityProviders findFacilityProviders(String facilityCode, SearchFilter filter) {
    	FacilityProviderDataLayer dataLayer = MhpObjectFactory.getInstance().getFacilityProviderDataLayer();
		return dataLayer.findFacilityProviders(facilityCode, filter);
    }
}
