package com.agilex.healthcare.notewriter.datalayer.procedure;

import com.agilex.healthcare.mdws.datalayer.EncounterDataLayer;
import com.agilex.healthcare.mdws.domain.Codes;
import com.agilex.healthcare.mobilehealthplatform.domain.Modifier;
import com.agilex.healthcare.mobilehealthplatform.domain.Modifiers;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;
import com.agilex.healthcare.notewriter.datalayer.EncounterCodeTranslator;
import com.agilex.healthcare.notewriter.datalayer.SearchFilter;
import com.agilex.healthcare.notewriter.domain.EncounterCodes;

public class ProcedureDataService {
	public ProcedureDataService() {
    }

    public EncounterCodes findCPTCodes(String facilityCode, SearchFilter filter) {
    	EncounterDataLayer dataLayer = MhpObjectFactory.getInstance().getMdwsEncounterDataLayer();
    	Codes codes = dataLayer.getProceduresSubCodes(facilityCode, filter.getSearchString(), "");
    	EncounterCodes retValue = EncounterCodeTranslator.translateMdwsCodesToEncounterCodes(codes);
    	retValue.sortAscending("code");
    	
    	if (filter.getMaxRecords() > 0 && filter.getMaxRecords() < retValue.size())
    		retValue.subList(filter.getMaxRecords(), retValue.size()).clear();
    	
    	return retValue;
    }
    
    public Modifiers getModifiers(String facilityCode, String cptCode) {
    	EncounterDataLayer dataLayer = MhpObjectFactory.getInstance().getMdwsEncounterDataLayer();
    	Codes mc = dataLayer.getModifierCodes(facilityCode, cptCode);
    	
    	Modifiers retValue = translateCodesToModifiers(mc);
    	
    	return retValue;
    }

	public static Modifiers translateCodesToModifiers(Codes mc) {
		Modifiers retValue = new Modifiers();
    	
    	for (int i=0; i<mc.size(); i++) {
    		Modifier m = new Modifier();
    		m.setCode(mc.get(i).getCode());
    		m.setIen(mc.get(i).getIen());
    		m.setName(mc.get(i).getDescription());
    		retValue.add(m);
    	}
		return retValue;
	}
}
