package com.agilex.healthcare.notewriter.datalayer.visittype;

import com.agilex.healthcare.mdws.datalayer.EncounterDataLayer;
import com.agilex.healthcare.mdws.domain.Codes;
import com.agilex.healthcare.mobilehealthplatform.domain.Modifiers;
import com.agilex.healthcare.mobilehealthplatform.domain.VisitType;
import com.agilex.healthcare.mobilehealthplatform.domain.VisitTypes;
import com.agilex.healthcare.notewriter.datalayer.procedure.ProcedureDataService;
import com.agilex.healthcare.notewriter.domain.EncounterProcedureCPTCode;
import com.agilex.healthcare.notewriter.domain.EncounterProcedureCPTCodes;

public class VisitTypesTranslator {
	
	public static VisitTypes translate(String facilityCode, EncounterDataLayer dataLayer, com.agilex.healthcare.mdws.domain.VisitTypes vt) {
		VisitTypes retValue = new VisitTypes();
		for (int i=0; i<vt.size(); i++) {
			com.agilex.healthcare.mdws.domain.VisitType mdwsVisitType = vt.get(i);
			
			VisitType visitType = new VisitType();
			
			visitType.setName(mdwsVisitType.getDescription());
			EncounterProcedureCPTCodes encounterCodes = new EncounterProcedureCPTCodes();
			for (int k=0; k<mdwsVisitType.getCodes().size(); k++) {
				com.agilex.healthcare.mdws.domain.BasicCode mdwscodes = mdwsVisitType.getCodes().get(k);
				String mdwscode = mdwscodes.getCode();
				String description = mdwscodes.getDescription();
				
				EncounterProcedureCPTCode encounterCode = new EncounterProcedureCPTCode();
				encounterCode.setCode(mdwscode);
				encounterCode.setDescription(description);
				encounterCode.setShortDescription(description);
				encounterCodes.add(encounterCode);
				
				Codes modifiercodes = dataLayer.getModifierCodes(facilityCode, mdwscode);
				Modifiers modifiers = ProcedureDataService.translateCodesToModifiers(modifiercodes);
				
				encounterCode.setModifiers(modifiers);
			}
			
			visitType.setSections(encounterCodes);
			retValue.add(visitType);
		}
		return retValue;
	}
}
