package com.agilex.healthcare.notewriter.translator;

import org.codehaus.jettison.json.JSONException;

import com.agilex.healthcare.mobilehealthplatform.domain.ClinicalEvent;
import com.agilex.healthcare.utility.DateHelper;
import com.agilex.healthcare.vamf.tasks.domain.Task;
import com.agilex.healthcare.vamf.tasks.domain.TaskStatus;
import com.agilex.healthcare.vamf.tasks.domain.TaskType;

public class TaskListTranslator {
	public static Task translateToTaskListItem(ClinicalEvent clinicalEvent) throws JSONException {
		Task task = new Task();
		
		task.setType(TaskType.Note);
		task.setObjectTypeId(clinicalEvent.getId());
		task.setDate(DateHelper.getToday());
		task.setStatus(TaskStatus.InProgress);
		task.setDescription(clinicalEvent.getNote().getTitle().getName());
		
		task.getPatient().setAssigningAuthority(clinicalEvent.getPatientIdentifier().getAssigningAuthority());
		task.getPatient().setUniqueId(clinicalEvent.getPatientIdentifier().getUniqueId());
		task.getPatient().setFirstName(clinicalEvent.getPatientIdentifier().getFirstName());
		task.getPatient().setLastName(clinicalEvent.getPatientIdentifier().getLastName());
		task.getPatient().setSsn(clinicalEvent.getPatientIdentifier().getSsn());
		
		task.getUserIdentifier().setFacilityCode(clinicalEvent.getProviderIdentifier().getFacilityCode());
		task.getUserIdentifier().setStaffId(clinicalEvent.getProviderIdentifier().getStaffId());
		
		return task;
    }
}
