package com.agilex.healthcare.facilitydefinition.datalayer.order;

import org.junit.Assert;

import com.mongodb.BasicDBObject;
import com.mongodb.DB;
import com.mongodb.DBCollection;
import com.mongodb.DBCursor;
import com.mongodb.DBObject;
import com.mongodb.MongoClient;

public class OrderUtilities {
	public static final String TEST_SITE = "TESTDATA";
	public static void removeServicesTestDataFromMongo(MongoClient mongoClient,org.apache.commons.logging.Log log) {
		try {

			DB db = mongoClient.getDB("orders");
			DBCollection col = db.getCollection("services");

			BasicDBObject query = new BasicDBObject();
			query.put("site", java.util.regex.Pattern.compile("^" + TEST_SITE));


			DBCursor iterator = col.find(query);
			log.debug("Starting removal of test data from Mongo");
			while (iterator.hasNext()) {
				DBObject dbObject = iterator.next();
//				log.debug(dbObject.toString());
				col.remove(dbObject);
			}
			log.debug("Finished removal of test data from Mongo");
		}
		catch (com.mongodb.MongoException e) {
			Assert.fail(e.getMessage());
		}
	}
	
	public static void removeStatusesTestDataFromMongo(MongoClient mongoClient,org.apache.commons.logging.Log log) {
		try {

			DB db = mongoClient.getDB("orders");
			DBCollection col = db.getCollection("statuses");

			BasicDBObject query = new BasicDBObject();
			query.put("site", java.util.regex.Pattern.compile("^" + TEST_SITE));


			DBCursor iterator = col.find(query);
			log.debug("Starting removal of test data from Mongo");
			while (iterator.hasNext()) {
				DBObject dbObject = iterator.next();
//				log.debug(dbObject.toString());
				col.remove(dbObject);
			}
			log.debug("Finished removal of test data from Mongo");
		}
		catch (com.mongodb.MongoException e) {
			Assert.fail(e.getMessage());
		}
	}
}
