package com.agilex.healthcare.facilitydefinition.translator.clinic;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import org.junit.Test;

import com.agilex.healthcare.facilitydefinition.translator.ClinicTranslator;
import com.agilex.healthcare.mobilehealthplatform.domain.Clinic;
import com.mongodb.BasicDBObject;
import com.mongodb.DBObject;

public class ClinicTranslatorTest {
	private final String FACILITY_CODE_KEY = "facility";
	private final String ID_KEY = "ien";
	private final String NAME_KEY = "name";
	
	@Test
	public void translateValidClinic() {
		String facilityCode = "500";
		String id = "12";
		String name = "hello clinic";
		
		ClinicTranslator translator = new ClinicTranslator();
		DBObject po = new BasicDBObject();
		po.put(FACILITY_CODE_KEY, facilityCode);
		po.put(ID_KEY, id);
		po.put(NAME_KEY, name);
		
		Clinic clinic = translator.translate(po);
		assertEquals(facilityCode, clinic.getFacilityCode());
		assertEquals(id, clinic.getId());
		assertEquals(name, clinic.getName());
	}
	
	@Test
	public void translateInvalidClinic() {
		ClinicTranslator translator = new ClinicTranslator();
		DBObject po = new BasicDBObject();
		
		Clinic clinic = translator.translate(po);
		assertNull(clinic.getFacilityCode());
		assertNull(clinic.getId());
		assertNull(clinic.getName());
	}
}
