package com.agilex.healthcare.facilitydefinition.translator.ward;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import org.junit.Test;

import com.agilex.healthcare.facilitydefinition.translator.WardTranslator;
import com.agilex.healthcare.mobilehealthplatform.domain.Ward;
import com.mongodb.BasicDBObject;
import com.mongodb.DBObject;

public class WardTranslatorTest {
	private final String FACILITY_CODE_KEY = "facility";
	private final String ID_KEY = "ien";
	private final String NAME_KEY = "name";
	
	@Test
	public void translateValidWard() {
		String facilityCode = "500";
		String id = "12";
		String name = "hello Ward";
		
		WardTranslator translator = new WardTranslator();
		DBObject po = new BasicDBObject();
		po.put(FACILITY_CODE_KEY, facilityCode);
		po.put(ID_KEY, id);
		po.put(NAME_KEY, name);
		
		Ward ward = translator.translate(po);
		assertEquals(facilityCode, ward.getFacilityCode());
		assertEquals(id, ward.getId());
		assertEquals(name, ward.getName());
	}
	
	@Test
	public void translateInvalidWard() {
		WardTranslator translator = new WardTranslator();
		DBObject po = new BasicDBObject();
		
		Ward ward = translator.translate(po);
		assertNull(ward.getFacilityCode());
		assertNull(ward.getId());
		assertNull(ward.getName());
	}
}
