package com.agilex.healthcare.mobilehealthplatform.datalayer.lab.micro;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import org.junit.Test;

import com.agilex.healthcare.mobilehealthplatform.datalayer.lab.LabResultOrganizer;
import com.agilex.healthcare.mobilehealthplatform.domain.LabResult;
import com.agilex.healthcare.mobilehealthplatform.domain.LabResults;
import com.agilex.healthcare.mobilehealthplatform.domain.LabTests;

public class LabResultOrganizerTest {

	@Test
	public void groupTests() {
		LabResults labResults = new LabResults();

		LabResult labResultA = new LabResult();
		labResultA.setTestId("A");
		labResultA.setTestname("A");
		labResults.add(labResultA);

		LabResult labResultB = new LabResult();
		labResultB.setTestId("B");
		labResults.add(labResultB);

		LabResultOrganizer organizer = new LabResultOrganizer();
		LabTests tests = organizer.groupByTest(labResults);

		assertNotNull(tests);
		assertEquals(2, tests.size());
		assertEquals("A", tests.get(0).getUniqueId());
	}

	@Test
	public void sortTests() {
		LabResults labResults = new LabResults();

		LabResult labResultA = new LabResult();
		labResultA.setTestId("A");
		labResultA.setTestname("A");
		labResults.add(labResultA);

		LabResult labResultC = new LabResult();
		labResultC.setTestId("C");
		labResults.add(labResultC);

		LabResult labResultB = new LabResult();
		labResultB.setTestId("B");
		labResults.add(labResultB);

		LabResultOrganizer organizer = new LabResultOrganizer();
		LabTests tests = organizer.groupByTest(labResults);

		assertNotNull(tests);
		assertEquals(3, tests.size());
		assertEquals("A", tests.get(0).getUniqueId());
		assertEquals("B", tests.get(1).getUniqueId());
		assertEquals("C", tests.get(2).getUniqueId());
	}
}
