package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import com.agilex.healthcare.mobilehealthplatform.domain.LabTest;
import com.agilex.healthcare.mobilehealthplatform.domain.LabTests;
import com.agilex.healthcare.mobilehealthplatform.domain.LinkTitles;
import com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.UriTester;
import org.junit.Test;

import java.net.URI;

public class ChemistryLabTestLinkBuilderTest extends AbstractLinkBuilderTest<LabTests, LabTest> {

	@Override
	protected LabTests createEmtpyDtoList() {
		return new LabTests();
	}

	@Override
	protected LabTest createEmptyDto() {
		return new LabTest();
	}

	@Override
	protected PatientDataLinkBuilder<LabTests, LabTest> getPatientDataLinkBuilder(URI baseUri) {
		return new ChemistryLabTestLinkBuilder(baseUri);
	}

	@Override
	protected String getExpectedUriForDtoWithId123() {
		return null;
	}


	@Test
	public void validateLabTestUri() {
		String expectedUri = "http://server/patient/a/p/lab-tests/id/123/test-name/testname1/site/testsitecode";

		LabTest labTest = createLabTest();
		labTest.setDataIdentifier("systemIdGoesHere", "123");
		labTest.setTestname("testname1");
		labTest.setSiteCode("testsitecode");

		ChemistryLabTestLinkBuilder builder = new ChemistryLabTestLinkBuilder(baseUri);
		builder.fillLinks(labTest, null);

		UriTester.validateUriAreEqualUsingLinkTitle(labTest, LinkTitles.PatientChemHemLabResultsForTest, expectedUri);
	}

	private LabTest createLabTest() {
		LabTest labTest = new LabTest();
		labTest.setPatientIdentifier("a", "p");
		labTest.setUniqueId("123");
		return labTest;
	}

}
