package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import com.agilex.healthcare.mobilehealthplatform.domain.Clinic;
import com.agilex.healthcare.mobilehealthplatform.domain.Clinics;
import com.agilex.healthcare.mobilehealthplatform.domain.LinkTitles;
import com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.UriHelper;
import com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.UriTester;
import org.junit.Test;

import java.net.URI;

public class ClinicLinkBuilderTest {


    @Test
    public void testClinicsLinksCreated(){
        Clinics clinics = this.createClinics();
        URI baseUri = UriHelper.createUri("http://server/base");

        ClinicLinkBuilder clinicLinkBuilder = new ClinicLinkBuilder(baseUri, "200");
        clinicLinkBuilder.fillLinks(clinics);

        Clinic clinic1 = clinics.get(0);
        checkLink(clinic1, LinkTitles.ClinicAppointmentSlots, "http://server/base/scheduling-service/site/200/available-appointment-slots/clinic/1");

        Clinic clinic2 = clinics.get(1);
        checkLink(clinic2, LinkTitles.ClinicAppointmentSlots, "http://server/base/scheduling-service/site/200/available-appointment-slots/clinic/2");

    }



    private void checkLink(Clinic clinic, String linkTitle, String expected) {
        UriTester.validateUriAreEqualUsingLinkTitle(clinic, linkTitle, expected);
    }
    private Clinics createClinics(){

        Clinic clinic = new Clinic();
        clinic.setId("1");
        clinic.setName("Clinic 1");

        Clinics clinics = new Clinics();
        clinics.add(clinic);

        clinic = new Clinic();
        clinic.setId("2");
        clinic.setName("Clinic 2");

        clinics.add(clinic);

        return clinics;
    }

}
