package com.agilex.healthcare.notewriter.datalayer;

import junit.framework.Assert;
import org.junit.Test;
import com.agilex.healthcare.mdws.domain.Code;
import com.agilex.healthcare.notewriter.datalayer.diagnosis.*;
import com.agilex.healthcare.notewriter.domain.EncounterDiagnosisICDCodes;


public class DiagnosisTranslatorTest {

	@Test
	public void extractCodes() {
	
		com.agilex.healthcare.mdws.domain.ProblemLists pl = new com.agilex.healthcare.mdws.domain.ProblemLists();
		com.agilex.healthcare.mdws.domain.ProblemList p = new com.agilex.healthcare.mdws.domain.ProblemList();
		Code code = new Code();
		code.setCode("1111");
		code.setCodeType("ICD");
		code.setDescription("Code Description");
		code.setIen("343");
		p.setCode(code);
		
		p.setDateOnset("01/02/2011");
		p.setProblemFlag("True");
		p.setServiceConnectedYN("N");
		p.setSpecialExposure("SpecialExposure");
		
		pl.add(p);

		code.setCode("22222");
		code.setCodeType("COD");
		code.setDescription("Code Description 2");
		code.setIen("66554433");
		p.setCode(code);
		
		p.setDateOnset("12/25/2012");
		p.setProblemFlag("False");
		p.setServiceConnectedYN("Y");
		p.setSpecialExposure("SpecialExposure2");
		pl.add(p);
		
		EncounterDiagnosisICDCodes codes = DiagnosisTranslator.translate(pl);
		
		Assert.assertEquals(pl.size(), codes.size());
		
		for (int i=0; i<pl.size(); i++) {
				Assert.assertEquals(pl.get(i).getCode().getCodeType(), codes.get(i).getCodeType());
				Assert.assertEquals(pl.get(i).getCode().getCode(), codes.get(i).getCode());
				String expected = pl.get(i).getCode().getDescription() + " (" + pl.get(i).getCode().getCodeType() + " " + pl.get(i).getCode().getCode() + ")";
				String actual = codes.get(i).getDescription();
				Assert.assertEquals(expected, actual);
				Assert.assertEquals(pl.get(i).getCode().getIen(), codes.get(i).getIen());
				Assert.assertEquals(true, codes.get(i).isFromProblemList());
		}
	}
}
