package com.agilex.healthcare.notewriter.datalayer.facilityprovider;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;
import org.junit.Test;
import com.agilex.healthcare.mobilehealthplatform.domain.FacilityProvider;
import com.agilex.healthcare.notewriter.datalayer.facilityprovider.FacilityProviderTranslator;
import com.mongodb.BasicDBObject;
import com.mongodb.DBObject;

public class FacilityProviderTranslatorTest {
		@Test
		public void translateValidProvider() {
			String facilityCode = "500";
			String id = "12";
			String name = "Provider,Joe";
			
			FacilityProviderTranslator translator = new FacilityProviderTranslator();
			DBObject po = new BasicDBObject();
			po.put(FacilityProviderTranslator.FACILITY_CODE_KEY, facilityCode);
			po.put(FacilityProviderTranslator.IEN_KEY, id);
			po.put(FacilityProviderTranslator.NAME_KEY, name);
			
			FacilityProvider provider = translator.translate(po);
			assertEquals(facilityCode, provider.getFacilityCode() );
			assertEquals(id, provider.getProviderIen());
			assertEquals(name, provider.getProviderName());
		}
		
		@Test
		public void translateInvalidProvider() {
			FacilityProviderTranslator translator = new FacilityProviderTranslator();
			DBObject po = new BasicDBObject();
		
			FacilityProvider provider = translator.translate(po);
			assertNull(provider.getFacilityCode() );
			assertNull(provider.getProviderIen());
			assertNull(provider.getProviderName());

		}
}


