package com.agilex.healthcare.mdws.datalayer.util;

import com.agilex.healthcare.mdws.domain.BasicCode;
import com.agilex.healthcare.mdws.domain.Code;
import com.agilex.healthcare.mdws.domain.Codes;
import com.agilex.healthcare.mdws.domain.EncounterDiagnosisICDCode;
import com.agilex.healthcare.mdws.domain.EncounterDiagnosisICDCodes;
import com.agilex.healthcare.mdws.domain.EncounterNote;
import com.agilex.healthcare.mdws.domain.EncounterProcedureCPTCode;
import com.agilex.healthcare.mdws.domain.EncounterProcedureCPTCodes;

public class EncounterNoteUtil {
	public static EncounterProcedureCPTCode createEncounterProcedureCPTCode(String cptCode, String cptDescription, Code... modifierCodes) {
		EncounterProcedureCPTCode code = new EncounterProcedureCPTCode();
		BasicCode basicCode = new BasicCode();
		basicCode.setCode(cptCode);
		basicCode.setDescription(cptDescription);
		code.setBasicCode(basicCode);
		
		Codes modifiers = new Codes();
		for(int i = 0; i < modifierCodes.length; i++) {
			modifiers.add(modifierCodes[i]);
		}
		code.setModifiers(modifiers);
		return code;
	}
	public static EncounterDiagnosisICDCode createEncounterDiagnosisICDCode(boolean primary, boolean addToProblemList, String icdCode, String icdDescription) {
		EncounterDiagnosisICDCode code = new EncounterDiagnosisICDCode();
		code.setAddToProblemList(addToProblemList);
		code.setPrimary(primary);
		BasicCode basicCode = new BasicCode();
		basicCode.setCode(icdCode);
		basicCode.setDescription(icdDescription);
		code.setBasicCode(basicCode);
		return code;
	}
	
    public static EncounterNote createEncounterNote() {
    	EncounterProcedureCPTCodes cptCodes = new EncounterProcedureCPTCodes();
    	EncounterDiagnosisICDCodes diagnoses = new EncounterDiagnosisICDCodes();
    	diagnoses.add(createEncounterDiagnosisICDCode(true, true, "756.10", "Anomaly of spine, congenital (ICD-9-CM 756.10)"));
    	diagnoses.add(createEncounterDiagnosisICDCode(true, false, "303.00", "Alcohol Intoxication (DSM-IV 303.00/ICD-9-CM 303.00/305.00)")); //2 different ien's with same icd code - search for 303.00
    	diagnoses.add(createEncounterDiagnosisICDCode(false, true, "309.81", "Posttraumatic Stress Disorder * (DSM-IV 309.81/ICD-9-CM 309.81)")); //2 identical ien's with different descriptions - search for 309.81
    	diagnoses.add(createEncounterDiagnosisICDCode(false, false, "942.22", "Blisters with epidermal loss due to burn (second degree) of chest wall, excluding breast and nipple (ICD-9-CM 942.22)"));
    	
    	cptCodes.add(createEncounterProcedureCPTCode("47500", "Injection Procedure for Percutaneous Transhepatic Cholangiography (CPT-4 47500)"));
    	cptCodes.add(createEncounterProcedureCPTCode("D4341", "Periodontal Scaling and Root Planing (per Quadrant) (HCPCS D4341)")); //2 different ien's with same cpt code - search for D4341
    	
    	Code modifier = new Code();
    	modifier.setCode("47505");
    	modifier.setIen("299344");
    	cptCodes.add(createEncounterProcedureCPTCode("23420", "Reconstruction of Complete Shoulder (Rotator) Cuff Avulsion, Chronic (includes Acromioplasty) (CPT-4 23420)", modifier));
		
    	Code modifier1 = new Code();
    	modifier1.setCode("GJ");
    	modifier1.setIen("367");
    	Code modifier2 = new Code();
    	modifier2.setCode("47");
    	modifier2.setIen("9");
    	Code modifier3 = new Code();
    	modifier3.setCode("50");
    	modifier3.setIen("10");
    	cptCodes.add(createEncounterProcedureCPTCode("19355", "Correction of Inverted Nipple(s) (CPT-4 19355)", modifier1, modifier2, modifier3));
		
		
    	EncounterNote note = new EncounterNote();
    	note.setPatientIen("1");
    	note.setFacilityCode("777");
    	note.setLocationIen("32"); 
		note.setNoteTitleIen("16"); 
		note.setServiceCategory("A"); 
		note.setInpatient("1");
		note.setProcedures(cptCodes);
		note.setDiagnoses(diagnoses);
		note.setVisitRelatedCodes("SC,CV,AO,IR,EC,SHD,MST,HNC"); 
		note.setNoteBody("Note body test");
		note.setDate("");
		note.setProviders("1,5,119,541");
		note.setConsultIen("");
		note.setHealthFactors("");
        return note;
    }
}
