package com.agilex.healthcare.mdws.connection;


public class BasicConnectionManager implements ConnectionManager {
	private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(BasicConnectionManager.class);

	@Override
	public EmrMdwsConnection getEmrConnection(MdwsConfiguration mdwsConfiguration, String siteCode) {
		logger.debug("requesting authenticated port using a basic connection manager with site type and site code.");

		MdwsConfiguration emrMdwsConnection = new MdwsConfiguration(mdwsConfiguration.getEndPointBaseUrl(),
																			"EmrSvc.asmx",
																			mdwsConfiguration.getWsRequestTimeout(),
																			mdwsConfiguration.getWsConnectTimeout());

		return new EmrMdwsConnection(emrMdwsConnection, siteCode);
	}

	@Override
	public EncounterMdwsConnection getEncounterConnection(MdwsConfiguration mdwsConfiguration, String siteCode) {
		logger.debug("requesting authenticated port using a basic connection manager with site type and site code.");
		return new EncounterMdwsConnection(mdwsConfiguration, siteCode);
	}

    @Override
    public TIUNotesMdwsConnection getTIUNotesConnection(MdwsConfiguration mdwsConfiguration, String siteCode) {
        logger.debug("requesting authenticated port using a basic connection manager with site type and site code.");
        return new TIUNotesMdwsConnection(mdwsConfiguration, siteCode);
    }

}
