package com.agilex.healthcare.mdws.connection;

import com.agilex.healthcare.mdws.datalayer.MdwsResponseException;
import com.agilex.healthcare.mdws.datalayer.MdwsResponseFaultTOFilter;

public class EmrConnectionDataLayer {

	protected MdwsConfiguration mdwsConfiguration;

	protected EmrConnectionDataLayer(MdwsConfiguration mdwsConfiguration) {
		this.mdwsConfiguration = mdwsConfiguration;
	}

	protected EmrMdwsConnection getConnection(String siteCode) {
		ConnectionManager connectionManager = ConnectionManagerFactory.getInstance();
		return (EmrMdwsConnection) connectionManager.getEmrConnection(mdwsConfiguration, siteCode);
	}

	protected EmrMdwsConnection getConnection(String patientId, String siteCode) {
		if (patientId == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_PATIENT, "patientId cannot be null");
		EmrMdwsConnection connection = getConnection(siteCode);

		com.agilex.healthcare.mdws.generatedwsdl.emrservice.PatientTO result = null;
		try {
			result = connection.getService().select(patientId);
		}
		catch (Exception e) {
			throw new MdwsResponseException(MdwsResponseFaultTOFilter.getResponseType(e.getMessage()), e.getMessage());
		}

        if (result.getFault() != null) {
			throw new MdwsResponseException(result.getFault().getMessage());
        }

		return connection;
	}

}
