package com.agilex.healthcare.mdws.connection;

import com.agilex.healthcare.mdws.datalayer.MdwsResponseException;
import com.agilex.healthcare.mdws.datalayer.MdwsResponseFaultTOFilter;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.PatientTO;

public class EncounterConnectionDataLayer {
	protected MdwsConfiguration mdwsConfiguration;

	protected EncounterConnectionDataLayer(MdwsConfiguration mdwsConfiguration) {
		this.mdwsConfiguration = mdwsConfiguration;
	}

	protected EncounterMdwsConnection getConnection(String siteCode) {
		ConnectionManager connectionManager = ConnectionManagerFactory.getInstance();
		return (EncounterMdwsConnection) connectionManager.getEncounterConnection(mdwsConfiguration, siteCode);
	}

	protected EncounterMdwsConnection getConnection(String patientId, String siteCode) {
		if (patientId == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_PATIENT, "patientId cannot be null");
		EncounterMdwsConnection connection = getConnection(siteCode);

		PatientTO result = null;
		try {
			result = connection.getService().select(patientId);
		}
		catch (Exception e) {
			throw new MdwsResponseException(MdwsResponseFaultTOFilter.getResponseType(e.getMessage()), e.getMessage());
		}

        if (result.getFault() != null) {
			throw new MdwsResponseException(result.getFault().getMessage());
        }

		return connection;
	}
}
