package com.agilex.healthcare.mdws.connection;


public class MdwsConfiguration {
	
	private static int DEFAULT_WS_REQUEST_TIMEOUT_MILLISECOND = 10000; // 10 seconds
	private static int DEFAULT_WS_CONNECT_TIMEOUT_MILLISECOND = 10000; // 10 seconds
	
	private String endPointUrl;
	private String endPointBaseUrl;
	private int wsConnectTimeout = DEFAULT_WS_CONNECT_TIMEOUT_MILLISECOND;
	private int wsRequestTimeout = DEFAULT_WS_REQUEST_TIMEOUT_MILLISECOND;
	private boolean pingWsdlBeforeConnect = false;

	public MdwsConfiguration(String endPointBaseUrl, String endPointUrl, int wsRequestTimeout, int wsConnectTimeout) {
		this.endPointUrl = endPointUrl;
		this.wsConnectTimeout = wsConnectTimeout;
		this.wsRequestTimeout = wsRequestTimeout;
		this.pingWsdlBeforeConnect = false;
		this.endPointBaseUrl = endPointBaseUrl;
	}
	
	public MdwsConfiguration(String endPointBaseUrl, String endPointUrl, int wsRequestTimeout, int wsConnectTimeout, boolean pingWsdlBeforeConnect) {
		this(endPointBaseUrl, endPointUrl, wsRequestTimeout, wsConnectTimeout);
		this.pingWsdlBeforeConnect = pingWsdlBeforeConnect;
	}
	
	public String getEndPointUrl() {
		return this.endPointUrl;
	}

	protected void setEndPointUrl(String endPointUrl) {
		this.endPointUrl = endPointUrl;
	}
	
	public String getEndPointBaseUrl() {
		return endPointBaseUrl;
	}

	public void setEndPointBaseUrl(String endPointBaseUrl) {
		this.endPointBaseUrl = endPointBaseUrl;
	}

	public int getWsConnectTimeout() {
		return this.wsConnectTimeout;
	}

	protected void setWsConnectTimeout(int wsConnectTimeout) {
		this.wsConnectTimeout = wsConnectTimeout;
	}

	public int getWsRequestTimeout() {
		return this.wsRequestTimeout;
	}

	protected void setWsRequestTimeout(int wsRequestTimeout) {
		this.wsRequestTimeout = wsRequestTimeout;
	}

	public boolean isPingWsdlBeforeConnect() {
		return pingWsdlBeforeConnect;
	}

	public void setPingWsdlBeforeConnect(boolean pingWsdlBeforeConnect) {
		this.pingWsdlBeforeConnect = pingWsdlBeforeConnect;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();

		builder.append("\nEndpointUrl: ");
		builder.append(getEndPointUrl());

		return builder.toString();

	}
}