package com.agilex.healthcare.mdws.connection;

import com.agilex.healthcare.mdws.datalayer.MdwsResponseException;
import com.agilex.healthcare.mdws.datalayer.MdwsResponseFaultTOFilter;

public class TIUNotesConnectionDataLayer {
	protected MdwsConfiguration mdwsConfiguration;
	
	protected TIUNotesConnectionDataLayer(MdwsConfiguration tiuNotesMdwsConfiguration) {
		this.mdwsConfiguration = tiuNotesMdwsConfiguration;
	}

	protected TIUNotesMdwsConnection getTIUNotesConnection(String siteCode) {
		ConnectionManager connectionManager = ConnectionManagerFactory.getInstance();
		return connectionManager.getTIUNotesConnection(mdwsConfiguration, siteCode);
	}
	
	protected TIUNotesMdwsConnection getTIUNotesConnection(String patientId, String siteCode) {
		if (patientId == null)
		    throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_PATIENT, "patientId cannot be null");
		TIUNotesMdwsConnection connection = getTIUNotesConnection(siteCode);

		com.agilex.healthcare.mdws.generatedwsdl.tiunotesservice.PatientTO result = null;
		try {
		    result = connection.getService().select(patientId);
		}
		catch (Exception e) {
		    throw new MdwsResponseException(MdwsResponseFaultTOFilter.getResponseType(e.getMessage()), e.getMessage());
		}
		
        if (result.getFault() != null) {
            throw new MdwsResponseException(result.getFault().getMessage());
        }

        return connection;
    }
}
