package com.agilex.healthcare.mdws.datalayer;

import com.agilex.healthcare.mdws.domain.Codes;
import com.agilex.healthcare.mdws.domain.ProblemLists;
import com.agilex.healthcare.mdws.domain.Providers;
import com.agilex.healthcare.mdws.domain.SvcConditionRelatedTos;
import com.agilex.healthcare.mdws.domain.UserMenuOptions;
import com.agilex.healthcare.mdws.domain.VisitTypes;

public interface EncounterDataLayer {
	public Codes getModifierCodes(String facilityCode, String cptCode);
	public Codes getDiagnosisSubCodes(String facilityCode, String icd9Code, String visitDate);
	public Codes getProceduresSubCodes(String facilityCode, String cptCode, String visitDate);
	public VisitTypes getVisitTypeByClinic(String facilityCode, String locationIen, String date);
	public ProblemLists getPatientProblemListDiagnoses(String facilityCode, String patientIen, String visitDate);
	public SvcConditionRelatedTos getSvcConnectedRelatedToConditions(String facilityCode, String patientIen, String visitDate, String locationIen);
	public Providers getProvidersBySite(String facilityCode);
	public UserMenuOptions getUserMenuOptions(String siteCode, String userId);
}
