package com.agilex.healthcare.mdws.datalayer;

import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.FaultTO;

public class MdwsResponseFaultTOFilter {
	public static MdwsResponseException.UserMessages getResponseType(String msg) {
		MdwsResponseException.UserMessages retValue;

		if (msg.contains("Invalid signature"))
			retValue = MdwsResponseException.UserMessages.INVALID_ESIG;
		else if (msg.contains("User not authorized to sign note"))
			retValue = MdwsResponseException.UserMessages.NOT_AUTHORIZED;
		else if (msg.contains("cptCode null not found in lexicon."))
			retValue = MdwsResponseException.UserMessages.MISSING_CPT_CODE;
		else if (msg.startsWith("System.Exception: cptCode"))
			retValue = MdwsResponseException.UserMessages.INVALID_CPT_CODE;
		else if (msg.contains("cptCode") && msg.contains("not found in lexicon"))
			retValue = MdwsResponseException.UserMessages.INVALID_CPT_CODE;
		else if (msg.contains("CPT modifier must have both code and IEN."))
			retValue = MdwsResponseException.UserMessages.INVALID_CPT_CODE;
		else if (msg.contains("More than one lookup result for ICD-9 code"))
			retValue = MdwsResponseException.UserMessages.INVALID_ICD_CODE;
		else if (msg.contains("Invalid visitRelatedTo"))
			retValue = MdwsResponseException.UserMessages.INVALID_VISIT_RELATED_TOS;
		else if (msg.contains("An Error Occurred with Visit Related Tos"))
			retValue = MdwsResponseException.UserMessages.INVALID_VISIT_RELATED_TOS;
		else if (msg.contains("Must supply noteTitleIen"))
			retValue = MdwsResponseException.UserMessages.INVALID_NOTE_TITLE_IEN;
		else if (msg.contains("An Error Occurred with Note Title IEN"))
			retValue = MdwsResponseException.UserMessages.INVALID_NOTE_TITLE_IEN;
		else if (msg.contains("Invalid TITLE Selected"))
			retValue = MdwsResponseException.UserMessages.INVALID_NOTE_TITLE_IEN;
		else if (msg.contains("Must supply at least one providerIEN"))
			retValue = MdwsResponseException.UserMessages.INVALID_PROVIDER_IEN;
		else if (msg.contains("Must supply locationIen"))
			retValue = MdwsResponseException.UserMessages.INVALID_LOCATION_IEN;
		else if (msg.contains("The location IEN provided was not valid."))
			retValue = MdwsResponseException.UserMessages.INVALID_LOCATION_IEN;

		else if (msg.contains("Must supply note body"))
			retValue = MdwsResponseException.UserMessages.INVALID_NOTE_BODY;
		else if (msg.contains("Input string was not in a correct format."))
			retValue = MdwsResponseException.UserMessages.INVALID_INPUT;
		else if (msg.contains("Input string for service category was not in a correct format."))
			retValue = MdwsResponseException.UserMessages.INVALID_SERVICE_CATEGORY;
		else if (msg.contains("Input string for inpatient was not in a correct format."))
			retValue = MdwsResponseException.UserMessages.INVALID_INPATIENT;

		else if (msg.contains("Invalid person name") || msg.contains("Missing local PID") || msg.contains("Patient is unknown to CPRS"))
			retValue = MdwsResponseException.UserMessages.INVALID_PATIENT;

		else if (msg.contains("Invalidly formed record ID") || (msg.contains("Invalid formed record ID")))
			retValue = MdwsResponseException.UserMessages.INVALID_RECORD_ID;
		else if (msg.contains("Encounter that is neither historical nor inpatient must have at least one CPT code"))
			retValue = MdwsResponseException.UserMessages.INVALID_PROCEDURES;
		else if (msg.contains("Must supply comment"))
			retValue = MdwsResponseException.UserMessages.INVALID_COMMENT;
		else if (msg.contains("More than one lookup result for CPT code"))
			retValue = MdwsResponseException.UserMessages.INVALID_CPT_CODE;
		else if (msg.contains("Timeout waiting for response"))
			retValue = MdwsResponseException.UserMessages.TIMEOUT;
		else if (msg.contains("Invalid date"))
			retValue = MdwsResponseException.UserMessages.INVALID_DATE;

		else if (msg.contains("Connections not ready for operation") || msg.contains("There is no logged in connection"))
			retValue = MdwsResponseException.UserMessages.CONNECTIONS_NOT_READY;

		else if (msg.contains("Could not send Message.") || msg.contains("Index and length must refer to a location within the string"))
			retValue = MdwsResponseException.UserMessages.CONNECTION_ERROR;
		else if (msg.contains("Unmarshalling Error"))
			retValue = MdwsResponseException.UserMessages.INVALID_WSDL;
		else
			retValue = MdwsResponseException.UserMessages.GENERIC_ERROR;

		return retValue;
	}

	public static MdwsResponseException.UserMessages filterFault(FaultTO fault) {
		String msg = fault.getMessage();
		MdwsResponseException.UserMessages retValue = getResponseType(msg);
		return retValue;
	}

	public static MdwsResponseException.UserMessages filterFault(com.agilex.healthcare.mdws.generatedwsdl.tiunotesservice.FaultTO fault) {
		String msg = fault.getMessage();
		MdwsResponseException.UserMessages retValue = getResponseType(msg);
		return retValue;
	}

}
