package com.agilex.healthcare.mdws.datalayer.mock;

import com.agilex.healthcare.mdws.connection.EncounterConnectionDataLayer;
import com.agilex.healthcare.mdws.connection.MdwsConfiguration;
import com.agilex.healthcare.mdws.datalayer.EncounterDataLayer;
import com.agilex.healthcare.mdws.domain.Codes;
import com.agilex.healthcare.mdws.domain.ProblemLists;
import com.agilex.healthcare.mdws.domain.Providers;
import com.agilex.healthcare.mdws.domain.SvcConditionRelatedTo;
import com.agilex.healthcare.mdws.domain.SvcConditionRelatedTos;
import com.agilex.healthcare.mdws.domain.UserMenuOptions;
import com.agilex.healthcare.mdws.domain.VisitTypes;

//This Mock is created only for Immunization App without vista dependency demo
public class EncounterDataLayerMock extends EncounterConnectionDataLayer implements EncounterDataLayer {
	
//----------------------------------------------------------------------------------------------------------------------
			
	public EncounterDataLayerMock(MdwsConfiguration mdwsConfiguration) {
		super(mdwsConfiguration);
	}
	
//----------------------------------------------------------------------------------------------------------------------

	@Override
	public Codes getModifierCodes(String facilityCode, String cptCode) {
		return null;
	}

//----------------------------------------------------------------------------------------------------------------------
		
	@Override
	public VisitTypes getVisitTypeByClinic(String facilityCode, String locationIen, String date) {
		return null;
	}

//----------------------------------------------------------------------------------------------------------------------
		
	@Override
	public Codes getDiagnosisSubCodes(String facilityCode, String icd9Code, String visitDate) {
		return null;
	}
	
	@Override
	public Codes getProceduresSubCodes(String facilityCode, String cptCode, String visitDate) {
		return null;
	}

//----------------------------------------------------------------------------------------------------------------------
	
	@Override
	public ProblemLists getPatientProblemListDiagnoses(String facilityCode, String patientIen, String visitDate) {
		return null;
	}

//----------------------------------------------------------------------------------------------------------------------
		
	@Override
	public Providers getProvidersBySite(String facilityCode) {
		return null;
	}

//----------------------------------------------------------------------------------------------------------------------
	
	@Override
	public SvcConditionRelatedTos getSvcConnectedRelatedToConditions(String facilityCode, String patientIen, String visitDate, String locationIen) {
		SvcConditionRelatedTos retValue = new SvcConditionRelatedTos();
		SvcConditionRelatedTo relatedTo = new SvcConditionRelatedTo();
		relatedTo.setCode("SC");
		relatedTo.setIsAllowed(true);
		relatedTo.setNameOfRelatedToSvcCondition("Service Connected");
		retValue.add(relatedTo);
		
		relatedTo = new SvcConditionRelatedTo();
		relatedTo.setCode("AO");
		relatedTo.setIsAllowed(false);
		relatedTo.setNameOfRelatedToSvcCondition("Agent Orange");
		retValue.add(relatedTo);

		relatedTo = new SvcConditionRelatedTo();
		relatedTo.setCode("IR");
		relatedTo.setIsAllowed(false);
		relatedTo.setNameOfRelatedToSvcCondition("Radiation");
		retValue.add(relatedTo);

		relatedTo = new SvcConditionRelatedTo();
		relatedTo.setCode("EC");
		relatedTo.setIsAllowed(true);
		relatedTo.setNameOfRelatedToSvcCondition("Southwest Asia Conditions");
		retValue.add(relatedTo);

		relatedTo = new SvcConditionRelatedTo();
		relatedTo.setCode("MST");
		relatedTo.setIsAllowed(false);
		relatedTo.setNameOfRelatedToSvcCondition("MST");
		retValue.add(relatedTo);

		relatedTo = new SvcConditionRelatedTo();
		relatedTo.setCode("HNC");
		relatedTo.setIsAllowed(false);
		relatedTo.setNameOfRelatedToSvcCondition("Head and/or Neck Cancer");
		retValue.add(relatedTo);
		
		relatedTo = new SvcConditionRelatedTo();
		relatedTo.setCode("CV");
		relatedTo.setIsAllowed(false);
		relatedTo.setNameOfRelatedToSvcCondition("Combat Veteran");
		retValue.add(relatedTo);

		relatedTo = new SvcConditionRelatedTo();
		relatedTo.setCode("SHD");
		relatedTo.setIsAllowed(false);
		relatedTo.setNameOfRelatedToSvcCondition("Shipboard Hazard and Defense");
		retValue.add(relatedTo);
		
		return retValue;
	}

	@Override
	public UserMenuOptions getUserMenuOptions(String siteCode, String userId) {
		return null;
	}
}
