package com.agilex.healthcare.mdws.datalayer.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import com.agilex.healthcare.mdws.datalayer.MdwsResponseException;

public class DateHelper {
    private static final int VISTA_DATE_OFFSET = 17000000;
    private static final String DATE_FORMAT = "yyyyMMdd";

    public static String convertDateToVistaFormat(Date date){
        String convertedDate;
        String vistaFormat = DateHelper.formatDate(date, DATE_FORMAT);
        int dateAsInt = Integer.parseInt(vistaFormat);
        if(Integer.toString(dateAsInt).length() == 8)
            dateAsInt -= VISTA_DATE_OFFSET;
        convertedDate = Integer.toString(dateAsInt);
        return convertedDate;
    }
    

	public static String formatDate(Date date, String format) {
		if (date==null) {
			return "";
		}
		SimpleDateFormat df = new SimpleDateFormat(format);
		return df.format(date);
	}
	
	public static String parseAndConvertDateToVistaFormat(String date, String format) {
		SimpleDateFormat df = new SimpleDateFormat(format);
		Date dt = null;
		if (date != null) {
			try {
				dt = df.parse(date);
			} catch (ParseException e) {
				throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATE, e.getMessage());
			}
		}
		return convertDateToVistaFormat(dt);
	}

}
