package com.agilex.healthcare.mdws.datalayer.util;

import java.util.Iterator;

import com.agilex.healthcare.mdws.datalayer.MdwsResponseException;
import com.agilex.healthcare.mdws.domain.Provider;
import com.agilex.healthcare.mdws.domain.Providers;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.ArrayOfProviderTO;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.ProviderTO;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.TaggedProviderArray;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.TaggedProviderArrays;

public class ProvidersUtil {
	public static Providers translateLVTaggedProviderArrays(TaggedProviderArrays arr) {
		//Perform Error Checking
		if (arr == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedProviderArrays was null");
		if (arr.getFault() != null)
			throw new MdwsResponseException(arr.getFault().getMessage());
		if (arr.getArrays() == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedProviderArrays.getArrays was null");
		if (arr.getArrays().getTaggedProviderArray() == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedProviderArrays.getArrays.getLVTaggedProviderArray was null");

		Providers retValue = new Providers();

		Iterator<TaggedProviderArray> itPatientProvider = arr.getArrays().getTaggedProviderArray().iterator();

		//<LVTaggedProviderArrays
		//  <arrays>
		//		<LVTaggedProviderArrayArray>
		//			<providers>
		//				<ArrayOfLVProviderTO>
		//					<duz>
		//					<providername>
		while (itPatientProvider.hasNext()) {
			TaggedProviderArray array = itPatientProvider.next();
			//Perform Error Checking
			if (array.getFault() != null)
				throw new MdwsResponseException(array.getFault().getMessage());

			ArrayOfProviderTO statuses = array.getProviders();
			//Perform Error Checking
			if (statuses == null || statuses.getProviderTO() == null)
				continue;

			Iterator<ProviderTO> it = statuses.getProviderTO().iterator();
			while (it.hasNext()) {
				ProviderTO obj = it.next();
				//Perform Error Checking
				if (obj.getFault() != null)
					throw new MdwsResponseException(obj.getFault().getMessage());

				Provider provider = new Provider();
				provider.setDuz(obj.getDuz());
				provider.setProviderName(obj.getProvidername());
				retValue.add(provider);
			}
		}

		return retValue;
	}
}
