package com.agilex.healthcare.mdws.datalayer.util;

import com.agilex.healthcare.mdws.datalayer.MdwsResponseException;

public class SigningUtil {
	public static void validateEncounterNote(String locationIen, String noteTitleIen, String consultIen,
								String serviceCategory, String inpatient,  String date, String providers,
								String procedures, String diagnoses, String healthFactors, String visitRelatedCodes,
								String noteBody, String esig) {
		if (locationIen == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_LOCATION_IEN, "locationIen cannot be null");
		if (noteTitleIen == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_NOTE_TITLE_IEN, "noteTitleIen cannot be null");
		
		if (consultIen == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_CONSULT_IEN, "consultIen cannot be null");
		
		if (serviceCategory == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_SERVICE_CATEGORY, "serviceCategory cannot be null");
		if (!"A".equals(serviceCategory) && !"H".equals(serviceCategory) && !"E".equals(serviceCategory))
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_SERVICE_CATEGORY, "serviceCategory must be 'A' (ambulatory), 'H' (hospitalization), or 'E' (event historical)");
		
		
		if (inpatient == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_INPATIENT, "inpatient cannot be null");
		if (!"1".equals(inpatient) && !"0".equals(inpatient))
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_INPATIENT, "inpatient must be '1' for true or '0' for false");
		
		if (date == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATE, "date cannot be null");
		if (providers == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_PROVIDER_IEN, "providers cannot be null");
		if (procedures == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_PROCEDURES, "procedures cannot be null");
		if (diagnoses == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DIAGNOSES, "diagnoses cannot be null");
		if (healthFactors == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_HEALTH_FACTORS, "healthFactors cannot be null");
		if (visitRelatedCodes == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_VISIT_RELATED_TOS, "visitRelatedCodes cannot be null");
		if (noteBody == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_NOTE_BODY, "noteBody cannot be null");
		if (esig == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_ACCESS_VERIFY, "esig cannot be null");
	}

	public static void validateImmunization(String locationIen, String noteTitleIen, String serviceCategory,
								String date, String cptCode, String visitRelatedTos, String comment, String esig) {
		if (locationIen == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_LOCATION_IEN, "locationIen cannot be null");
		if (noteTitleIen == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_NOTE_TITLE_IEN, "noteTitleIen cannot be null");
		
		if (serviceCategory == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_SERVICE_CATEGORY, "serviceCategory cannot be null");
		if (!"A".equals(serviceCategory) && !"H".equals(serviceCategory) && !"E".equals(serviceCategory))
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_SERVICE_CATEGORY, "serviceCategory must be 'A' (ambulatory), 'H' (hospitalization), or 'E' (event historical)");

		if (date == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATE, "date cannot be null");
		if (cptCode == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_PROCEDURES, "cptCode cannot be null");
		
		if (visitRelatedTos == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_VISIT_RELATED_TOS, "visitRelatedTos cannot be null");
		if (comment == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_COMMENT, "comment cannot be null");
		if (esig == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_ACCESS_VERIFY, "esig cannot be null");
	}
}
