package com.agilex.healthcare.mdws.datalayer.util;

import java.util.Iterator;

import org.apache.commons.lang.StringUtils;

import com.agilex.healthcare.mdws.datalayer.MdwsResponseException;
import com.agilex.healthcare.mdws.domain.SvcConditionRelatedTo;
import com.agilex.healthcare.mdws.domain.SvcConditionRelatedTos;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.ArrayOfRelatedToSvcCondition;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.ArrayOfSvcConnectedRelatedToConditionsTO;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.RelatedToSvcCondition;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.SvcConnectedRelatedToConditionsTO;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.TaggedSvcConnectedRelatedToConditionsArray;
import com.agilex.healthcare.mdws.generatedwsdl.encounterservice.TaggedSvcConnectedRelatedToConditionsArrays;

public class SvcConditionRelatedTosUtil {

	public static SvcConditionRelatedTos translateLVTaggedSvcConnectedRelatedToConditionsArrays(TaggedSvcConnectedRelatedToConditionsArrays arr) {
		//Perform Error Checking
		if (arr == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedSvcConnectedRelatedToConditionsArrays was null");
		if (arr.getFault() != null)
			throw new MdwsResponseException(arr.getFault().getMessage());
		if (arr.getArrays() == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedSvcConnectedRelatedToConditionsArrays.getArrays was null");
		if (arr.getArrays().getTaggedSvcConnectedRelatedToConditionsArray() == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedSvcConnectedRelatedToConditionsArrays.getArrays.getLVTaggedSvcConnectedRelatedToConditionsArray was null");

		SvcConditionRelatedTos retValue = new SvcConditionRelatedTos();

		Iterator<TaggedSvcConnectedRelatedToConditionsArray> itPatientSvcConditionRelatedTos = arr.getArrays().getTaggedSvcConnectedRelatedToConditionsArray().iterator();

		while (itPatientSvcConditionRelatedTos.hasNext()) {
			TaggedSvcConnectedRelatedToConditionsArray arPatientSvcConditionRelatedTos = itPatientSvcConditionRelatedTos.next();
			//Perform Error Checking
			if (arPatientSvcConditionRelatedTos.getFault() != null)
				throw new MdwsResponseException(arPatientSvcConditionRelatedTos.getFault().getMessage());

			ArrayOfSvcConnectedRelatedToConditionsTO statusesArr = arPatientSvcConditionRelatedTos.getStatuses();
			//Perform Error Checking
			if (statusesArr == null || statusesArr.getSvcConnectedRelatedToConditionsTO() == null)
				continue;

			Iterator<SvcConnectedRelatedToConditionsTO> itSvConditionRelatedTos = statusesArr.getSvcConnectedRelatedToConditionsTO().iterator();

			SvcConnectedRelatedToConditionsTO svcConnectedRelatedToConditionsTO = itSvConditionRelatedTos.next();
			ArrayOfRelatedToSvcCondition arrayOfLVRelatedToSvcCondition = svcConnectedRelatedToConditionsTO.getServiceConnected();
			Iterator<RelatedToSvcCondition> itSvcConditonRelatedTos = arrayOfLVRelatedToSvcCondition.getRelatedToSvcCondition().iterator();
			while (itSvcConditonRelatedTos.hasNext()) {
				RelatedToSvcCondition svcConditionRelatedTo = itSvcConditonRelatedTos.next();

				SvcConditionRelatedTo conditionRelatedTo = new SvcConditionRelatedTo();
				conditionRelatedTo.setNameOfRelatedToSvcCondition(svcConditionRelatedTo.getNameOfRelatedToSvcCondition());
				conditionRelatedTo.setCode(svcConditionRelatedTo.getAbbreviation());
				if (!StringUtils.isEmpty(svcConditionRelatedTo.getIsAllowed())) {
					conditionRelatedTo.setIsAllowed((Integer.valueOf(svcConditionRelatedTo.getIsAllowed()).intValue() > 0) ? true : false);
				}
				if (!StringUtils.isEmpty(svcConditionRelatedTo.getDefaultValue())) {
					conditionRelatedTo.setDefaultValue((Integer.valueOf(svcConditionRelatedTo.getDefaultValue()).intValue() > 0) ? true : false);
				}
				retValue.add(conditionRelatedTo);
			}
		}

		return retValue;
	}

}
