package com.agilex.healthcare.mdws.datalayer.util;

import java.util.Iterator;

import com.agilex.healthcare.mdws.datalayer.MdwsResponseException;
import com.agilex.healthcare.mdws.domain.UserMenuOption;
import com.agilex.healthcare.mdws.domain.UserMenuOptions;
import com.agilex.healthcare.mdws.generatedwsdl.emrservice.UserMenuOptionArray;
import com.agilex.healthcare.mdws.generatedwsdl.emrservice.UserMenuOptionTO;

public class UserMenuOptionsUtil {
	public static UserMenuOptions translateLVUserMenuOptionArray(UserMenuOptionArray arr) {
		//Perform Error Checking
		if (arr == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVUserMenuOptionArray was null");
		if (arr.getFault() != null)
			throw new MdwsResponseException(arr.getFault().getMessage());
		if (arr.getCount() == 0)
			return new UserMenuOptions();
		if (arr.getOptions().getUserMenuOptionTO() == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVUserMenuOptionArray.getOptions().getLVUserMenuOptionTO() was null");

		UserMenuOptions umos = new UserMenuOptions();
		Iterator<UserMenuOptionTO> it = arr.getOptions().getUserMenuOptionTO().iterator();
		while (it.hasNext()) {
			UserMenuOptionTO mdwsUmo = it.next();

			//Perform Error Checking
			if (mdwsUmo.getFault() != null)
				throw new MdwsResponseException(mdwsUmo.getFault().getMessage());
			String name = mdwsUmo.getName();
			String permissionId = mdwsUmo.getPermissionId();
			String recordId = mdwsUmo.getRecordId();

			UserMenuOption umo = new UserMenuOption();
			umo.setName(name);
			umo.setPermissionId(permissionId);
			umo.setRecordId(recordId);
			umos.add(umo);
		}

		return umos;
	}

}
