#!/bin/sh
# ###########################################################################
# Script generated by HP Fortify SCA Scan Wizard (c) HP Fortify 2011
# Created on 2014/02/07 13:54:24
# ###########################################################################
# Generated for the following languages:
# 	Java
# 	XML
# ###########################################################################
# DEBUG - if set to true, runs SCA in debug mode
# SOURCEANALYZER - the name of the SCA executable
# BUILDID - the SCA build id
# LAUNCHERSWITCHES - the launcher settings that are used to invoke SCA
# ARGFILE - the name of the argument file that's extracted and passed to SCA
# MEMORY - the memory settings for SCA
# OLDFILENUMBER - this defines the file which contains the number of files within the project, it is automatically generated
# FILENOMAXDIFF - this is the percentage of difference between the number of files which will trigger a warning by the script
# ###########################################################################

DEBUG=false
SOURCEANALYZER=sourceanalyzer
FPR="FortifyHealthAdapterLib.fpr"
BUILDID="HealthAdapterLib"
ARGFILE="FortifyHealthAdapterLib.sh.args"
MEMORY="-Xmx2400M -Xms1200M -Xss48M "
BUILD_CLASSES=""
BUILD_DIR="../build"

LAUNCHERSWITCHES=""
OLDFILENUMBER=FortifyHealthAdapterLib.sh.fileno
FILENOMAXDIFF=10

if [ -z "$1" ]; then
     PROJECTROOT0="$HOME/patient-viewer-resources/Product/Production/HealthAdapterLib";
 else
     PROJECTROOT0=$1;
 fi

 if [ -z "$2" ]; then
     DEPENDENT_JARS="$HOME/.gradle/caches/artifacts-24/filestore/**/*.jar"
 else
     DEPENDENT_JARS="$2"
 fi

 if [ ! -d "$PROJECTROOT0" ]; then
    echo  "ERROR: This script is  configured to locate files at $PROJECTROOT0"
    echo  "       Please modify the \$PROJECTROOT0 variable found at the top of this script"
    echo  "       to point to the corresponding directory located on this machine.\n"
    echo  "Usage: FortifyHealthAdapterLib.sh <PROJECT_ROOT0> <DEPENDENT_JARS"
    echo  "       <PROJECT_ROOT0> - optional if not set defaults to $HOME/patient-viewer-resources/Product/Production/HealthAdapterLib"
    echo  "       <DEPENDENT_JARS> - optional if not set defaults to $HOME/.gradle/caches/artifacts-24/filestore/**/*.jar\n"
    exit
 fi

if [ $DEBUG = true ]; then export LAUNCHERSWITCHES="-debug $LAUNCHERSWITCHES"; fi
echo Extracting Arguments File


grep "# ARGS" $0 | grep -v grep | cut -d" " -f3- | sed -e s#PROJECTROOT0_MARKER#"$PROJECTROOT0"#g   > $ARGFILE

# ###########################################################################
echo Cleaning previous scan artifacts
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -clean 
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Translating files
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -cp $DEPENDENT_JARS:$BUILD_CLASSES @$ARGFILE
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Testing Difference between Translations
FILENUMBER=`$SOURCEANALYZER -b $BUILDID -show-files | wc -l`

if [ ! -f $OLDFILENUMBER ]; then
	echo It appears to be the first time running this script, setting $OLDFILENUMBER to $FILENUMBER
	echo $FILENUMBER > $OLDFILENUMBER
else
	OLDFILENO=`cat $OLDFILENUMBER`
	DIFF=`expr $OLDFILENO "*" $FILENOMAXDIFF`
	DIFF=`expr $DIFF /  100`

	MAX=`expr $OLDFILENO + $DIFF`
	MIN=`expr $OLDFILENO - $DIFF`

	if [ $FILENUMBER -lt $MIN ] ; then SHOWWARNING=true; fi
	if [ $FILENUMBER -gt $MAX ] ; then SHOWWARNING=true; fi

	if [ $SHOWWARNING == true ] ; then
		echo "WARNING: The number of files has changed by over $FILENOMAXDIFF%, it is recommended"
		echo "         that this script is regenerated with the ScanWizard"
	fi

	echo $MAX $MIN $DIFF
fi;

# ###########################################################################
echo Starting scan
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -scan -findbugs -java-build-dir $BUILD_DIR -f $FPR
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Finished
# ARGS "-source"
# ARGS "1.6"
# ARGS -exclude "PROJECTROOT0_MARKER/**/build.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessment.AssessmentDataLayerFileTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.AssessmentResultGraphGeneratorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.facility.FacilityFiltererTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.medication.MedicationRefillHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.datalayer.vital.VitalGraphGeneratorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.AddressFormatterTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.AppointmentsTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.filter.BaseFilterTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilterFactoryTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.filter.EventFiltererTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifierEqualsTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifierTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.PatientSortingAlgorithmTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.SecureMessageUserTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.sorting.LabTestComparatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.SortingPatientsTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.SortingStringExploratoryCodeTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.TimingDtoGetTimingTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.domain.VitalEntryTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.validator.appointment.AppointmentRequestValidatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.validator.appointmentrequestmessage.AppointmentRequestMessageValidatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.validator.preference.PreferenceValidatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.validator.ValidatorHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.validator.vitals.BloodPressureValidatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.validator.vitals.VitalsPainValidatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.validator.vitals.VitalsRepirationValidatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.validator.vitals.VitalsTemperatureValidatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatfrom.domain.filter.DateFiltererTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatfrom.domain.filter.DocumentFiltererTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatfrom.domain.filter.MedicationFiltererTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.notewriter.datalayer.SearchFilterFactoryTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.ArrayAppenderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.atom.AtomUtilityCreatePatientFeedTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.atom.AtomUtilityTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.audit.ThreadDiscoveryTests.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.BooleanParserTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.CustomDOBDateEditorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.date.datemarshallers.DateTimeMarshallerMarshallTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.date.datemarshallers.DateTimeMarshallerUnmarshallTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.date.datemarshallers.DateTimeNoNullMarshallerMarshallTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.date.datemarshallers.DateTimeNoNullMarshallerUnmarshallTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.date.datemarshallers.SimpleDateMarshallerMarshallTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.date.datemarshallers.SimpleDateMarshallerUnmarshallTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.date.JodaPeriodTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.DateHelperDurationTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.DateHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.DOBDateMarshallerTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.DOBDateTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.HasherTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.IntegerParserTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.IsNumericCalculatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.JavaObjectSerializationDemoTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.ListHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.ModeHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.NullCheckerTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.NullSafeStringComparerTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.objectmapper.VitalTableDataTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.PaginatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.PatientIdentitiyHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.ResourceUriEncoderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.SimpleDateMarshallerTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.StringTruncatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.VistaDateParsingTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.VitalEntryComparatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.xmlhelpertests.XmlHelperGetNodeValueTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.utility.xmlhelpertests.XmlHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.assessment.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.facility.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.learn.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.medication.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.datalayer.vital.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.domain.filter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.domain.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.domain.sorting.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.validator.appointment.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.validator.appointmentrequestmessage.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.validator.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.validator.preference.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.validator.vitals.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatfrom.domain.filter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.notewriter.datalayer.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.utility.atom.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.utility.audit.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.utility.date.datemarshallers.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.utility.date.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.utility.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.utility.objectmapper.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.utility.xmlhelpertests.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/log4j.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/test/test.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/mock/MockTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessment/AssessmentDataLayerFileTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/assessmentresults/AssessmentResultGraphGeneratorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/facility/FacilityFiltererTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/medication/MedicationRefillHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vital/VitalGraphGeneratorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/AddressFormatterTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/AppointmentsTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/filter/BaseFilterTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/filter/datefilter/DateFilterFactoryTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/filter/EventFiltererTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/PatientIdentifierEqualsTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/PatientIdentifierTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/PatientSortingAlgorithmTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/SecureMessageUserTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/sorting/LabTestComparatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/SortingPatientsTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/SortingStringExploratoryCodeTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/TimingDtoGetTimingTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/domain/VitalEntryTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/validator/appointment/AppointmentRequestValidatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/validator/appointmentrequestmessage/AppointmentRequestMessageValidatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/validator/preference/PreferenceValidatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/validator/ValidatorHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/validator/vitals/BloodPressureValidatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/validator/vitals/VitalsPainValidatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/validator/vitals/VitalsRepirationValidatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/validator/vitals/VitalsTemperatureValidatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatfrom/domain/filter/DateFiltererTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatfrom/domain/filter/DocumentFiltererTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatfrom/domain/filter/MedicationFiltererTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/notewriter/datalayer/SearchFilterFactoryTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/ArrayAppenderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/atom/AtomUtilityCreatePatientFeedTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/atom/AtomUtilityTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/audit/ThreadDiscoveryTests.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/BooleanParserTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/CustomDOBDateEditorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/date/datemarshallers/DateMarshallerTestRunner.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/date/datemarshallers/DateTimeMarshallerMarshallTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/date/datemarshallers/DateTimeMarshallerUnmarshallTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/date/datemarshallers/DateTimeNoNullMarshallerMarshallTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/date/datemarshallers/DateTimeNoNullMarshallerUnmarshallTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/date/datemarshallers/SimpleDateMarshallerMarshallTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/date/datemarshallers/SimpleDateMarshallerUnmarshallTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/date/JodaPeriodTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/DateHelperDurationTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/DateHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/DOBDateMarshallerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/DOBDateTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/HasherTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/IntegerParserTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/IsNumericCalculatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/JavaObjectSerializationDemoTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/ListHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/ModeHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/NullCheckerAssert.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/NullCheckerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/NullSafeStringComparerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/objectmapper/VitalTableDataTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/PaginatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/PatientIdentitiyHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/ResourceUriEncoderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/SimpleDateMarshallerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/StringTruncatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/VistaDateParsingTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/VitalEntryComparatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/xmlhelpertests/XmlHelperGetNodeValueTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/utility/xmlhelpertests/XmlHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/resources/test.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/test/com/agilex/healthcare/utility/xmlhelpertests/UnitTestSampleXml.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessment.AssessmentDataLayerFileTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.assessmentresults.AssessmentResultGraphGeneratorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.facility.FacilityFiltererTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.medication.MedicationRefillHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.datalayer.vital.VitalGraphGeneratorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.AddressFormatterTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.AppointmentsTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.filter.BaseFilterTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilterFactoryTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.filter.EventFiltererTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifierEqualsTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifierTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.PatientSortingAlgorithmTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.SecureMessageUserTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.sorting.LabTestComparatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.SortingPatientsTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.SortingStringExploratoryCodeTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.TimingDtoGetTimingTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.domain.VitalEntryTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.validator.appointment.AppointmentRequestValidatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.validator.appointmentrequestmessage.AppointmentRequestMessageValidatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.validator.preference.PreferenceValidatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.validator.ValidatorHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.validator.vitals.BloodPressureValidatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.validator.vitals.VitalsPainValidatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.validator.vitals.VitalsRepirationValidatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.validator.vitals.VitalsTemperatureValidatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatfrom.domain.filter.DateFiltererTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatfrom.domain.filter.DocumentFiltererTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatfrom.domain.filter.MedicationFiltererTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.notewriter.datalayer.SearchFilterFactoryTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.ArrayAppenderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.atom.AtomUtilityCreatePatientFeedTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.atom.AtomUtilityTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.audit.ThreadDiscoveryTests.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.BooleanParserTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.CustomDOBDateEditorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.date.datemarshallers.DateTimeMarshallerMarshallTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.date.datemarshallers.DateTimeMarshallerUnmarshallTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.date.datemarshallers.DateTimeNoNullMarshallerMarshallTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.date.datemarshallers.DateTimeNoNullMarshallerUnmarshallTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.date.datemarshallers.SimpleDateMarshallerMarshallTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.date.datemarshallers.SimpleDateMarshallerUnmarshallTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.date.JodaPeriodTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.DateHelperDurationTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.DateHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.DOBDateMarshallerTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.DOBDateTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.HasherTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.IntegerParserTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.IsNumericCalculatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.JavaObjectSerializationDemoTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.ListHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.ModeHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.NullCheckerTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.NullSafeStringComparerTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.objectmapper.VitalTableDataTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.PaginatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.PatientIdentitiyHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.ResourceUriEncoderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.SimpleDateMarshallerTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.StringTruncatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.VistaDateParsingTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.VitalEntryComparatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.xmlhelpertests.XmlHelperGetNodeValueTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.utility.xmlhelpertests.XmlHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/resources/com/agilex/healthcare/utility/xmlhelpertests/UnitTestSampleXml.xml"
# ARGS "PROJECTROOT0_MARKER"
