package com.agilex.healthcare.facilitydefinition.datalayer.clinic;

import java.net.URI;

import com.agilex.healthcare.mobilehealthplatform.utils.QueryParameters;
import com.agilex.healthcare.utility.NullChecker;

public class ClinicFilterFactory {
	
	public ClinicFilter createEmptyClinicFilter() {
		ClinicFilter clinicFilter = new ClinicFilter();
		
		return clinicFilter;
	}
	
	public ClinicFilter createFromUri(URI u) {
		ClinicFilter clinicFilter = createEmptyClinicFilter();
		
		QueryParameters queryParameters = new QueryParameters(u.getQuery());
		String searchString = queryParameters.getValue("searchstring");
		if (NullChecker.isNotNullish(searchString)) {
			clinicFilter.setSearchString(searchString);
		}
		
		return clinicFilter;
	}
	
	public ClinicFilter createFromSearchString(String searchString) {
		ClinicFilter clinicFilter = createEmptyClinicFilter();
		
		if (NullChecker.isNotNullish(searchString)) {
			clinicFilter.setSearchString(searchString);
		}
		
		return clinicFilter;
	}
}
