package com.agilex.healthcare.facilitydefinition.datalayer.clinic;

import com.agilex.healthcare.mobilehealthplatform.domain.Clinic;
import com.agilex.healthcare.mobilehealthplatform.domain.Clinics;
import com.agilex.healthcare.utility.NullChecker;

public class ClinicFilterer {
	
	public Clinics filter(Clinics clinics, String searchString) {
		Clinics filtered;
		
		if (searchString == null || searchString.isEmpty()) {
			filtered = clinics;
		} else {
			filtered = new Clinics();
			
			for(Clinic clinic : clinics) {
				if (matches(clinic, searchString)) {
					filtered.add(clinic);
				}
			}
		}
		
		return filtered;
	}
	
	public boolean matches(Clinic clinic, String searchString) {
		boolean result = false;
		
		if (NullChecker.isNotNullish(searchString)) {
			if (clinic.getName().toLowerCase().contains(searchString.toLowerCase())) {
				result = true;
			}
		} else {
			result = true;
		}
		
		return result;
	}
}
