package com.agilex.healthcare.facilitydefinition.datalayer.ward;

import java.net.URI;

import com.agilex.healthcare.mobilehealthplatform.utils.QueryParameters;
import com.agilex.healthcare.utility.NullChecker;

public class WardFilterFactory {
	
	public WardFilter createEmptyWardFilter() {
		WardFilter filter = new WardFilter();
		
		return filter;
	}
	
	public WardFilter createFromUri(URI u) {
		WardFilter filter = createEmptyWardFilter();
		
		QueryParameters queryParameters = new QueryParameters(u.getQuery());

		String searchString = queryParameters.getValue("searchstring");
		if (NullChecker.isNotNullish(searchString)) {
			filter.setSearchString(searchString);
		}
		
		return filter;
	}
	
	public WardFilter createFromSearchString(String searchString) {
		WardFilter filter = createEmptyWardFilter();
		
		if (NullChecker.isNotNullish(searchString)) {
			filter.setSearchString(searchString);
		}
		
		return filter;
	}
}
