package com.agilex.healthcare.facilitydefinition.datalayer.ward;

import com.agilex.healthcare.mobilehealthplatform.domain.Ward;
import com.agilex.healthcare.mobilehealthplatform.domain.Wards;
import com.agilex.healthcare.utility.NullChecker;

public class WardFilterer {
	
	public Wards filter(Wards wards, String searchString) {
		Wards filtered;
		
		if (searchString == null || searchString.isEmpty()) {
			filtered = wards;
		} else {
			filtered = new Wards();
			
			for(Ward ward : wards) {
				if (matches(ward, searchString)) {
					filtered.add(ward);
				}
			}
		}
		
		return filtered;
	}
	
	public boolean matches(Ward ward, String searchString) {
		boolean result = false;
		
		if (NullChecker.isNotNullish(searchString)) {
			if (ward.getName().toLowerCase().contains(searchString.toLowerCase())) {
				result = true;
			}
		} else {
			result = true;
		}
		
		return result;
	}
}
