package com.agilex.healthcare.mobilehealthplatform.datalayer.ventilatorsetting;

import com.agilex.healthcare.mobilehealthplatform.domain.VentilatorSetting;
import com.agilex.healthcare.mobilehealthplatform.domain.VentilatorSettings;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilterer;
import com.agilex.healthcare.utility.NullChecker;
import com.agilex.healthcare.utility.NullSafeStringComparer;

public class VentilatorSettingDataLayerFilterer {
    private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(VentilatorSettingDataLayerFilterer.class);

    public static VentilatorSettings applyFilter(VentilatorSettings unfilteredVentilatorSettings, VentilatorSettingFilter filter) {
        logger.debug(String.format("begin filter ventilator settings. [ventilatorSettings.size=%s]", unfilteredVentilatorSettings.size()));
        VentilatorSettings filteredVentilatorSettings = DateFilterer.filterByDate(unfilteredVentilatorSettings, filter);
        logger.debug(String.format("filter ventilator settings by date. [ventilatorSettings.size=%s]", filteredVentilatorSettings.size()));
        return filteredVentilatorSettings;
    }
}
