package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;

import com.agilex.healthcare.utility.NullChecker;

@XmlType(name = "clinical-event-state")
@XmlEnum
public enum ClinicalEventState {
	@XmlEnumValue("DRAFT")
	DRAFT("DRAFT"),
	
	@XmlEnumValue("SIGNED")
	SIGNED("SIGNED");
	
	private final String value;
	
	private ClinicalEventState(String value) {
		this.value = value;
	}
	
	public String value() {
		return value;
	}
	
	public static ClinicalEventState fromValue(String value) {
		if (NullChecker.isNullish(value))
			throw new IllegalArgumentException("The ClinicalEventState cannot be null");
		
		for (ClinicalEventState c : ClinicalEventState.values()) {
			if (c.value.equals(value))
				return c;
		}
		throw new IllegalArgumentException(value);
	}
}
