package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import javax.xml.bind.annotation.*;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "consults", namespace = Namespace.MobileHealthPlatform)
public class Consults extends PatientDataCollection<Consult> {
	private static final long serialVersionUID = -653853829960616772L;
	
	public Consults() {}
	
	public Consults(List<Consult> consults) {
		this.addAll(consults);
	}
	
	public Consults(Consult... consults) {
		for(int i = 0; i < consults.length; i++) {
			this.add(consults[i]);
		}
	}

    public Consult findConsultById(String id){

        for (Consult consult: this){
           if(consult.getConsultId().toString().equals(id))
               return consult;
        }
       return null;
    }
	
	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<Consult> getConsult() {
		return this;
	}
	
	public static void sortConsultsOldestFirst(Consults consults){
		Collections.sort(consults, new Comparator<Consult>(){
            // Sorts by Number days, if number of days are equal sorts by the alphabetical
            // name of the Request service name
			@Override
		     public int compare(Consult o1, Consult o2){
                 if(o1.getCreatedDate().compareTo(o2.getCreatedDate()) != 0) {
		             return o1.getCreatedDate().compareTo(o2.getCreatedDate());
                 }
                 else if (o1.getRequestServiceName() != null && o2.getRequestServiceName() != null) {
                	 return o1.getRequestServiceName().compareTo(o2.getRequestServiceName());
                 }
                 else
                	 return 0;
		     }
		});
	}
}
