package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name = "EVENT")
public class Event extends PatientData implements Dateable {

	private static final long serialVersionUID = 6464653089884445762L;
	
	private String type;
	private String subType;
	private Date date;
	private List<EventObservation> observation;

	@Id
//	@GeneratedValue - While not standard, we need to generate this ourselves in this rare case
	@Column(name="EVENT_ID", nullable=false)
	public String getId() {
		return this.getDataIdentifier().getUniqueId();
	}

	public void setId(String id) {
		this.getDataIdentifier().setUniqueId(id);
	}
	
	@Column(name="PATIENT_ID")
	public String getPatientId() {
		return this.getPatientIdentifier().getUniqueId();
	}
	
	public void setPatientId(String patientId) {
		this.getPatientIdentifier().setUniqueId(patientId);
	}

	@Column(name="TYPE")
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@Column(name="SUBTYPE")
	public String getSubType() {
		return subType;
	}

	public void setSubType(String subType) {
		this.subType = subType;
	}

	@Column(name="DATE")
	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	@OneToMany(cascade = { CascadeType.ALL }, fetch = FetchType.EAGER, mappedBy = "event")
	public List<EventObservation> getObservation() {
		return observation;
	}

	public void setObservation(List<EventObservation> observation) {
		this.observation = observation;
	}

}
