package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Iterator;
import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObjectCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.Namespace;
import java.util.Collection;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "facilityProviders", namespace = Namespace.MobileHealthPlatform)
public class FacilityProviders extends DomainTransferObjectCollection<FacilityProvider> { 

	private static final long serialVersionUID = 4673437643160951895L;

	public FacilityProviders() {}

	public FacilityProviders(FacilityProvider... facilityProvider) {
		for (int i = 0; i < facilityProvider.length; i++) {
			this.add(facilityProvider[i]);
		}
	}

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<FacilityProvider> getFacilityProvider() {
		return this;
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("FacilityProviders (" + this.size() + "):");
		
		Iterator<FacilityProvider> i = this.iterator();
        while (i.hasNext()) {
        	FacilityProvider mc = i.next();
        	String s = String.format("%n%s", mc.toString());
        	sb.append(s);
        }

		return sb.toString();
	}


}