package com.agilex.healthcare.mobilehealthplatform.domain;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.agilex.healthcare.utility.DateHelper;
import java.text.DateFormat;
import com.agilex.healthcare.utility.datemarshallers.DateTimeMarshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlRootElement(name = "item", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class GraphItem extends DomainTransferObject {

	private static final long serialVersionUID = 775517277627853213L;

	@XmlElement
	private double x;
	@XmlElement
	private double y;
	@XmlElement
	private String label;
	@XmlElement
	private String dataUnits;
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
	private Date date;

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public double getX() {
		return x;
	}

	public void setX(double x) {
		this.x = x;
	}

	public double getY() {
		return y;
	}

	public void setY(double y) {
		this.y = y;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
        DateFormat formatter = new SimpleDateFormat("yyyyMMdd.HHmmss");
        String formatted = formatter.format(date);
        this.date = DateHelper.parseGraphDate(formatted);
	}

	public void setUnits(String units) {
		this.dataUnits = units;
	}

}
