package com.agilex.healthcare.mobilehealthplatform.domain;

import com.agilex.healthcare.mobilehealthplatform.enumeration.HealthFactorSeverity;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Created by guthriev on 2/25/14.
 */
@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "healthFactor", namespace = Namespace.MobileHealthPlatform)
public class HealthFactor extends DomainTransferObject {

    @XmlElement
    private String ien;

    @XmlElement
    private String siteCode;

    @XmlElement
    private String healthFactorCode;

    @XmlElement
    private String healthFactorDescription;

    @XmlElement
    private String parentCategory;

    @XmlElement
    private boolean category;

    @XmlElement
    private HealthFactorSeverity healthFactorSeverity;

    @XmlElement
    private String healthFactorComment;

    public HealthFactor() {
    }

    public HealthFactor(String healthFactorCode, String healthFactorDescription, HealthFactorSeverity healthFactorSeverity, String healthFactorComment) {
        this.healthFactorCode = healthFactorCode;
        this.healthFactorDescription = healthFactorDescription;
        this.healthFactorSeverity = healthFactorSeverity;
        this.healthFactorComment = healthFactorComment;
    }

    public String getHealthFactorCode() {
        return healthFactorCode;
    }

    public void setHealthFactorCode(String healthFactorCode) {
        this.healthFactorCode = healthFactorCode;
    }

    public String getHealthFactorDescription() {
        return healthFactorDescription;
    }

    public void setHealthFactorDescription(String healthFactorDescription) {
        this.healthFactorDescription = healthFactorDescription;
    }

    public HealthFactorSeverity getHealthFactorSeverity() {
        return healthFactorSeverity;
    }

    public void setHealthFactorSeverity(HealthFactorSeverity healthFactorSeverity) {
        this.healthFactorSeverity = healthFactorSeverity;
    }

    public String getHealthFactorComment() {
        return healthFactorComment;
    }

    public void setHealthFactorComment(String healthFactorComment) {
        this.healthFactorComment = healthFactorComment;
    }

    public String getParentCategory() {
        return parentCategory;
    }

    public void setParentCategory(String parentCategory) {
        this.parentCategory = parentCategory;
    }

    public boolean isCategory() {
        return category;
    }

    public void setCategory(boolean category) {
        this.category = category;
    }

    public String getSiteCode() {
        return siteCode;
    }

    public void setSiteCode(String siteCode) {
        this.siteCode = siteCode;
    }

    public String getIen() {
        return ien;
    }

    public void setIen(String ien) {
        this.ien = ien;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        HealthFactor that = (HealthFactor) o;

        if (category != that.category) return false;
        if (healthFactorCode != null ? !healthFactorCode.equals(that.healthFactorCode) : that.healthFactorCode != null)
            return false;
        if (healthFactorComment != null ? !healthFactorComment.equals(that.healthFactorComment) : that.healthFactorComment != null)
            return false;
        if (healthFactorDescription != null ? !healthFactorDescription.equals(that.healthFactorDescription) : that.healthFactorDescription != null)
            return false;
        if (healthFactorSeverity != that.healthFactorSeverity) return false;
        if (!ien.equals(that.ien)) return false;
        if (parentCategory != null ? !parentCategory.equals(that.parentCategory) : that.parentCategory != null)
            return false;
        if (siteCode != null ? !siteCode.equals(that.siteCode) : that.siteCode != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = ien.hashCode();
        result = 31 * result + (siteCode != null ? siteCode.hashCode() : 0);
        result = 31 * result + (healthFactorCode != null ? healthFactorCode.hashCode() : 0);
        result = 31 * result + (healthFactorDescription != null ? healthFactorDescription.hashCode() : 0);
        result = 31 * result + (parentCategory != null ? parentCategory.hashCode() : 0);
        result = 31 * result + (category ? 1 : 0);
        result = 31 * result + (healthFactorSeverity != null ? healthFactorSeverity.hashCode() : 0);
        result = 31 * result + (healthFactorComment != null ? healthFactorComment.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("HealthFactor{");
        sb.append("ien='").append(ien).append('\'');
        sb.append(", siteCode='").append(siteCode).append('\'');
        sb.append(", healthFactorCode='").append(healthFactorCode).append('\'');
        sb.append(", healthFactorDescription='").append(healthFactorDescription).append('\'');
        sb.append(", parentCategory='").append(parentCategory).append('\'');
        sb.append(", category=").append(category);
        sb.append(", healthFactorSeverity=").append(healthFactorSeverity);
        sb.append(", healthFactorComment='").append(healthFactorComment).append('\'');
        sb.append('}');
        return sb.toString();
    }

    public String toDelimitedStringForVista() {
        StringBuilder builder = new StringBuilder("");
        if(null!=healthFactorCode)
            builder.append(healthFactorCode);
        builder.append('^');
        if(null!=healthFactorDescription)
            builder.append(healthFactorDescription);
        builder.append('^');
        if(null!=healthFactorSeverity)
            builder.append(healthFactorSeverity.name());
        builder.append('^');
        if(null!=healthFactorComment)
            builder.append(healthFactorComment);
        return builder.toString();
    }
}
