package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "immunization-campaign", namespace = Namespace.MobileHealthPlatform)
public class ImmunizationCampaignURI extends DomainTransferObject {

	private static final long serialVersionUID = -5359067520718878073L;
	private static final String vaccineTemplate = "vaccine-template";
	private static final String vaccineHistory = "immunization-history";
	private static final String mailVis = "mail-vis";
	
	@XmlElement
	private String patientId;

	@XmlElement
	private String visUrl;
	
	@XmlElement
	public String getUri(){
		if(this.getSelfUri() != null){
			return getSelfUri().toString();
		}else{
			return null;
		}
	}

	public String getPatientId() {
		return patientId;
	}

	public void setPatientId(String patientId) {
		this.patientId = patientId;
	}

	public String getVisUrl() {
		return visUrl;
	}

	public void setVisUrl(String visUrl) {
		this.visUrl = visUrl;
	}

	@XmlElement
	public String getVaccineTemplateUri() {
		return getUriByTitle(vaccineTemplate);
	}

	@XmlElement
	public String getVaccineHistoryUri() {
		return getUriByTitle(vaccineHistory);
	}

	@XmlElement
	public String getmailVisUri() {
		return getUriByTitle(mailVis);
	}
	
	private String getUriByTitle(String title){
		AtomLink link = getLink().getLinkByTitle(title);
		if (link != null) {
			return link.getHref().toString();
		} else {
			return null;
		}
	}	
	
}
