package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "modifier")
@XmlAccessorType(value = XmlAccessType.NONE)
public class Modifier {

	@XmlElement
	private String ien;
	
	@XmlElement
	private String name;

	@XmlElement
	private String code;
	
	/**
	 * Selected is used by the UI to know whether to check or uncheck something when doing a resume.
	 */
	@XmlElement
	private boolean selected;
	
	@Override
	public String toString() {
		return "Modifier [ien=" + ien + ", name=" + name + ", code=" + code + ", selected=" + selected + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((code == null) ? 0 : code.hashCode());
		result = prime * result + ((ien == null) ? 0 : ien.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + (selected ? 1231 : 1237);
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Modifier other = (Modifier) obj;
		if (code == null) {
			if (other.code != null)
				return false;
		}
		else if (!code.equals(other.code))
			return false;
		if (ien == null) {
			if (other.ien != null)
				return false;
		}
		else if (!ien.equals(other.ien))
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		}
		else if (!name.equals(other.name))
			return false;
		if (selected != other.selected)
			return false;
		return true;
	}

	public String getIen() {
		return ien;
	}

	public void setIen(String ien) {
		this.ien = ien;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * Selected is used by the UI to know whether to check or uncheck something when doing a resume.
	 */
	public boolean isSelected() {
		return selected;
	}
	
	/**
	 * Selected is used by the UI to know whether to check or uncheck something when doing a resume.
	 */
	public void setSelected(boolean selected) {
		this.selected = selected;
	}
}
