package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "note", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class Note extends DomainTransferObject {
	private static final long serialVersionUID = -3954160693099530094L;
	
	@XmlElement
	private NoteTitle title;
	
	@XmlElement
	private String body;
	
	@XmlElement
	private String consultIen;

	@XmlElement
	private Date signedDate;

	@Override
	public String toString() {
		return "Note [title=" + title + ", body=" + body + ", consultIen=" + consultIen + ", signedDate=" + signedDate + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((body == null) ? 0 : body.hashCode());
		result = prime * result + ((consultIen == null) ? 0 : consultIen.hashCode());
		result = prime * result + ((signedDate == null) ? 0 : signedDate.hashCode());
		result = prime * result + ((title == null) ? 0 : title.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Note other = (Note) obj;
		if (body == null) {
			if (other.body != null)
				return false;
		}
		else if (!body.equals(other.body))
			return false;
		if (consultIen == null) {
			if (other.consultIen != null)
				return false;
		}
		else if (!consultIen.equals(other.consultIen))
			return false;
		if (signedDate == null) {
			if (other.signedDate != null)
				return false;
		}
		else if (!signedDate.equals(other.signedDate))
			return false;
		if (title == null) {
			if (other.title != null)
				return false;
		}
		else if (!title.equals(other.title))
			return false;
		return true;
	}

	public NoteTitle getTitle() {
		return title;
	}
	
	public void setTitle(NoteTitle title) {
		this.title = title;
	}
	
	public String getBody() {
		return body;
	}
	
	public void setBody(String body) {
		this.body = body;
	}

	public Date getSignedDate() {
		return signedDate;
	}

	public void setSignedDate(Date signedDate) {
		this.signedDate = signedDate;
	}
	
	public String getConsultIen() {
		return consultIen;
	}

	public void setConsultIen(String consultIen) {
		this.consultIen = consultIen;
	}
}