package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import com.agilex.healthcare.utility.HtmlEncodingXmlAdapter;

@XmlRootElement(name = "note-title", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class NoteTitle extends DomainTransferObject {
	private static final long serialVersionUID = -8113156250041492371L;

	@XmlElement
	private String ien;
	
	@XmlElement
	@XmlJavaTypeAdapter(HtmlEncodingXmlAdapter.class)
	private String name;
	
	@XmlElement
	private boolean isConsult;
	
	@XmlElement
	private boolean isPrf; //Patient Record Flag

	public NoteTitle() {}
	
	public NoteTitle(String ien, String name) {
		setIen(ien);
		setName(name);
		setConsult(false);
	}
	
	public NoteTitle(String ien, String name, boolean isTypeConsult, boolean isPrf) {
		setIen(ien);
		setName(name);
		setConsult(isTypeConsult);
		setPrf(isPrf);
	}

	
	@Override
	public String toString() {
		return "NoteTitle [ien=" + ien + ", name=" + name + ", isConsult=" + isConsult + ", isPrf=" + isPrf + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((ien == null) ? 0 : ien.hashCode());
		result = prime * result + (isConsult ? 1231 : 1237);
		result = prime * result + (isPrf ? 1231 : 1237);
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		NoteTitle other = (NoteTitle) obj;
		if (ien == null) {
			if (other.ien != null)
				return false;
		}
		else if (!ien.equals(other.ien))
			return false;
		if (isConsult != other.isConsult)
			return false;
		if (isPrf != other.isPrf)
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		}
		else if (!name.equals(other.name))
			return false;
		return true;
	}

	public String getIen() {
		return ien;
	}

	public void setIen(String ien) {
		this.ien = ien;
	}
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isConsult() {
		return isConsult;
	}

	public void setConsult(boolean isConsult) {
		this.isConsult = isConsult;
	}

	public boolean isPrf() {
		return isPrf;
	}

	public void setPrf(boolean isPrf) {
		this.isPrf = isPrf;
	}
}