package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Date;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import com.agilex.healthcare.mobilehealthplatform.enumeration.OrderGrouping;
import com.agilex.healthcare.utility.datemarshallers.DateMarshaller;


@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "order", namespace=Namespace.MobileHealthPlatform)
public class Order extends PatientData implements Comparable<Order>, Dateable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 316100612240996179L;

	@XmlAttribute
	private String orderId = null;
	
	@XmlJavaTypeAdapter(DateMarshaller.class)
	@XmlAttribute
	private Date orderedDate = null;
	
	@XmlJavaTypeAdapter(DateMarshaller.class)
	@XmlAttribute
	private Date startDate = null;
	
	@XmlJavaTypeAdapter(DateMarshaller.class)
	@XmlAttribute
	private Date stopDate = null;
	
	@XmlAttribute
	private String status = null;
	
	@XmlElement
	private OrdersStatus orderStatus = null;
	
	@XmlJavaTypeAdapter(DateMarshaller.class)
	@XmlAttribute
	private Date dateSigned = null;
	
	@XmlAttribute
	private String verifyingNurse = null;
	
	@XmlJavaTypeAdapter(DateMarshaller.class)
	@XmlAttribute
	private Date dateVerified = null;
	
	@XmlAttribute
	private String verifyingClerk = null;
	
	@XmlElement
	private MhpUser provider;
	
	@XmlAttribute
	private String orderText;
	
	@XmlAttribute
	private String orderDetail;
	
	@XmlAttribute
	private String orderTypeId;
	
	@XmlAttribute
	private OrderGrouping orderGrouping;
	
	@XmlAttribute
	private String orderType;
	
	@XmlAttribute
	private String orderSubType;
	
	@XmlAttribute
	private String errorMessage;
	
	@XmlAttribute
	private boolean flag;
	
    @XmlElement
    private OrderSignStatus orderSignStatus;

    @XmlElement
    private OrderProvider orderProvider;

    @XmlElement
    private OrderLocation orderLocation;

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public Date getOrderedDate() {
		return orderedDate;
	}

	public void setOrderedDate(Date orderedDate) {
		this.orderedDate = orderedDate;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getStopDate() {
		return stopDate;
	}

	public void setStopDate(Date stopDate) {
		this.stopDate = stopDate;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getDateSigned() {
		return dateSigned;
	}

	public void setDateSigned(Date dateSigned) {
		this.dateSigned = dateSigned;
	}

	public String getVerifyingNurse() {
		return verifyingNurse;
	}

	public void setVerifyingNurse(String verifyingNurse) {
		this.verifyingNurse = verifyingNurse;
	}

	public Date getDateVerified() {
		return dateVerified;
	}

	public void setDateVerified(Date dateVerified) {
		this.dateVerified = dateVerified;
	}

	public String getVerifyingClerk() {
		return verifyingClerk;
	}

	public void setVerifyingClerk(String verifyingClerk) {
		this.verifyingClerk = verifyingClerk;
	}

	public MhpUser getProvider() {
		return provider;
	}

	public void setProvider(MhpUser provider) {
		this.provider = provider;
	}

	public String getOrderText() {
		return orderText;
	}

	public void setOrderText(String orderText) {
		this.orderText = orderText;
	}

	public String getOrderDetail() {
		return orderDetail;
	}

	public void setOrderDetail(String orderDetail) {
		this.orderDetail = orderDetail;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public boolean isFlag() {
		return flag;
	}

	public void setFlag(boolean flag) {
		this.flag = flag;
	}
	
	public String getOrderTypeId() {
		return orderTypeId;
	}

	public void setOrderTypeId(String orderTypeId) {
		this.orderTypeId = orderTypeId;
	}

	public OrderGrouping getOrderGrouping() {
		return orderGrouping;
	}

	public void setOrderGrouping(OrderGrouping orderGrouping) {
		this.orderGrouping = orderGrouping;
	}

	public String getOrderType() {
		return orderType;
	}

	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}

	public String getOrderSubType() {
		return orderSubType;
	}

	public void setOrderSubType(String orderSubType) {
		this.orderSubType = orderSubType;
	}

    public OrdersStatus getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(OrdersStatus orderStatus) {
        this.orderStatus = orderStatus;
    }

    public OrderSignStatus getOrderSignStatus() {
        return orderSignStatus;
    }

    public void setOrderSignStatus(OrderSignStatus orderSignStatus) {
        this.orderSignStatus = orderSignStatus;
    }

    public OrderProvider getOrderProvider() {
        return orderProvider;
    }

    public void setOrderProvider(OrderProvider orderProvider) {
        this.orderProvider = orderProvider;
    }

    public OrderLocation getOrderLocation() {
        return orderLocation;
    }

    public void setOrderLocation(OrderLocation orderLocation) {
        this.orderLocation = orderLocation;
    }

    @Override
	public int compareTo(Order arg0) {
		return this.getOrderId().compareTo(arg0.getOrderId());
	}
	
	@Override
	public Date getDate() {
		return this.getOrderedDate();
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + ((orderId == null) ? 0 : orderId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		/*if (!super.equals(obj)) {
			return false;
		}*/
		if (!(obj instanceof Order)) {
			return false;
		}
		Order other = (Order) obj;
		if (orderId == null) {
			if (other.orderId != null) {
				return false;
			}
		} else if (!orderId.equals(other.orderId)) {
			return false;
		}
		return true;
	}
}
