package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.agilex.healthcare.utility.NullChecker;

@XmlRootElement(name = "provider-identifier", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class ProviderIdentifier extends DomainTransferObject {

	private static final long serialVersionUID = -3152353061663831063L;
	
	@XmlElement
	private String staffId;
	
	@XmlElement
	private String facilityCode;
	
	public ProviderIdentifier() {
	}
	
	public ProviderIdentifier(String facilityCode, String staffId) {
		this.facilityCode = facilityCode;
		this.staffId = staffId;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((facilityCode == null) ? 0 : facilityCode.hashCode());
		result = prime * result + ((staffId == null) ? 0 : staffId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ProviderIdentifier other = (ProviderIdentifier) obj;
		if (facilityCode == null) {
			if (other.facilityCode != null)
				return false;
		}
		else if (!facilityCode.equals(other.facilityCode))
			return false;
		if (staffId == null) {
			if (other.staffId != null)
				return false;
		}
		else if (!staffId.equals(other.staffId))
			return false;
		return true;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getFacilityCode() {
		return facilityCode;
	}

	public void setFacilityCode(String facilityCode) {
		this.facilityCode = facilityCode;
	}

	@Override
	public String toString() {
		final String delimitor = "#";
		String s;
		if (NullChecker.isNullish(staffId)) {
			s = null;
		} else if (NullChecker.isNullish(facilityCode)) {
			s = staffId;
		} else {
			s = facilityCode + delimitor + staffId;
		}
		return s;
	}
}
