package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Date;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import com.agilex.healthcare.utility.datemarshallers.DateTimeMarshaller;


@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "providerNote", namespace = Namespace.MobileHealthPlatform)
public class ProviderNote extends PatientData implements Dateable {

	private static final long serialVersionUID = 5767042194635913879L;
	
	public ProviderNote() {}
	
	public ProviderNote(String text) {
		this.text = text;
	}

    @XmlElement
    private String id;
	@XmlElement
	private String text;
	
	@XmlElement
	@XmlJavaTypeAdapter(DateTimeMarshaller.class)
	private Date entryDate;

    @XmlElement
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
    private Date dischargeDate;

    @XmlElement
    private String localTitle;

    @XmlElement
    private String standardTitle;

    @XmlElement
    private Author author;

    @XmlElement
    private Author approvedBy;

    @XmlElement
    private String location;

    @XmlElement
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
    private Date timestamp;

    @XmlElement
    private String documentType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public Date getEntryDate() {
		return entryDate;
	}

	public void setEntryDate(Date entryDate) {
		this.entryDate = entryDate;
	}

    public Date getDischargeDate() {
        return dischargeDate;
    }

    public void setDischargeDate(Date dischargeDate) {
        this.dischargeDate = dischargeDate;
    }

    public String getLocalTitle() {
        return localTitle;
    }

    public void setLocalTitle(String localTitle) {
        this.localTitle = localTitle;
    }

    public String getStandardTitle() {
        return standardTitle;
    }

    public void setStandardTitle(String standardTitle) {
        this.standardTitle = standardTitle;
    }

    public Author getAuthor() {
        return author;
    }

    public void setAuthor(Author author) {
        this.author = author;
    }

    public Author getApprovedBy() {
        return approvedBy;
    }

    public void setApprovedBy(Author approvedBy) {
        this.approvedBy = approvedBy;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    @Override
	public Date getDate() {
		return getEntryDate();
	}

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }
}
