package com.agilex.healthcare.mobilehealthplatform.domain;

import com.agilex.healthcare.utility.datemarshallers.DateTimeMarshaller;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.util.Date;

/**
 * Created with IntelliJ IDEA.
 * User: patelh
 * Date: 2/20/14
 * Time: 2:04 PM
 * To change this template use File | Settings | File Templates.
 */

@XmlRootElement(name = "reportDocument", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class ReportDocument extends PatientData{

    private static final long serialVersionUID = -1006656328452515307L;

    @XmlElement
    private String recordId;
    @XmlElement
    private String title;
    @XmlElement
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
    private Date timestamp;
    @XmlElement
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
    private Date entryDate;
    @XmlElement
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
    private Date dischargeDate;
    @XmlElement
    private String localTitle;
    @XmlElement
    private String standardTitle;
    @XmlElement
    private Author author;
    @XmlElement
    private String text;
    @XmlElement
    private Author approvedBy;
    @XmlElement
    private String location;
    @XmlElement
    private String documentType;
    @XmlElement
    private Facility facility;
    @XmlElement
    private Specimen specimen;
    @XmlElement
    private String exam;
    @XmlElement
    private String testShortName = null;
    @XmlElement
    private String report = null;
    @XmlElement
    private String testName = null;
    @XmlElement
    private String facilityName = null;
    @XmlElement
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
    private Date resultedDate = null;
    @XmlElement
    private String testId;

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public Date getEntryDate() {
        return entryDate;
    }

    public void setEntryDate(Date entryDate) {
        this.entryDate = entryDate;
    }

    public Date getDischargeDate() {
        return dischargeDate;
    }

    public void setDischargeDate(Date dischargeDate) {
        this.dischargeDate = dischargeDate;
    }

    public String getLocalTitle() {
        return localTitle;
    }

    public void setLocalTitle(String localTitle) {
        this.localTitle = localTitle;
    }

    public String getStandardTitle() {
        return standardTitle;
    }

    public void setStandardTitle(String standardTitle) {
        this.standardTitle = standardTitle;
    }

    public Author getAuthor() {
        return author;
    }

    public void setAuthor(Author author) {
        this.author = author;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public Author getApprovedBy() {
        return approvedBy;
    }

    public void setApprovedBy(Author approvedBy) {
        this.approvedBy = approvedBy;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }

    public Facility getFacility() {
        return facility;
    }

    public void setFacility(Facility facility) {
        this.facility = facility;
    }

    public Specimen getSpecimen() {
        return specimen;
    }

    public void setSpecimen(Specimen specimen) {
        this.specimen = specimen;
    }

    public String getExam() {
        return exam;
    }

    public void setExam(String exam) {
        this.exam = exam;
    }

    public String getTestShortName() {
        return testShortName;
    }

    public void setTestShortName(String testShortName) {
        this.testShortName = testShortName;
    }

    public String getReport() {
        return report;
    }

    public void setReport(String report) {
        this.report = report;
    }

    public String getTestName() {
        return testName;
    }

    public void setTestName(String testName) {
        this.testName = testName;
    }

    public String getFacilityName() {
        return facilityName;
    }

    public void setFacilityName(String facilityName) {
        this.facilityName = facilityName;
    }

    public Date getResultedDate() {
        return resultedDate;
    }

    public void setResultedDate(Date resultedDate) {
        this.resultedDate = resultedDate;
    }

    public String getTestId() {
        return testId;
    }

    public void setTestId(String testId) {
        this.testId = testId;
    }
}
