package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "specialty", namespace = Namespace.MobileHealthPlatform)
public class Specialty extends DomainTransferObject {

    private static final long serialVersionUID = -8638544418773401093L;

    @XmlElement
    private String name;

    @XmlElement
    private Clinics specialtyClinics;

	@XmlElement
	private DataIdentifier dataIdentifier;
	
	public Specialty(){}
	public Specialty(String specialtyUniqueId){
		this.setUniqueId(specialtyUniqueId);
	}
	
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Clinics getSpecialtyClinics() {
        return specialtyClinics;
    }

    public void setSpecialtyClinics(Clinics specialtyClinics) {
        this.specialtyClinics = specialtyClinics;
    }
    
	public void setDataIdentifier(DataIdentifier dataIdentifier) {
		this.dataIdentifier = dataIdentifier;
	}

	public DataIdentifier getDataIdentifier() {
		if (dataIdentifier == null){
	        dataIdentifier = new DataIdentifier();
		}
		return dataIdentifier;
	}
	
	public void setUniqueId(String uniqueId) {
		getDataIdentifier().setUniqueId(uniqueId);
	}

	public String getUniqueId() {
		return getDataIdentifier().getUniqueId();
	}
	
}
