package com.agilex.healthcare.mobilehealthplatform.domain;

import com.agilex.healthcare.utility.datemarshallers.DateTimeMarshaller;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.util.Date;

@XmlRootElement(name = "specimen", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)

public class Specimen {

    public Specimen(){

    }
    public Specimen(String name, String id, Date collectionDate, String accessionNumber) {
        this.name = name;
        this.id = id;
        this.collectionDate = collectionDate;
        this.accessionNumber = accessionNumber;
    }

    @XmlElement
    private String name;

    @XmlElement
    private String id;

    @XmlElement
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
    private Date collectionDate;

    @XmlElement
    private String accessionNumber;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getCollectionDate() {
        return collectionDate;
    }

    public void setCollectionDate(Date collectionDate) {
        this.collectionDate = collectionDate;
    }

    public String getAccessionNumber() {
        return accessionNumber;
    }

    public void setAccessionNumber(String accessionNumber) {
        this.accessionNumber = accessionNumber;
    }
}
