package com.agilex.healthcare.mobilehealthplatform.domain;

import com.agilex.healthcare.mobilehealthplatform.domain.Dateable;
import com.agilex.healthcare.mobilehealthplatform.domain.Namespace;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientData;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.mobilehealthplatform.enumeration.TaskItemType;
import com.agilex.healthcare.utility.datemarshallers.DateTimeMarshaller;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.util.Date;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "task-list", namespace = Namespace.MobileHealthPlatform)
public class TaskListItem extends PatientData implements Dateable {

	private static final long serialVersionUID = -613294957626640127L;

	@XmlElement
	private String id;
	@XmlElement
	private TaskItemType type;
	@XmlElement
	private PatientIdentifier patientIdentifier;
	@XmlElement
	private String patientName;
	@XmlElement
	private String patientSSN;
	@XmlElement
	private String clinicalEventId;
	@XmlElement
	@XmlJavaTypeAdapter(DateTimeMarshaller.class)
	private Date date;
	@XmlElement
	private String description;
	@XmlElement
	private String status;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public TaskItemType getType() {
        return type;
    }

    public void setType(TaskItemType type) {
        this.type = type;
    }

    public PatientIdentifier getPatientIdentifier() {
        return patientIdentifier;
    }

    public void setPatientIdentifier(PatientIdentifier patientIdentifier) {
        this.patientIdentifier = patientIdentifier;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientSSN() {
        return patientSSN;
    }

    public void setPatientSSN(String patientSSN) {
        this.patientSSN = patientSSN;
    }

    public String getClinicalEventId() {
        return clinicalEventId;
    }

    public void setClinicalEventId(String clinicalEventId) {
        this.clinicalEventId = clinicalEventId;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
