package com.agilex.healthcare.mobilehealthplatform.domain;

import com.agilex.healthcare.utility.datemarshallers.DateTimeMarshaller;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.util.Date;

@XmlRootElement(name = "ventilatorSetting", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class VentilatorSetting extends PatientData implements Dateable {

    @XmlElement
    private double fi02Delivered;
    @XmlElement
    private String ventilatorMode;
    @XmlElement
    private int respiratoryRateSet;
    @XmlElement
    private int respiratoryRateActual;
    @XmlElement
    private int tidalVolumeSet;
    @XmlElement
    private int tidalVolumeActual;
    @XmlElement
    private int peep;
    @XmlElement
    private int pressureSupport;
    @XmlElement
    private double inspirationTime;
    @XmlElement
    private double minuteVolume;
    @XmlElement
    private int inspiratoryPressure;
    @XmlElement
    private int ieRatio;
    @XmlElement
    private int meanAirwayPressure;
    @XmlElement
    private int peakO2Flow;
    @XmlElement
    private int peakAirwayPressure;
    @XmlElement
    private int plateauPressure;
    @XmlElement
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
    private Date settingDate;

    public String getId() {
        return this.getDataIdentifier().getUniqueId();
    }

    public void setId(String id) {
        this.getDataIdentifier().setUniqueId(id);
    }

    public double getFi02Delivered() {
        return fi02Delivered;
    }

    public void setFi02Delivered(double fi02Delivered) {
        this.fi02Delivered = fi02Delivered;
    }

    public String getVentilatorMode() {
        return ventilatorMode;
    }

    public void setVentilatorMode(String ventilatorMode) {
        this.ventilatorMode = ventilatorMode;
    }

    public int getRespiratoryRateSet() {
        return respiratoryRateSet;
    }

    public void setRespiratoryRateSet(int respiratoryRateSet) {
        this.respiratoryRateSet = respiratoryRateSet;
    }

    public int getRespiratoryRateActual() {
        return respiratoryRateActual;
    }

    public void setRespiratoryRateActual(int respiratoryRateActual) {
        this.respiratoryRateActual = respiratoryRateActual;
    }

    public int getTidalVolumeSet() {
        return tidalVolumeSet;
    }

    public void setTidalVolumeSet(int tidalVolumeSet) {
        this.tidalVolumeSet = tidalVolumeSet;
    }

    public int getTidalVolumeActual() {
        return tidalVolumeActual;
    }

    public void setTidalVolumeActual(int tidalVolumeActual) {
        this.tidalVolumeActual = tidalVolumeActual;
    }

    public int getPeep() {
        return peep;
    }

    public void setPeep(int peep) {
        this.peep = peep;
    }

    public int getPressureSupport() {
        return pressureSupport;
    }

    public void setPressureSupport(int pressureSupport) {
        this.pressureSupport = pressureSupport;
    }

    public double getInspirationTime() {
        return inspirationTime;
    }

    public void setInspirationTime(double inspirationTime) {
        this.inspirationTime = inspirationTime;
    }

    public double getMinuteVolume() {
        return minuteVolume;
    }

    public void setMinuteVolume(double minuteVolume) {
        this.minuteVolume = minuteVolume;
    }

    public int getInspiratoryPressure() {
        return inspiratoryPressure;
    }

    public void setInspiratoryPressure(int inspiratoryPressure) {
        this.inspiratoryPressure = inspiratoryPressure;
    }

    public int getIeRatio() {
        return ieRatio;
    }

    public void setIeRatio(int ieRatio) {
        this.ieRatio = ieRatio;
    }

    public int getMeanAirwayPressure() {
        return meanAirwayPressure;
    }

    public void setMeanAirwayPressure(int meanAirwayPressure) {
        this.meanAirwayPressure = meanAirwayPressure;
    }

    public int getPeakO2Flow() {
        return peakO2Flow;
    }

    public void setPeakO2Flow(int peakO2Flow) {
        this.peakO2Flow = peakO2Flow;
    }

    public int getPeakAirwayPressure() {
        return peakAirwayPressure;
    }

    public void setPeakAirwayPressure(int peakAirwayPressure) {
        this.peakAirwayPressure = peakAirwayPressure;
    }

    public int getPlateauPressure() {
        return plateauPressure;
    }

    public void setPlateauPressure(int plateauPressure) {
        this.plateauPressure = plateauPressure;
    }

    public Date getSettingDate() {
        return settingDate;
    }

    public void setSettingDate(Date settingDate) {
        this.settingDate = settingDate;
    }

    @Override
    public Date getDate() {
        return getSettingDate();
    }
}
