package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "visit-related-to", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class VisitRelatedTo extends DomainTransferObject {
	
	private static final long serialVersionUID = 7814230132496301054L;

	@XmlElement
	private String title;

	@XmlElement
	private Boolean enabled;

	@XmlElement
	private Boolean checked;
	
	@XmlElement
	private String code;
	
	public VisitRelatedTo() {
		
	}
	
	public VisitRelatedTo(String title, Boolean enabled, Boolean checked) {
		this.title = title;
		this.enabled = enabled;
		this.checked = checked;
	}
	
	@Override
	public String toString() {
		return "VisitRelatedTo [title=" + title + ", enabled=" + enabled + ", checked=" + checked + ", code=" + code + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((checked == null) ? 0 : checked.hashCode());
		result = prime * result + ((code == null) ? 0 : code.hashCode());
		result = prime * result + ((enabled == null) ? 0 : enabled.hashCode());
		result = prime * result + ((title == null) ? 0 : title.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		VisitRelatedTo other = (VisitRelatedTo) obj;
		if (checked == null) {
			if (other.checked != null)
				return false;
		}
		else if (!checked.equals(other.checked))
			return false;
		if (code == null) {
			if (other.code != null)
				return false;
		}
		else if (!code.equals(other.code))
			return false;
		if (enabled == null) {
			if (other.enabled != null)
				return false;
		}
		else if (!enabled.equals(other.enabled))
			return false;
		if (title == null) {
			if (other.title != null)
				return false;
		}
		else if (!title.equals(other.title))
			return false;
		return true;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Boolean getEnabled() {
		return enabled;
	}

	public void setEnabled(Boolean enabled) {
		this.enabled = enabled;
	}

	public Boolean getChecked() {
		return checked;
	}

	public void setChecked(Boolean checked) {
		this.checked = checked;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}