package com.agilex.healthcare.mobilehealthplatform.domain.filter;

import java.util.Date;

import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilter;

public class EventFilter implements DateFilter {

	private Date endDate;
	private Date startDate;
	private String type;

	public EventFilter(String type, DateFilter dateFilter) {
		this.type = type;
		if (dateFilter != null) {
			this.startDate = dateFilter.getStartDate();
			this.endDate = dateFilter.getEndDate();
		}
	}

	public EventFilter(String type, Date startDate, Date endDate) {
		this.type = type;
		this.startDate = startDate;
		this.endDate = endDate;
	}

	public EventFilter(String type) {
		this.type = type;
	}

	public Date getEndDate() {
		return endDate;
	}

	public Date getStartDate() {
		return startDate;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String toString() {
		return String.format("[Type: %s][endDate: %s][startDate: %s]", type, endDate, startDate);
	}
}
