package com.agilex.healthcare.mobilehealthplatform.domain.filter;

import com.agilex.healthcare.mobilehealthplatform.domain.Event;
import com.agilex.healthcare.mobilehealthplatform.domain.Events;

public class EventFilterer {

	public static Events applyFilter(Events unfilteredEvents, EventFilter filter) {
		if (filter == null || unfilteredEvents == null) {
			return unfilteredEvents;
		}

		Events filtered = new Events();
		boolean passedTypeFilter = false;
		boolean passedDateFilter = false;
		for (Event event : unfilteredEvents) {
			passedDateFilter = BaseFilterer.isBetweenDates(event.getDate(), filter.getStartDate(), filter.getEndDate());
			passedTypeFilter = BaseFilterer.matchesStringIgnoreEmpty(event.getType(), filter.getType());
			if (passedDateFilter && passedTypeFilter) {
				filtered.add(event);
			}
		}
		return filtered;
	}
}
