package com.agilex.healthcare.notewriter.datalayer;

import com.agilex.healthcare.mobilehealthplatform.domain.ClinicalEvent;
import com.agilex.healthcare.mobilehealthplatform.domain.Count;
import com.agilex.healthcare.mobilehealthplatform.domain.NoteTitle;
import com.agilex.healthcare.mobilehealthplatform.domain.NoteTitles;


public interface ClinicalEventDataLayer {
	ClinicalEvent fetchLatestClinicalEvent(String facilityCode, String staffId, String assigningAuthority, String patientId);
	ClinicalEvent fetchClinicalEvent(String facilityCode, String staffId, String assigningAuthority, String patientId, String clinicalEventId);
	ClinicalEvent updateClinicalEvent(ClinicalEvent clinicalEvent);
	ClinicalEvent saveClinicalEvent(ClinicalEvent clinicalEvent);
    Count getClinicalEventCount(String facilityCode, String staffId, String assigningAuthority, String patientId);
    NoteTitles getMongoNoteTitles(String facilityCode, SearchFilter filter);
	NoteTitle fetchLastSelectedNoteTitle(String facilityCode, String staffId);
	NoteTitle updateLastSelectedNoteTitle(String facilityCode, String staffId, NoteTitle noteTitle);
	NoteTitle insertLastSelectedNoteTitle(String facilityCode, String staffId, NoteTitle noteTitle);
}
