package com.agilex.healthcare.notewriter.domain;

import javax.xml.bind.annotation.*;

import com.agilex.healthcare.mobilehealthplatform.domain.*;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "code", namespace = Namespace.MobileHealthPlatform)
public class BasicCode extends DomainTransferObject {
	private static final long serialVersionUID = 3214672140272875414L;

	@XmlElement
	private String description;
	
	@XmlElement
	private String code;
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((code == null) ? 0 : code.hashCode());
		result = prime * result + ((description == null) ? 0 : description.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		BasicCode other = (BasicCode) obj;
		if (code == null) {
			if (other.code != null)
				return false;
		}
		else if (!code.equals(other.code))
			return false;
		if (description == null) {
			if (other.description != null)
				return false;
		}
		else if (!description.equals(other.description))
			return false;
		return true;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	
	@Override
	public String toString() {
		String s = String.format("description=%s, code=%s", this.getDescription(), this.getCode());
		return s;
	}
}
