package com.agilex.healthcare.notewriter.domain;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.*;

import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObjectCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.Namespace;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "codes", namespace = Namespace.MobileHealthPlatform)
public class BasicCodes extends DomainTransferObjectCollection<BasicCode> {
	private static final long serialVersionUID = -3803546344168676507L;

	public BasicCodes() {}

	public BasicCodes(BasicCode... codes) {
		for (int i = 0; i < codes.length; i++) {
			this.add(codes[i]);
		}
	}

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<BasicCode> getCodes() {
		return this;
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("BasicCodes (" + this.size() + "):");
		
		Iterator<BasicCode> i = this.iterator();
        while (i.hasNext()) {
        	BasicCode mc = i.next();
        	String s = String.format("%n%s", mc.toString());
        	sb.append(s);
        }

		return sb.toString();
	}
}
