package com.agilex.healthcare.notewriter.domain;

import javax.xml.bind.annotation.*;

import com.agilex.healthcare.mobilehealthplatform.domain.*;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "code", namespace = Namespace.MobileHealthPlatform)
public class EncounterCode extends BasicCode {
	private static final long serialVersionUID = 7952561935222490275L;

	@XmlElement
	private String ien;

	@XmlElement
	private String codeType;
	
	@XmlElement
	private String shortDescription;
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + ((codeType == null) ? 0 : codeType.hashCode());
		result = prime * result + ((ien == null) ? 0 : ien.hashCode());
		result = prime * result + ((shortDescription == null) ? 0 : shortDescription.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!super.equals(obj))
			return false;
		if (getClass() != obj.getClass())
			return false;
		EncounterCode other = (EncounterCode) obj;
		if (codeType == null) {
			if (other.codeType != null)
				return false;
		}
		else if (!codeType.equals(other.codeType))
			return false;
		if (ien == null) {
			if (other.ien != null)
				return false;
		}
		else if (!ien.equals(other.ien))
			return false;
		if (shortDescription == null) {
			if (other.shortDescription != null)
				return false;
		}
		else if (!shortDescription.equals(other.shortDescription))
			return false;
		return true;
	}
	public String getIen() {
		return ien;
	}
	public void setIen(String ien) {
		this.ien = ien;
	}
	public String getCodeType() {
		return codeType;
	}
	public void setCodeType(String codeType) {
		this.codeType = codeType;
	}
	public String getShortDescription() {
		return shortDescription;
	}
	public void setShortDescription(String shortDescription) {
		this.shortDescription = shortDescription;
	}
	
	@Override
	public String toString() {
		String s = String.format("ien=%s, code=%s, codeType=%s, shortDescription=%s, description=%s",
				this.getIen(), this.getCode(), this.getCodeType(), this.getShortDescription(), this.getDescription());
		return s;
	}
}
