package com.agilex.healthcare.notewriter.domain;

import com.agilex.healthcare.mobilehealthplatform.domain.Namespace;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "code", namespace = Namespace.MobileHealthPlatform)
public class EncounterDiagnosisICDCode extends EncounterCode {
	private static final long serialVersionUID = 2535375720548682928L;
	
	@XmlElement
	private boolean primaryDiagnosis;
	
	@XmlElement
    private boolean addToProblemList;
	
	/**
	 * This is a diagnosis that is selected from the PL and therefore the "add to PL" check box needs to be DISABLED.
	 */
	@XmlElement
    private boolean fromProblemList;
	
	//TODO: This should be removed when Cover Sheet no longer calls Note-Writer PV-2423.
	@XmlElement
    private String dateOnset;
	public String getDateOnset() {
		return dateOnset;
	}
	public void setDateOnset(String dateOnset) {
		this.dateOnset = dateOnset;
	}

	@Override
	public String toString() {
		return "EncounterDiagnosisICDCode [primaryDiagnosis=" + primaryDiagnosis + ", addToProblemList=" + addToProblemList
				+ ", fromProblemList=" + fromProblemList + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + (addToProblemList ? 1231 : 1237);
		result = prime * result + (fromProblemList ? 1231 : 1237);
		result = prime * result + (primaryDiagnosis ? 1231 : 1237);
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!super.equals(obj))
			return false;
		if (getClass() != obj.getClass())
			return false;
        if(obj != null && obj instanceof  EncounterDiagnosisICDCode) {
            EncounterDiagnosisICDCode other = (EncounterDiagnosisICDCode) obj;
            if (addToProblemList != other.addToProblemList)
                return false;
            if (fromProblemList != other.fromProblemList)
                return false;
            if (primaryDiagnosis != other.primaryDiagnosis)
                return false;
        }
		return true;
	}

	public boolean isPrimaryDiagnosis() {
		return primaryDiagnosis;
	}

	public void setPrimaryDiagnosis(boolean primaryDiagnosis) {
		this.primaryDiagnosis = primaryDiagnosis;
	}

	public boolean isAddToProblemList() {
		return addToProblemList;
	}

	public void setAddToProblemList(boolean addToProblemList) {
		this.addToProblemList = addToProblemList;
	}

	public boolean isFromProblemList() {
		return fromProblemList;
	}

	public void setFromProblemList(boolean fromProblemList) {
		this.fromProblemList = fromProblemList;
	}
}
