package com.agilex.healthcare.notewriter.domain;

import com.agilex.healthcare.mobilehealthplatform.domain.Modifiers;
import com.agilex.healthcare.mobilehealthplatform.domain.Namespace;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "code", namespace = Namespace.MobileHealthPlatform)
public class EncounterProcedureCPTCode extends EncounterCode {
	private static final long serialVersionUID = 6860907003442183970L;

	/**
	 * Selected is used by the UI to know whether to check or uncheck something when doing a resume.
	 */
	@XmlElement
	private boolean selected;
	
	@XmlElement
    private Modifiers modifiers;
	
	@Override
	public String toString() {
		return "EncounterProcedureCPTCode [selected=" + selected + ", modifiers=" + modifiers + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + ((modifiers == null) ? 0 : modifiers.hashCode());
		result = prime * result + (selected ? 1231 : 1237);
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!super.equals(obj))
			return false;
		if (getClass() != obj.getClass())
			return false;
        if(obj != null && obj instanceof  EncounterProcedureCPTCode) {
            EncounterProcedureCPTCode other = (EncounterProcedureCPTCode) obj;
            if (modifiers == null) {
                if (other.modifiers != null)
                    return false;
            } else if (!modifiers.equals(other.modifiers))
                return false;
            if (selected != other.selected)
                return false;
        }
		return true;
	}
	
	/**
	 * Selected is used by the UI to know whether to check or uncheck something when doing a resume.
	 */
	public boolean isSelected() {
		return selected;
	}
	
	/**
	 * Selected is used by the UI to know whether to check or uncheck something when doing a resume.
	 */
	public void setSelected(boolean selected) {
		this.selected = selected;
	}

	public Modifiers getModifiers() {
		return modifiers;
	}

	public void setModifiers(Modifiers modifiers) {
		this.modifiers = modifiers;
	}

}
