package com.agilex.healthcare.utility;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import org.owasp.esapi.ESAPI;


public class HtmlEncodingXmlAdapter extends XmlAdapter<String, String>  {

    @Override
    public String marshal(String output) throws Exception {
    	String encoded = null;
    	
    	if(output != null){
    		String canonicalized = ESAPI.encoder().canonicalize(output);
    		encoded = ESAPI.encoder().encodeForHTML(canonicalized);
    	}
        
    	if (encoded != null) {
    		encoded = unescapeValidCharacters(encoded);
    	}
        
        return encoded;
    }

    @Override
    public String unmarshal(String s) throws Exception {
        return s;
    }
    
    private String unescapeValidCharacters(String encoded) {
    	String updatedStr = encoded.replaceAll("&amp;", "&").replaceAll("&lt;", "<").replaceAll("&gt;", ">");
    	return updatedStr;
	}    
}
