package com.agilex.healthcare.utility;

import org.codehaus.jackson.map.ObjectMapper;
import org.w3c.dom.Document;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;
import java.io.StringWriter;

public class ObjectSerializer {
	public static <T> String serializeAsXml(T object) {
		String result;
		try {
			JAXBContext context = JAXBContext.newInstance(object.getClass());
			Marshaller marshaller = context.createMarshaller();
			StringWriter writer = new StringWriter();
			marshaller.marshal(object, writer);
			result = writer.toString();
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
		return result;
	}

	@SuppressWarnings("unchecked")
	public static <T> T deserializeFromXml(String xml, Class<T> type) {
		T unmarshalledSpecificObject;
		try {
			JAXBContext context = JAXBContext.newInstance(type);
			Unmarshaller unmarshaller = context.createUnmarshaller();

			Document document = XmlHelper.loadXml(xml);
			Object unmarshalledObject = unmarshaller.unmarshal(document);
			unmarshalledSpecificObject = (T) unmarshalledObject;
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
		return unmarshalledSpecificObject;
	}

	public static <T> String serializeAsJson(T object) {
		String result;
		try {
			ObjectMapper mapper = new ObjectMapper();
			result = mapper.writeValueAsString(object);
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
		return result;
	}
}
