package com.agilex.healthcare.mobilehealthplatform.datalayer.consult;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import java.util.Date;

import org.junit.Test;

public class ConsultFilterTest {

	@Test
	public void testDateRangeExistsWhenStartAndEndDateArePresent() {
		ConsultFilter filter = new ConsultFilter();
		filter.setStartDate(new Date());
		filter.setEndDate(new Date());
		
		assertTrue(filter.doesDateRangeExist());
	}

	@Test
	public void testDateRangeDoesNotExistWhenOnlyStartDateisPresent() {
		ConsultFilter filter = new ConsultFilter();
		filter.setStartDate(new Date());
		
		assertFalse(filter.doesDateRangeExist());
	}

	@Test
	public void testDateRangeDoesNotExistWhenOnlyEndDateisPresent() {
		ConsultFilter filter = new ConsultFilter();
		filter.setEndDate(new Date());
		
		assertFalse(filter.doesDateRangeExist());
	}

	@Test
	public void testDateRangeDoesNotExistWhenNoDatesArePresent() {
		ConsultFilter filter = new ConsultFilter();
		
		assertFalse(filter.doesDateRangeExist());
	}
	
}
