package com.agilex.healthcare.notewriter.datalayer;

import java.net.URI;
import java.net.URISyntaxException;

import junit.framework.Assert;

import org.junit.Test;

public class SearchFilterFactoryTest {
	
	@Test
	public void testCreateFromUri() {
		try {
			SearchFilterFactory factory = new SearchFilterFactory();
			URI u = new URI("?searchString=REC&maxRecords=10");
			SearchFilter pf = factory.createFromUri(u);
			
			Assert.assertEquals("REC", pf.getSearchString());
			Assert.assertEquals(10, pf.getMaxRecords());
		}
		catch (URISyntaxException e) {
			Assert.fail(e.getMessage());
		}
	}
	
	@Test
	public void testCreateFromSearchString() {
		SearchFilterFactory factory = new SearchFilterFactory();
		String searchString = "REC";
		SearchFilter pf = factory.createFromSearchString(searchString);
		
		Assert.assertEquals(searchString, pf.getSearchString());
	}
	
	@Test
	public void testCreateFromSearchStringAndMaxRecords() {
		SearchFilterFactory factory = new SearchFilterFactory();
		String searchString = "REC";
		int maxRecords = 10;
		SearchFilter pf = factory.createFromSearchString(searchString, maxRecords);
		
		Assert.assertEquals(searchString, pf.getSearchString());
		Assert.assertEquals(maxRecords, pf.getMaxRecords());
	}
}
