package com.agilex.healthcare.utility;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;

import org.junit.Test;

public class HasherTest {
	@Test
	public void sameInputSameHash() {
		Hasher hasher = new Hasher();
		String input = "http://192.168.25.130:7002/PatientViewerServices/rest/patients?searchstring=smith";

		String result1 = hasher.hashStringToString(input);
		String result2 = hasher.hashStringToString(input);

		assertEquals(result1, result2);
	}

	@Test
	public void hashDifferentInputsResultsInDifferentValues() {
		Hasher hasher = new Hasher();
		String input1 = "http://192.168.25.130:7002/PatientViewerServices/rest/patients?searchstring=smith";
		String input2 = "http://192.168.25.130:7002/PatientViewerServices/rest/patients?searchstring=smith&p2";
		String input3 = "http://192.168.25.130:7002/PatientViewerServices/rest/patients?searchstring=younger";

		String result1 = hasher.hashStringToString(input1);
		String result2 = hasher.hashStringToString(input2);
		String result3 = hasher.hashStringToString(input3);

		System.out.println(String.format("%s=>%s", input1, result1));
		System.out.println(String.format("%s=>%s", input2, result2));
		System.out.println(String.format("%s=>%s", input3, result3));

		assertFalse(result1.contentEquals(result2));
		assertFalse(result1.contentEquals(result3));
	}

}
