package com.agilex.healthcare.utility;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class HtmlEncodingXmlAdapterTest {

	@Test
	public void testMarshaling() throws Exception {
		HtmlEncodingXmlAdapter htmlEncodingMarshaller = new HtmlEncodingXmlAdapter();
        String input = "ACROMEGALY  <C&P ACROMEGALY>";
        String expected = "ACROMEGALY  <C&P ACROMEGALY>";

        String actual = htmlEncodingMarshaller.marshal(input);
        assertEquals(expected, actual);
	}

	@Test
	public void testUnMarshaling() throws Exception {
		HtmlEncodingXmlAdapter htmlEncodingMarshaller = new HtmlEncodingXmlAdapter();
        String input = "ACROMEGALY  <C&P ACROMEGALY>";
        String expected = "ACROMEGALY  <C&P ACROMEGALY>";

        String actual = htmlEncodingMarshaller.unmarshal(input);
        assertEquals(expected, actual);
	}
	
	@Test
	public void testTruncationOfScriptTags() throws Exception {
		HtmlEncodingXmlAdapter htmlEncodingMarshaller = new HtmlEncodingXmlAdapter();
		assertEquals("test&<script>alert&#x28;1&#x29;<&#x2f;script>", htmlEncodingMarshaller.marshal("test&<script>alert(1)</script>"));
	}	
}
