package com.agilex.healthcare.utility;

import static org.junit.Assert.assertEquals;

import javax.xml.bind.JAXBException;

import org.junit.Test;

import com.agilex.healthcare.mobilehealthplatform.domain.Allergy;

public class JavaObjectSerializationDemoTest {

	@Test
	public void serializeAllergy() throws JAXBException {
		Allergy allergy = new Allergy();
		allergy.setSubstance("dust");
		allergy.setNote("this patient needs to clean their house because they are allergic to dust!");
		allergy.setUniqueId("20151");
		allergy.setSeverity("MILD");

		System.out.println("allergy as xml => " + ObjectSerializer.serializeAsXml(allergy));
		System.out.println("allergy as json => " + ObjectSerializer.serializeAsJson(allergy));
	}

	@Test
	public void deserializeAllergy() throws JAXBException {
		Allergy allergy = new Allergy();
		allergy.setSubstance("dust");
		allergy.setNote("this patient needs to clean their house because they are allergic to dust!");
		allergy.setUniqueId("20151");
		allergy.setSeverity("MILD");

		String xml = ObjectSerializer.serializeAsXml(allergy);

		Allergy deserializedAllergy = ObjectSerializer.deserializeFromXml(xml, Allergy.class);
		assertEquals(allergy.getNote(), deserializedAllergy.getNote());
		assertEquals(allergy.getUniqueId(), deserializedAllergy.getUniqueId());
	}

}
