package com.agilex.healthcare.utility;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class ModeHelperTest {

	@Test
	public void validateIsMode() {
		System.setProperty("org.apache.cocoon.mode", "test");
		assertTrue(ModeHelper.isMode("test"));
	}

	@Test
	public void validateGetCurrentMode() {
		System.setProperty("org.apache.cocoon.mode", "newmode");
		assertEquals("newmode", ModeHelper.getCurrentMode());
	}

	@Test
	public void validateProviderMode() {
		System.setProperty("org.apache.cocoon.mode", "va-provider-dev");
		assertEquals("va-provider-dev", ModeHelper.getCurrentMode());
	}

	@Test
	public void validateProviderTestMode() {
		System.setProperty("org.apache.cocoon.mode", "va-provider-test");
		assertEquals("va-provider-test", ModeHelper.getCurrentMode());
	}
	
	@Test
	public void validateDefaultMode() {
		System.setProperty("org.apache.cocoon.mode", "");
		assertEquals("", ModeHelper.getCurrentMode());
	}
}
