#!/bin/sh
# ###########################################################################
# Script generated by HP Fortify SCA Scan Wizard (c) HP Fortify 2011
# Created on 2014/02/07 14:11:20
# ###########################################################################
# Generated for the following languages:
# 	Java
# 	XML
# ###########################################################################
# DEBUG - if set to true, runs SCA in debug mode
# SOURCEANALYZER - the name of the SCA executable
# BUILDID - the SCA build id
# LAUNCHERSWITCHES - the launcher settings that are used to invoke SCA
# ARGFILE - the name of the argument file that's extracted and passed to SCA
# MEMORY - the memory settings for SCA
# OLDFILENUMBER - this defines the file which contains the number of files within the project, it is automatically generated
# FILENOMAXDIFF - this is the percentage of difference between the number of files which will trigger a warning by the script
# ###########################################################################

DEBUG=false
SOURCEANALYZER=sourceanalyzer
FPR="FortifyMDWSLib.fpr"
BUILDID="MDWSLib"
ARGFILE="FortifyMDWSLib.sh.args"
MEMORY="-Xmx2400M -Xms1200M -Xss48M "
BUILD_CLASSES=":../../HealthCheck/build/libs/*.jar:$JAVA_HOME/**/Classes/*.jar"
BUILD_DIR="../build"

LAUNCHERSWITCHES=""
OLDFILENUMBER=FortifyMDWSLib.sh.fileno
FILENOMAXDIFF=10

if [ -z "$1" ]; then
     PROJECTROOT0="$HOME/patient-viewer-resources/Product/Production/MDWSLib";
 else
     PROJECTROOT0=$1;
 fi

 if [ -z "$2" ]; then
     DEPENDENT_JARS="$HOME/.gradle/caches/artifacts-24/filestore/**/*.jar"
 else
     DEPENDENT_JARS="$2"
 fi

 if [ ! -d "$PROJECTROOT0" ]; then
    echo  "ERROR: This script is  configured to locate files at $PROJECTROOT0"
    echo  "       Please modify the \$PROJECTROOT0 variable found at the top of this script"
    echo  "       to point to the corresponding directory located on this machine.\n"
    echo  "Usage: FortifyMDWSLib.sh <PROJECT_ROOT0> <DEPENDENT_JARS"
    echo  "       <PROJECT_ROOT0> - optional if not set defaults to $HOME/patient-viewer-resources/Product/Production/MDWSLib"
    echo  "       <DEPENDENT_JARS> - optional if not set defaults to $HOME/.gradle/caches/artifacts-24/filestore/**/*.jar\n"
    exit
 fi

if [ $DEBUG = true ]; then export LAUNCHERSWITCHES="-debug $LAUNCHERSWITCHES"; fi
echo Extracting Arguments File


grep "# ARGS" $0 | grep -v grep | cut -d" " -f3- | sed -e s#PROJECTROOT0_MARKER#"$PROJECTROOT0"#g   > $ARGFILE

# ###########################################################################
echo Cleaning previous scan artifacts
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -clean 
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Translating files
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -cp $DEPENDENT_JARS:$BUILD_CLASSES @$ARGFILE
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Testing Difference between Translations
FILENUMBER=`$SOURCEANALYZER -b $BUILDID -show-files | wc -l`

if [ ! -f $OLDFILENUMBER ]; then
	echo It appears to be the first time running this script, setting $OLDFILENUMBER to $FILENUMBER
	echo $FILENUMBER > $OLDFILENUMBER
else
	OLDFILENO=`cat $OLDFILENUMBER`
	DIFF=`expr $OLDFILENO "*" $FILENOMAXDIFF`
	DIFF=`expr $DIFF /  100`

	MAX=`expr $OLDFILENO + $DIFF`
	MIN=`expr $OLDFILENO - $DIFF`

	if [ $FILENUMBER -lt $MIN ] ; then SHOWWARNING=true; fi
	if [ $FILENUMBER -gt $MAX ] ; then SHOWWARNING=true; fi

	if [ $SHOWWARNING == true ] ; then
		echo "WARNING: The number of files has changed by over $FILENOMAXDIFF%, it is recommended"
		echo "         that this script is regenerated with the ScanWizard"
	fi

	echo $MAX $MIN $DIFF
fi;

# ###########################################################################
echo Starting scan
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -scan -findbugs -java-build-dir $BUILD_DIR -f $FPR
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Finished
# ARGS "-source"
# ARGS "1.6"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfigurationHelperTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.mdws.translator.OrderCustomTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.healthcare.mobilehealthplatform.mdws.translator.OrderDetailTranslatorTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.healthcare.mobilehealthplatform.mdws.translator.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/mdwsConnection.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/admission/AdmissionDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/admission/DischargeNoteDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/allergy/AllergyDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/appointment/AppointmentDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/appointment/ClinicalNoteDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/assessmentresult/PclAssessmentCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/lab/ChemistryLabCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/lab/MicrobiologyLabDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/medication/MedicationDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/problem/ProblemDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/provider/ProviderDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/radiology/RadiologyDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/staffdirectory/StaffDirectoryCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/surgery/SurgeryDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/cdw/vital/VitalDataLayerCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/facility/FacilityCdwTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/allergy/AllergyDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/appointment/AppointmentDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/appointment/ClinicNoteDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/lab/ChemistryLabDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/lab/DataLayerMdwsVistaTestData.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/lab/MicrobiologyLabDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/medication/MedicationDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/medication/rxrefill/MedicationRefillDataLayerMdwsTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/order/OrderDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/pathology/PathologyDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/patient/PatientDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/patient/PatientDemographicsMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/patient/PatientSearchFieldMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/patient/PatientSearchMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/problem/ProblemDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/radiology/RadiologyDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/util/AuthenticationUtil.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/VistaTestSuite.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/datalayer/vista/vital/VitalDataLayerMdwsVistaTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/mdws/AuthenticationExploratoryTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/mdws/HealthCheckTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/mdws/MdwsIntegrationTestHelper.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/mdws/MdwsResponseExceptionTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/mdws/soapconsumer/MdwsConfigurationHelperTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/mdws/translator/OrderCustomTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/mdws/translator/OrderDetailTranslatorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/mdws/translator/TestArrayOfLVOrderDetailTO.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/mdws/translator/TestArrayOfLVOrderTO.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/mdws/translator/TestArrayOfString.java"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/mdwsConfiguration.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/cih_dev/mdwsConfiguration.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/META-INF/cocoon/spring/cih_test/mdwsConfiguration.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfigurationHelperTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.mdws.translator.OrderCustomTranslatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.healthcare.mobilehealthplatform.mdws.translator.OrderDetailTranslatorTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/resources/integrationApplicationContext.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/resources/META-INF/cocoon/spring/cih_dev/integrationTestConfiguration-cih_dev.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/resources/META-INF/cocoon/spring/mdws_dev/integrationTestConfiguration-vistadev.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/resources/META-INF/cocoon/spring/mdws_test/integrationTestConfiguration-vistadev.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/resources/META-INF/cocoon/spring/vistaSites.xml"
# ARGS "PROJECTROOT0_MARKER"
