package com.agilex.healthcare.mobilehealthplatform.datalayer.cdw.admission;

import javax.annotation.Resource;

import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.agilex.healthcare.mobilehealthplatform.datalayer.admission.AdmissionDataLayerCdw;
import com.agilex.healthcare.mobilehealthplatform.domain.Admission;
import com.agilex.healthcare.mobilehealthplatform.domain.Admissions;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilterFactory;

@ContextConfiguration(locations = { "classpath:applicationContext-cdw-JPA.xml" })
@RunWith(SpringJUnit4ClassRunner.class)
public class AdmissionDataLayerCdwTest {

	@Resource
	AdmissionDataLayerCdw admissionsDatalayer;
	PatientIdentifier patientIdentifier = new PatientIdentifier("ICN", "0010010010V123456");
	
	@BeforeClass
	public static void before() {
	}
	
	@Test
	public void validateBasicRetrieve() {
		Admissions admissions = admissionsDatalayer.fetchAdmissions(patientIdentifier, DateFilterFactory.createEmptyFilter());
		
		Assert.assertNotNull(admissions);
	}
	
	@Test
	public void validateFields() {
		Admissions admissions = admissionsDatalayer.fetchAdmissions(patientIdentifier, DateFilterFactory.createEmptyFilter());
		
		Admission admission = admissions.get(0);
		
		Assert.assertNotNull(admission.getPatientIdentifier());
		Assert.assertNotNull(admission.getPatientIdentifier().getUniqueId());
		//Assert.assertNotNull(admission.getPatientIdentifier().getAssigningAuthority());  
		Assert.assertNotNull(admission.getDataIdentifier());
		Assert.assertNotNull(admission.getDataIdentifier().getUniqueId());
		Assert.assertNotNull(admission.getDataIdentifier().getUniqueId());
		Assert.assertNotNull(admission.getAdmissionDate());
		Assert.assertNotNull(admission.getDischargeDate());
		Assert.assertNotNull(admission.getFacilityName());
	}
}
