package com.agilex.healthcare.mobilehealthplatform.datalayer.cdw.appointment;

import static org.junit.Assert.*;

import org.junit.*;

import com.agilex.healthcare.mobilehealthplatform.datalayer.appointment.AppointmentDataLayerCdw;
import com.agilex.healthcare.mobilehealthplatform.domain.*;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilterFactory;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsIntegrationTestHelper;

//Ignored as this method is not used in PVS and also not implemented in MDWS
@Ignore
public class AppointmentDataLayerCdwTest {

	static AppointmentDataLayerCdw dataLayer;
	PatientIdentifier patientIdentifier = new PatientIdentifier("ICN", "1002772146v123456");
	
	@BeforeClass
	public static void before() {
		dataLayer = new AppointmentDataLayerCdw(MdwsIntegrationTestHelper.getCdwMdwsConfiguration());
	}
	
	@Test
	public void verifyBasicRetrieve() {
		Appointments appointments = dataLayer.fetchAppointmentsByPatient(patientIdentifier, DateFilterFactory.createEmptyFilter());
		
		Assert.assertNotNull(appointments);
		Assert.assertTrue(appointments.size() > 0);
	}
	
	@Test
	public void verifyFields() {
		Appointments appointments = dataLayer.fetchAppointmentsByPatient(patientIdentifier, DateFilterFactory.createEmptyFilter());
		
		Appointment appointment = appointments.get(0);
		Assert.assertNotNull(appointment.getAppointmentStartDate());
		Assert.assertNotNull(appointment.getClinicName());
		Assert.assertNotNull(appointment.getProviderName());
		Assert.assertNotNull(appointment.getClinicType());
		Assert.assertNotNull(appointment.getFacilityName());
		Assert.assertNotNull(appointment.getClinicVisitId());
	}
	
	@Test
	public void verifyFetchMentalHealthAppointmentsFromCdw() {
		AppointmentDataLayerCdw dl = new AppointmentDataLayerCdw(MdwsIntegrationTestHelper.getCdwMdwsConfiguration());
		Appointments appointments = dl.fetchMentalHealthAppointments(patientIdentifier, DateFilterFactory.createEmptyFilter());
		
		assertNotNull(appointments);
		assertTrue(String.format("Size was: %d", appointments.size()), appointments.size() > 0);
		
		Appointment appointment = appointments.get(0);
		assertNotNull(appointment.getAppointmentStartDate());
		assertNotNull(appointment.getReasonForVisit());
		assertNotNull(appointment.getClinicName());
	}
}
