package com.agilex.healthcare.mobilehealthplatform.datalayer.vista.facility;

import static org.junit.Assert.*;

import java.util.Iterator;

import javax.annotation.Resource;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.agilex.healthcare.mobilehealthplatform.datalayer.facility.WardDataLayerMdws;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.util.AuthenticationUtil;
import com.agilex.healthcare.mobilehealthplatform.domain.Ward;
import com.agilex.healthcare.mobilehealthplatform.domain.Wards;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfiguration;

@ContextConfiguration(locations = { "classpath:integrationApplicationContext.xml"})
@RunWith(SpringJUnit4ClassRunner.class)
public class WardDataLayerMdwsVistaTest {
	private static final String SITE_CODE = "777";
	@Resource
	MdwsConfiguration mdwsVistaConfiguration;
	
	@BeforeClass
	public static void login() {
		AuthenticationUtil.loginUser(SITE_CODE, "cprs1234", "cprs4321$", "1");
	}
	@AfterClass
	public static void logoff() {
		AuthenticationUtil.logoffUser();
	}

	@Test
	public void fetchWards() {
		WardDataLayerMdws dataLayer = new WardDataLayerMdws(mdwsVistaConfiguration);
		Wards wards = dataLayer.fetchWards("ignored", "");
		assertNotNull(wards);
		assertTrue(wards.size() > 0);
		
		Iterator<Ward> it = wards.iterator();
		while (it.hasNext()) {
			Ward ward = it.next();
			assertEquals(SITE_CODE, ward.getFacilityCode());
			assertNotNull(ward.getId());
			assertNotNull(ward.getName());
		}
	}
}
