package com.agilex.healthcare.mobilehealthplatform.datalayer.vista.order;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import javax.annotation.Resource;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.agilex.healthcare.mobilehealthplatform.datalayer.order.EmrOrderDataLayer;
import com.agilex.healthcare.mobilehealthplatform.datalayer.order.EmrOrderDataLayerMdws;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.util.AuthenticationUtil;
import com.agilex.healthcare.mobilehealthplatform.domain.HospitalLocations;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfiguration;

@ContextConfiguration(locations = { "classpath:integrationApplicationContext.xml"})
@RunWith(SpringJUnit4ClassRunner.class)
public class EmrOrderDataLayerMdwsVistaTest {
	
	@Resource
	MdwsConfiguration mdwsVistaConfiguration;
	
	@BeforeClass
	public static void login() {
		AuthenticationUtil.loginUser("777", "cprs1234", "cprs4321$", "1");
	}
	@AfterClass
	public static void logoff() {
		AuthenticationUtil.logoffUser();
	}

	@Test
	public void testGetPatientEmrOrdersFromVista() {
		EmrOrderDataLayer dl = new EmrOrderDataLayerMdws(mdwsVistaConfiguration);
		HospitalLocations clinics = dl.fetchClinics("777", "");
		
		assertNotNull(clinics);
		assertTrue(clinics.size() > 0);
		
		HospitalLocations locations = dl.fetchLocations("777", "", "1");
		
		assertNotNull(locations);
		assertTrue(locations.size() > 0);
	}
}
