package com.agilex.healthcare.mobilehealthplatform.mdws;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;

import org.junit.Ignore;
import org.junit.Test;

import com.agilex.healthcare.mobilehealthplatform.datalayer.facility.FacilityDataLayerCdw;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfiguration;
import com.agilex.system.health.SmokeTest;
import com.agilex.system.health.SmokeTestStatus;

//Ignored this test, as FacilityDataLayerCdw is not used in PVS
@Ignore
public class HealthCheckTest {

    SmokeTest emrSmokeTestDataLayer;
    SmokeTest mhvSmokeTestDataLayer;

    private SmokeTest getEmrSmokeTestDataLayer(MdwsConfiguration mdwsConfiguration) {
        return new FacilityDataLayerCdw(mdwsConfiguration);
    }

    @Test
    public void emrSmokeTestFailureWithSocketTimeout() {
        MdwsConfiguration mdwsConfiguration = MdwsIntegrationTestHelper.getInternalMdwsConfiguration();
        mdwsConfiguration.setWsConnectTimeout(1);
        mdwsConfiguration.setWsRequestTimeout(1);
        emrSmokeTestDataLayer = getEmrSmokeTestDataLayer(mdwsConfiguration);

        SmokeTestStatus smokeTestStatus = emrSmokeTestDataLayer.run();
        assertFalse(smokeTestStatus.isSuccess());

        assertEquals("com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException", smokeTestStatus.getExceptionType());
        assertEquals(MdwsResponseException.UserMessages.CONNECTION_ERROR.toString(), smokeTestStatus.getExceptionMessage());
    }
}
