package com.agilex.healthcare.mobilehealthplatform.mdws;

import java.util.HashMap;

import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.util.AuthenticationUtil;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfiguration;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MhvMdwsConfiguration;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.VistaSite;

public class MdwsIntegrationTestHelper {

	public static MdwsConfiguration getInternalMdwsConfiguration() {
		String endpointUrl = AuthenticationUtil.EMR_SVC;
		String baseUrl = AuthenticationUtil.EMR_SVC_BASE_URL;
		VistaSite vistaSite = new VistaSite("ov1234", "ov1234!!", "500");
		HashMap<String, VistaSite> vistaSites = new HashMap<String, VistaSite>();
		vistaSites.put("500", vistaSite);

		MdwsConfiguration configuration = new MdwsConfiguration(baseUrl, endpointUrl, 30000, 30000, vistaSites);

		return configuration;
	}

	public static MhvMdwsConfiguration getInternalMhvConfigurationForMedicationRefill() {
		MhvMdwsConfiguration configuration = new MhvMdwsConfiguration();

        // configuration.setMdwsEndpointAddress("10.211.55.4");
		// configuration.setMdwsEndpointPath("mdws-test");

        configuration.setMdwsEndpointAddress("192.168.25.149");
        configuration.setMdwsEndpointPath("mdws3.1.9.2");

        configuration.setWsConnectTimeout(30000);
        configuration.setWsRequestTimeout(30000);

		return configuration;
	}

	public static MdwsConfiguration getCdwMdwsConfiguration() {
		String endpointUrl = "http://192.168.25.149/mdws3.1.9.2/EmrSvc.asmx";
		VistaSite vistaSite = new VistaSite("dev", "dev", "204");
		HashMap<String, VistaSite> vistaSites = new HashMap<String, VistaSite>();
		vistaSites.put("204", vistaSite);

		MdwsConfiguration configuration = new MdwsConfiguration(endpointUrl, 30000, 30000, vistaSites);

		return configuration;
	}

	public static MdwsConfiguration getCdwRawMdwsConfiguration() {
		String endpointUrl = "http://192.168.25.149/mdws3.1.9.2/EmrSvc.asmx";
		VistaSite vistaSite = new VistaSite("dev", "dev", "205");
		HashMap<String, VistaSite> vistaSites = new HashMap<String, VistaSite>();
		vistaSites.put("205", vistaSite);

		MdwsConfiguration configuration = new MdwsConfiguration(endpointUrl, 30000, 30000, vistaSites);

		return configuration;
	}
}
