package com.agilex.healthcare.mobilehealthplatform.datalayer.appointment;

import com.agilex.healthcare.mobilehealthplatform.domain.*;
import com.agilex.healthcare.mobilehealthplatform.domain.code.SourceSystemCode;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilter;
import com.agilex.healthcare.mobilehealthplatform.mdws.CdwPatientDataLayer;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfiguration;

public class AppointmentDataLayerCdw extends CdwPatientDataLayer<Appointment, Appointments> implements AppointmentDataLayer, MentalHealthAppointmentDataLayer {

	AppointmentDataLayerMdws dataLayer;
	
	public AppointmentDataLayerCdw(MdwsConfiguration mdwsConfiguration) {
		super(mdwsConfiguration);
		dataLayer = new AppointmentDataLayerMdws(mdwsConfiguration);
	}
	
	@Override
	public Appointments getProviderAppointments(String providerId, DateFilter filter) {
		throw new UnsupportedOperationException();
	}

	@Override
	public Appointments getClinicAppointments(String clinicId, DateFilter filter) {
		throw new UnsupportedOperationException();
	}

	@Override
	public Appointments fetchAppointmentsByPatient(PatientIdentifier patientIdentifier, DateFilter filter) {
		Appointments appointments = dataLayer.fetchAppointmentsByPatient(alterForCdw(patientIdentifier), filter);
		return setIdentifiers(appointments, patientIdentifier, SourceSystemCode.CDW);
	}

	@Override
	public Appointments fetchAppointmentsByPatient(PatientIdentifier patientIdentifier, DateFilter filter, boolean shouldIncludeDetails) {
		Appointments appointments = dataLayer.fetchAppointmentsByPatient(alterForCdw(patientIdentifier), filter, shouldIncludeDetails);
		return setIdentifiers(appointments, patientIdentifier, SourceSystemCode.CDW);
	}

	@Override
	public Appointment fetchAppointment(PatientIdentifier patientIdentifier, String appointmentId) {
		Appointment appointment = dataLayer.fetchAppointment(alterForCdw(patientIdentifier), appointmentId);
		return setIdentifiers(appointment, patientIdentifier, SourceSystemCode.CDW);
	}

	@Override
	public Appointments fetchMentalHealthAppointments(PatientIdentifier patientIdentifier, DateFilter filter) {
		Appointments appointments  = dataLayer.fetchMentalHealthAppointments(alterForCdw(patientIdentifier), filter);
		return setIdentifiers(appointments, patientIdentifier, SourceSystemCode.CDW);
	}

	@Override
	public Appointments getVisits(PatientIdentifier patientIdentifier, DateFilter filter) {
		throw new UnsupportedOperationException();
	}

}
