package com.agilex.healthcare.mobilehealthplatform.datalayer.facility;

import com.agilex.healthcare.mobilehealthplatform.domain.Facilities;
import com.agilex.healthcare.mobilehealthplatform.mdws.CdwDataLayer;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseValidator;
import com.agilex.healthcare.mobilehealthplatform.mdws.connection.EmrConnection;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.emrservice.SiteArray;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfiguration;
import com.agilex.healthcare.mobilehealthplatform.mdws.translator.FacilityTranslator;
import com.agilex.system.health.*;

public class FacilityDataLayerCdw extends CdwDataLayer implements FacilityDataLayer, SmokeTest {

	MdwsConfiguration mdwsConfiguration;
	
	public FacilityDataLayerCdw(MdwsConfiguration mdwsConfiguration) {
		super(mdwsConfiguration);
	}

	@Override
	public Facilities fetchFacilities(FacilityFilter filter) {
		EmrConnection connection = super.establishCdwConnection();
		//TODO: MDWS refactoring - no method getAllInstutions() in MDWS3.0.2.5
		//SiteArray siteArray = connection.getPort().getAllInstitutions();
		SiteArray siteArray = null;
		super.returnConnection(connection);
		MdwsResponseValidator.validateMdwsObject(siteArray);
		
		Facilities facilities = translate(siteArray);
		//return filter(facilities, filter);
		throw new UnsupportedOperationException("CMPM-236 - Not Implemented in MDWS3.0.2.5");
	}
	
	private Facilities translate(SiteArray siteArray) {
		FacilityTranslator translator = new FacilityTranslator();
		return translator.translateSitesToFacilities(siteArray); 
	}
	
	private Facilities filter(Facilities facilities, FacilityFilter filter) {
		FacilityFilterer filterer = new FacilityFilterer();
		return filterer.filter(facilities, filter);
	}
	
	@Override
    public SmokeTestStatus run() {
        SmokeTestStatus smokeTestStatus =  new SmokeTestStatus();

        try {
            EmrConnection authenticatedSite = super.establishCdwConnection();
            returnConnection(authenticatedSite);
            smokeTestStatus.setSuccess(true);
        } catch (Exception e) {
            smokeTestStatus.setException(e);
        }

        smokeTestStatus.setConfiguration(this.mdwsConfiguration.toString());

        return smokeTestStatus;

    }

}
