package com.agilex.healthcare.mobilehealthplatform.datalayer.order;

import com.agilex.healthcare.mobilehealthplatform.domain.HospitalLocations;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsEmrDataLayer;
import com.agilex.healthcare.mobilehealthplatform.mdws.connection.EmrConnection;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfiguration;
import com.agilex.healthcare.mobilehealthplatform.mdws.translator.HospitalLocationTranslator;

public class EmrOrderDataLayerMdws extends MdwsEmrDataLayer implements EmrOrderDataLayer {

    public EmrOrderDataLayerMdws(MdwsConfiguration mdwsConfiguration) {
        super(mdwsConfiguration);
    }

    /**
	 * Calls the MDWS service EmrSvc.getClinics
	 */
	@Override
    public HospitalLocations fetchClinics(String siteCode, String target) {
        HospitalLocationTranslator translator = new HospitalLocationTranslator();
        EmrConnection authenticatedConnection = super.getAuthenticatedConnection(siteCode);

        return translator.translateFromTaggedHospitalLocationArray(authenticatedConnection.getPort().getClinics(target));
    }

	/**
	 * Calls the MDWS service EmrSvc.getLocations
	 */
	@Override
    public HospitalLocations fetchLocations(String siteCode, String target, String direction) {
        HospitalLocationTranslator translator = new HospitalLocationTranslator();
        EmrConnection authenticatedConnection = super.getAuthenticatedConnection(siteCode);

        return translator.translateFromTaggedHospitalLocationArray(authenticatedConnection.getPort().getLocations(target, direction));
    }
}
