package com.agilex.healthcare.mobilehealthplatform.datalayer.scheduling;

import com.agilex.healthcare.mobilehealthplatform.domain.Patients;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseValidator;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsSchedulingSvcDataLayer;
import com.agilex.healthcare.mobilehealthplatform.mdws.connection.SchedulingSvcConnection;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.schedulingservice.PatientArray;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfiguration;
import com.agilex.healthcare.mobilehealthplatform.mdws.translator.PatientArrayTranslator;

public class SchedulingDataLayerMdws extends MdwsSchedulingSvcDataLayer implements SchedulingDataLayer {

	public SchedulingDataLayerMdws(MdwsConfiguration mdwsConfiguration) {
		super(mdwsConfiguration);
	}

	@Override
	public Patients getPatientsByClinic(String siteCode, String clinicId, String startDate, String stopDate) {
		SchedulingSvcConnection authenticatedConnection = super.getAuthenticatedConnection(siteCode);
		//getting the patient's by clinic id, start and stop dates
        PatientArray patientArray = authenticatedConnection.getPort().getPatientsByClinic(clinicId, startDate, stopDate);
        MdwsResponseValidator.validateMdwsObject(patientArray);
        Patients retValue = PatientArrayTranslator.translate(patientArray, siteCode);
		return retValue;
	}
	
}
