package com.agilex.healthcare.mobilehealthplatform.mdws.connection;

public class OrderMgmtConnectionManagerFactory {
	private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(OrderMgmtConnectionManagerFactory.class);

	private static OrderMgmtConnectionManager connectionManager;
	private static PoolConfiguration poolConfiguration;

	private OrderMgmtConnectionManagerFactory() {}

	public static OrderMgmtConnectionManager getInstance() {
		if (connectionManager != null)
			return connectionManager;

		if (poolConfiguration == null)
			getConfiguration();
		
		connectionManager = new BasicOrderMgmtConnectionManager();
		return connectionManager;
	}

	private static PoolConfiguration getConfiguration() {
		if (poolConfiguration == null) {
			logger.debug("Loading connection pool configuration");
			poolConfiguration = new PoolConfiguration();
			poolConfiguration.load();
		}
		return poolConfiguration;
	}
}
