package com.agilex.healthcare.mobilehealthplatform.mdws.connection;

public class SchedulingSvcConnectionManagerFactory {
	private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(SchedulingSvcConnectionManagerFactory.class);

	private static SchedulingSvcConnectionManager connectionManager;
	private static PoolConfiguration poolConfiguration;

	private SchedulingSvcConnectionManagerFactory() {}

	public static SchedulingSvcConnectionManager getInstance() {
		if (connectionManager != null)
			return connectionManager;

		if (poolConfiguration == null)
			getConfiguration();
		
		connectionManager = new BasicSchedulingConnectionManager();
		return connectionManager;
	}

	private static PoolConfiguration getConfiguration() {
		if (poolConfiguration == null) {
			logger.debug("Loading connection pool configuration");
			poolConfiguration = new PoolConfiguration();
			poolConfiguration.load();
		}
		return poolConfiguration;
	}
}
