package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.NoteTitle;
import com.agilex.healthcare.mobilehealthplatform.domain.NoteTitles;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.emrservice.TaggedText;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.emrservice.TaggedTextArray;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.emrservice.TextTO;

public class NoteTitlesTranslator {

	public NoteTitles translateTaggedTextArray(TaggedTextArray arr) {
		NoteTitles retValue = new NoteTitles();
		if (arr == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "TaggedTextArray was null");
		if (arr.getFault() != null)
			throw new MdwsResponseException(arr.getFault());
		if (arr.getResults() == null || arr.getResults().getTaggedText() == null)
			return retValue;

		Iterator<TaggedText> itTaggedResults = arr.getResults().getTaggedText().iterator();
		while (itTaggedResults.hasNext()) {
			TaggedText taggedResults = itTaggedResults.next();
			//Perform Error Checking
			if (taggedResults.getFault() != null)
				throw new MdwsResponseException(taggedResults.getFault());

			if (taggedResults.getTaggedResults() == null || taggedResults.getTaggedResults().getTaggedText() == null)
				continue;

			Iterator<TaggedText> itTaggedText = taggedResults.getTaggedResults().getTaggedText().iterator();
			while (itTaggedText.hasNext()) {
				TaggedText taggedText = itTaggedText.next();
				//Perform Error Checking
				if (taggedText.getFault() != null)
					throw new MdwsResponseException(taggedText.getFault());

				if (taggedText.getTextArray() == null || taggedText.getTextArray().getString() == null)
					continue;

				String ien = taggedText.getTag();
				
				Iterator<String> itString = taggedText.getTextArray().getString().iterator();
				while (itString.hasNext()) {
					String name = itString.next();
					NoteTitle noteTitle = new NoteTitle();
					noteTitle.setIen(ien);
					noteTitle.setName(name);
					retValue.add(noteTitle);
				}
			}
		}

		return retValue;
	}

	public boolean translateYesNo(TextTO textTO) {
		if (textTO == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "TextTO was null");
		if (textTO.getFault() != null)
			throw new MdwsResponseException(textTO.getFault());
		
		String str = textTO.getText();
		if ("Y".equalsIgnoreCase(str))
			return true;
		else if ("N".equalsIgnoreCase(str))
			return false;
		else
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "TextTO did not return a 'Y' or an 'N'");
	}

	public boolean translateYesNo(TaggedText textTO) {
		if (textTO == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "TextTO was null");
		if (textTO.getFault() != null)
			throw new MdwsResponseException(textTO.getFault());
		
		String str = textTO.getTag();
		if ("Y".equalsIgnoreCase(str))
			return true;
		else if ("N".equalsIgnoreCase(str))
			return false;
		else
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "TextTO did not return a 'Y' or an 'N'");
	}
}
