package com.agilex.healthcare.mobilehealthplatform.mdws.translator;


import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.ArrayOfString;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.OrderDetailTO;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TaggedOrderDetailArray;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TextArray;

public class OrderDetailTranslator {

	public String translateFromTaggedOrderArray(TaggedOrderDetailArray arr) {
		StringBuilder retValue = new StringBuilder();
		if (arr == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedOrderDetailArray was null");
		if (arr.getFault() != null)
			throw new MdwsResponseException(arr.getFault());
		if (arr.getStatuses() == null || arr.getStatuses().getOrderDetailTO() == null)
			return retValue.toString();

		Iterator<OrderDetailTO> itOrderDetailTO = arr.getStatuses().getOrderDetailTO().iterator();
		while (itOrderDetailTO.hasNext()) {
			OrderDetailTO orderDetailTO = itOrderDetailTO.next();
			//Perform Error Checking
			if (orderDetailTO.getFault() != null)
				throw new MdwsResponseException(orderDetailTO.getFault());
			String text = orderDetailTO.getMessage();
			retValue.append(text)
					.append("\n");
		}

		return retValue.toString();
	}

	public String translateToResultDetails(TextArray textArray) {
		if (textArray == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "TextArray was null");
		if (textArray.getFault() != null)
			throw new MdwsResponseException(textArray.getFault());
		
		StringBuilder retValue = new StringBuilder();
		ArrayOfString textArr = textArray.getText();
		if (textArr != null && textArr.getString() != null) {
			Iterator<String> it = textArr.getString().iterator();
			while (it.hasNext()) {
				String text = it.next();
				retValue.append(text)
						.append("\n");
			}
		}
	
		return retValue.toString();
	}
}

