package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.OrderImagingType;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderImagingTypes;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.ImagingTypeTO;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TaggedImagingTypeArray;

public class OrderImagingTypesTranslator {

    public OrderImagingTypes translateFromTaggedImagingTypeArray(TaggedImagingTypeArray arr){
    	OrderImagingTypes retValue = new OrderImagingTypes();
    	if (arr == null)
    		throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedImagingTypeArray was null");
    	if (arr.getFault() != null)
    		throw new MdwsResponseException(arr.getFault());
    	if (arr.getImagingTypes() == null || arr.getImagingTypes().getImagingTypeTO() == null)
    		return retValue;

    	Iterator<ImagingTypeTO> itLVImagingTypeTO = arr.getImagingTypes().getImagingTypeTO().iterator();
    	while (itLVImagingTypeTO.hasNext()) {
    		ImagingTypeTO lvImagingTypeTO = itLVImagingTypeTO.next();
    		//Perform Error Checking
    		if (lvImagingTypeTO.getFault() != null)
    			throw new MdwsResponseException(lvImagingTypeTO.getFault());

    		OrderImagingType orderImagingType = createOrderImagingType(lvImagingTypeTO);
    		retValue.add(orderImagingType);
    	}

    	return retValue;
    }

    private OrderImagingType createOrderImagingType(ImagingTypeTO lvImagingTypeTO){
        String ien = lvImagingTypeTO.getIen();
		String name = lvImagingTypeTO.getName();
		String mnemonic = lvImagingTypeTO.getMnemonic();
		String displayGroup = lvImagingTypeTO.getDisplayGroup();
		
		OrderImagingType orderImagingType = new OrderImagingType();
        orderImagingType.setIen(ien);
        orderImagingType.setName(name);
        orderImagingType.setMnemonic(mnemonic);
        orderImagingType.setDisplayGroup(displayGroup);
        return orderImagingType;
    }
}
