package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.OrderResultsHistory;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.ArrayOfString;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TextArray;

public class OrderResultsHistoryTranslator {
	public OrderResultsHistory translate(String orderIen, TextArray textArray) {
		if (textArray == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "TextArray was null");
		if (textArray.getFault() != null)
			throw new MdwsResponseException(textArray.getFault());
		
		String resultHistory = "";
		OrderResultsHistory retValue = new OrderResultsHistory();
		retValue.setOrderIen(orderIen);
		
		ArrayOfString textArr = textArray.getText();
		if (textArr != null && textArr.getString() != null) {
			StringBuffer sb = new StringBuffer();
			Iterator<String> it = textArr.getString().iterator();
			boolean first = true;
			while (it.hasNext()) {
				String mdwsText = it.next();
				if (!first)
					sb.append("\n");
				sb.append(mdwsText);
				first = false;
			}
			resultHistory = sb.toString();
		}
		retValue.setResultHistory(resultHistory);
		return retValue;
	}
}
