package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.OrderService;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderServices;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.OrdersServiceTO;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TaggedOrdersServiceArray;

public class OrderServicesTranslator {
	public OrderServices translate(TaggedOrdersServiceArray arr) {
		OrderServices retValue = new OrderServices();
		if (arr == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedOrdersServiceArray was null");
		if (arr.getFault() != null)
			throw new MdwsResponseException(arr.getFault());
		if (arr.getServices() == null || arr.getServices().getOrdersServiceTO() == null)
			return retValue;

		Iterator<OrdersServiceTO> itOrdersServiceTO = arr.getServices().getOrdersServiceTO().iterator();
		while (itOrdersServiceTO.hasNext()) {
			OrdersServiceTO ordersServiceTO = itOrdersServiceTO.next();
			//Perform Error Checking
			if (ordersServiceTO.getFault() != null)
				throw new MdwsResponseException(ordersServiceTO.getFault());

			OrderService orderService = createOrderService(ordersServiceTO);
			retValue.add(orderService);
		}

		return retValue;

	}

	private OrderService createOrderService(OrdersServiceTO ordersServiceTO) {
		OrderService retValue = new OrderService();
		String ien = ordersServiceTO.getIen();
		String name = ordersServiceTO.getName();
		String parent = ordersServiceTO.getParent();
		
		retValue.setIen(ien);
		retValue.setName(name);
		retValue.setParent(parent);
		return retValue;
	}
}
