package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.OrderStatusValue;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderStatuses;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.OrderStatusTO;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TaggedOrdersStatusArray;

public class OrderStatusesTranslator {

	public OrderStatuses translateFromTaggedOrderArrays(TaggedOrdersStatusArray arr){
    	OrderStatuses retValue = new OrderStatuses();
    	if (arr == null)
    		throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedOrdersStatusArray was null");
    	if (arr.getFault() != null)
    		throw new MdwsResponseException(arr.getFault());
    	if (arr.getStatuses() == null || arr.getStatuses().getOrderStatusTO() == null)
    		return retValue;

    	Iterator<OrderStatusTO> itOrdersStatusTO = arr.getStatuses().getOrderStatusTO().iterator();
    	while (itOrdersStatusTO.hasNext()) {
    		OrderStatusTO ordersStatusTO = itOrdersStatusTO.next();
    		//Perform Error Checking
    		if (ordersStatusTO.getFault() != null)
    			throw new MdwsResponseException(ordersStatusTO.getFault());

    		OrderStatusValue orderStatusValue = createOrderStatusValue(ordersStatusTO);
    		retValue.add(orderStatusValue);
    	}

    	return retValue;
    }

    private OrderStatusValue createOrderStatusValue(OrderStatusTO ordersStatusTO){
        String ien = ordersStatusTO.getIen();
        String name = ordersStatusTO.getName();
        String parent = ordersStatusTO.getParent();
        boolean hasChildren = ordersStatusTO.isHasChildren();

        OrderStatusValue orderStatusValue = new OrderStatusValue();
        orderStatusValue.setIen(ien);
        orderStatusValue.setName(name);
        orderStatusValue.setParent(parent);
        orderStatusValue.setHasChildren(hasChildren);
        return orderStatusValue;
    }
}
