package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.OrderableImagingProcedure;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderableImagingProcedures;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.ImagingProcedureTO;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TaggedImagingProcedureArray;

public class OrderableImagingProceduresTranslator {

    public OrderableImagingProcedures translateFromTaggedOrderPickListArray(TaggedImagingProcedureArray arr){
    	OrderableImagingProcedures retValue = new OrderableImagingProcedures();
    	if (arr == null)
    		throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedImagingProcedureArray was null");
    	if (arr.getFault() != null)
    		throw new MdwsResponseException(arr.getFault());
    	if (arr.getProcedures() == null || arr.getProcedures().getImagingProcedureTO() == null)
    		return retValue;

    	Iterator<ImagingProcedureTO> itLVImagingProcedureTO = arr.getProcedures().getImagingProcedureTO().iterator();
    	while (itLVImagingProcedureTO.hasNext()) {
    		ImagingProcedureTO lvImagingProcedureTO = itLVImagingProcedureTO.next();
    		//Perform Error Checking
    		if (lvImagingProcedureTO.getFault() != null)
    			throw new MdwsResponseException(lvImagingProcedureTO.getFault());

    		OrderableImagingProcedure orderableImagingProcedure = createImagingProcedure(lvImagingProcedureTO);
    		retValue.add(orderableImagingProcedure);
    	}

    	return retValue;
    }

    private OrderableImagingProcedure createImagingProcedure(ImagingProcedureTO lvImagingProcedureTO) {
	    OrderableImagingProcedure orderableImagingProcedure = new OrderableImagingProcedure();
	    
	    String ien = lvImagingProcedureTO.getIen();
		String description = lvImagingProcedureTO.getDescription();
		boolean needsRadiologistApproval = lvImagingProcedureTO.isNeedsRadiologistApproval();
		
		orderableImagingProcedure.setIen(ien);
        orderableImagingProcedure.setName(description);
        orderableImagingProcedure.setNeedsRadiologistApproval(needsRadiologistApproval);
        
        return orderableImagingProcedure;
    }
}
