package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListItemEntries;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderPickListItemEntry;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.PickListEntryTO;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TaggedPickListArray;

public class PickListTranslator {

    public OrderPickListItemEntries translateFromTaggedOrderPickListArray(TaggedPickListArray arr){
    	OrderPickListItemEntries retValue = new OrderPickListItemEntries();
    	if (arr == null)
    		throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "LVTaggedPickListEntryArray was null");
    	if (arr.getFault() != null)
    		throw new MdwsResponseException(arr.getFault());
    	if (arr.getEntries() == null || arr.getEntries().getPickListEntryTO() == null)
    		return retValue;

    	Iterator<PickListEntryTO> itPickListEntryTO = arr.getEntries().getPickListEntryTO().iterator();
    	while (itPickListEntryTO.hasNext()) {
    		PickListEntryTO orderPickListTO = itPickListEntryTO.next();
    		//Perform Error Checking
    		if (orderPickListTO.getFault() != null)
    			throw new MdwsResponseException(orderPickListTO.getFault());

    		OrderPickListItemEntry orderPickListItemEntry = createOrderPickListItemEntry(orderPickListTO);
    		retValue.add(orderPickListItemEntry);
    	}

    	return retValue;
    }

    private OrderPickListItemEntry createOrderPickListItemEntry(PickListEntryTO orderPickListTO) {
    	String entryIen = orderPickListTO.getEntryIen();
        String entryName = orderPickListTO.getEntryName();
        boolean isDefaultEntry = orderPickListTO.isIsDefaultEntry();
		
        OrderPickListItemEntry orderPickListItemEntry = new OrderPickListItemEntry();
        orderPickListItemEntry.setIen(entryIen);
        orderPickListItemEntry.setName(entryName);
        orderPickListItemEntry.setDefaultEntry(isDefaultEntry);
        return orderPickListItemEntry;
    }
}
