package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.SecureMessageContact;
import com.agilex.healthcare.mobilehealthplatform.domain.SecureMessageContacts;
import com.agilex.healthcare.mobilehealthplatform.domain.code.AssigningAuthorityCode;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.mhvservice.ArrayOfTriageGroupTO;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.mhvservice.TriageGroupTO;

public class SecureMessageContactTranslator {

	public static SecureMessageContacts translateMhvArrayOfTriageGroup(ArrayOfTriageGroupTO arr) {
		SecureMessageContacts retValue = new SecureMessageContacts();
		if (arr == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "ArrayOfTriageGroupTO was null");
		if (arr.getTriageGroupTO() == null)
			return retValue;

		Iterator<TriageGroupTO> itTriageGroupTO = arr.getTriageGroupTO().iterator();
		while (itTriageGroupTO.hasNext()) {
			TriageGroupTO triageGroup = itTriageGroupTO.next();
			//Perform Error Checking
			if (triageGroup.getFault() != null)
				throw new MdwsResponseException(triageGroup.getFault());

			SecureMessageContact secureMessageContact = createSecureMessageContact(triageGroup);
			retValue.add(secureMessageContact);
		}

		return retValue;
	}

	private static SecureMessageContact createSecureMessageContact(TriageGroupTO triageGroup) {
		String name = triageGroup.getName();
		int id = triageGroup.getId();
		String uniqueId = Integer.toString(id);
		String sourceSystem = AssigningAuthorityCode.SECURE_MESSAGE;
		
		SecureMessageContact contact = new SecureMessageContact();
		contact.setName(name);
		contact.setUniqueId(uniqueId);
		contact.setSourceSystem(sourceSystem);
		return contact;
	}
	
}
