package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import com.agilex.healthcare.mobilehealthplatform.domain.SecureMessageUser;
import com.agilex.healthcare.mobilehealthplatform.domain.code.AssigningAuthorityCode;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.mhvservice.SmUserTO;

public class SecureMessageUserTranslator {
	public static SecureMessageUser translateMhvSmUser(SmUserTO mhvUser) {
		if (mhvUser == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "SmUserTO was null");
		//Perform Error Checking
		if (mhvUser.getFault() != null)
			throw new MdwsResponseException(mhvUser.getFault());
		
		String firstName = mhvUser.getFirstName();
		String lastName = mhvUser.getLastName();
		String middleName = mhvUser.getMiddleName();
		String ssn = mhvUser.getSsn();
		String email = mhvUser.getEmail();
		String username = mhvUser.getUsername();
		String assigningAuthority = AssigningAuthorityCode.SECURE_MESSAGE;
		int id = mhvUser.getId();
		String localPid = Integer.toString(id);
		
		SecureMessageUser user = new SecureMessageUser();
		user.setFirstName(firstName);
		user.setLastName(lastName);
		user.setMiddleName(middleName);
		user.setSsn(ssn);
		user.setEmail(email);
		user.setUsername(username);
		user.setPatientIdentifier(assigningAuthority, localPid);
		user.setUniqueId(localPid);
		return user;
	}
}
