package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.emrservice.TaggedText;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.emrservice.TaggedTextArray;

public class TaggedTextTranslator {

	public String translate(TaggedTextArray arr) {
		StringBuilder retValue = new StringBuilder();
		if (arr == null)
			throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "XXX was null");
		if (arr.getFault() != null)
			throw new MdwsResponseException(arr.getFault());
		if (arr.getResults() == null || arr.getResults().getTaggedText() == null)
			return retValue.toString();

		Iterator<TaggedText> itTaggedText = arr.getResults().getTaggedText().iterator();
		while (itTaggedText.hasNext()) {
			TaggedText taggedText = itTaggedText.next();
			//Perform Error Checking
			if (taggedText.getFault() != null)
				throw new MdwsResponseException(taggedText.getFault());

			String text = taggedText.getText();
			text += "\n\n";
			retValue.append(text);
		}

		return retValue.toString();
	}
}
