#!/bin/sh
# ###########################################################################
# Script generated by HP Fortify SCA Scan Wizard (c) HP Fortify 2011
# Created on 2014/02/07 11:38:31
# ###########################################################################
# Generated for the following languages:
# 	HTML
# 	Java
# 	Javascript
# 	XML
# ###########################################################################
# DEBUG - if set to true, runs SCA in debug mode
# SOURCEANALYZER - the name of the SCA executable
# BUILDID - the SCA build id
# LAUNCHERSWITCHES - the launcher settings that are used to invoke SCA
# ARGFILE - the name of the argument file that's extracted and passed to SCA
# MEMORY - the memory settings for SCA
# OLDFILENUMBER - this defines the file which contains the number of files within the project, it is automatically generated
# FILENOMAXDIFF - this is the percentage of difference between the number of files which will trigger a warning by the script
# ###########################################################################

DEBUG=false
SOURCEANALYZER=sourceanalyzer
FPR="FortifyHealthAdapter_Java.fpr"
BUILDID="PatientViewerServices"
ARGFILE="FortifyHealthAdapter_Java.sh.args"
MEMORY="-Xmx2400M -Xms1200M -Xss48M "
BUILD_CLASSES="../../DataServiceApi/build/libs/*.jar:../../HealthAdapterLib/build/libs/*.jar:../../HealthCheck/build/libs/*.jar:../../MDWSLib/build/libs/*.jar"
BUILD_DIR="../build"

LAUNCHERSWITCHES=""
OLDFILENUMBER=FortifyHealthAdapter_Java.sh.fileno
FILENOMAXDIFF=10

if [ -z "$1" ]; then
     PROJECTROOT0="$HOME/patient-viewer-resources/Product/Production/PatientViewerServices";
 else
     PROJECTROOT0=$1;
 fi

 if [ -z "$2" ]; then
     DEPENDENT_JARS="$HOME/.gradle/caches/artifacts-24/filestore/**/*.jar"
 else
     DEPENDENT_JARS="$2"
 fi

 if [ ! -d "$PROJECTROOT0" ]; then
    echo  "ERROR: This script is  configured to locate files at $PROJECTROOT0"
    echo  "       Please modify the \$PROJECTROOT0 variable found at the top of this script"
    echo  "       to point to the corresponding directory located on this machine.\n"
    echo  "Usage: FortifyHealthAdapter.sh <PROJECT_ROOT0> <DEPENDENT_JARS"
    echo  "       <PROJECT_ROOT0> - optional if not set defaults to $HOME/patient-viewer-resources/Product/Production/PatientViewerServices"
    echo  "       <DEPENDENT_JARS> - optional if not set defaults to $HOME/.gradle/caches/artifacts-24/filestore/**/*.jar\n"
    exit
 fi

if [ $DEBUG = true ]; then export LAUNCHERSWITCHES="-debug $LAUNCHERSWITCHES"; fi
echo Extracting Arguments File


grep "# ARGS" $0 | grep -v grep | cut -d" " -f3- | sed -e s#PROJECTROOT0_MARKER#"$PROJECTROOT0"#g   > $ARGFILE

# ###########################################################################
echo Cleaning previous scan artifacts
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -clean 
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Translating files
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -cp $DEPENDENT_JARS:$BUILD_CLASSES @$ARGFILE
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Testing Difference between Translations
FILENUMBER=`$SOURCEANALYZER -b $BUILDID -show-files | wc -l`

if [ ! -f $OLDFILENUMBER ]; then
	echo It appears to be the first time running this script, setting $OLDFILENUMBER to $FILENUMBER
	echo $FILENUMBER > $OLDFILENUMBER
else
	OLDFILENO=`cat $OLDFILENUMBER`
	DIFF=`expr $OLDFILENO "*" $FILENOMAXDIFF`
	DIFF=`expr $DIFF /  100`

	MAX=`expr $OLDFILENO + $DIFF`
	MIN=`expr $OLDFILENO - $DIFF`

	if [ $FILENUMBER -lt $MIN ] ; then SHOWWARNING=true; fi
	if [ $FILENUMBER -gt $MAX ] ; then SHOWWARNING=true; fi

	if [ $SHOWWARNING == true ] ; then
		echo "WARNING: The number of files has changed by over $FILENOMAXDIFF%, it is recommended"
		echo "         that this script is regenerated with the ScanWizard"
	fi

	echo $MAX $MIN $DIFF
fi;

# ###########################################################################
echo Starting scan
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -scan -findbugs -java-build-dir $BUILD_DIR -f $FPR
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Finished scan
# ARGS "-source"
# ARGS "1.6"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/resources/qunit/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/com/agilex/healthcare/mobilehealthplatform/restservice/serializer/healthstatus/HealthStatus.healthy.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/com/agilex/healthcare/mobilehealthplatform/restservice/serializer/healthstatus/HealthStatus.unhealthy.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/404.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/admin/systemhealth/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/panes/about.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/appointment-list-filter-dropdown.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/appointment-list-item.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/appointment-request-details.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/appointment-request-list-item.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/appointment-request-status.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/confirm-cancellation-content.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/error-form.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/feedback-dialog.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/feedback.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/list-view-header.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/notification-preferences-form.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/notification-preferences-status.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/notifications-dialog.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/notifications.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/providers.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/request-form.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/request-notice.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/second-request-inputs.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/second-request-message.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/status-filter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/success-form.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/html/templates/verify-appointment-request.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/html/header.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/html/messaging.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/html/templates/header.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/html/templates/lists/scvPatientAppointmentListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/html/templates/navbars/masterLeft.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/html/templates/navbars/scvLeftPane.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/html/templates/lists/listDivider.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/html/templates/lists/listItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/html/templates/navbars/patientSearch.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/html/templates/navbars/primaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/html/templates/navbars/secondaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/html/templates/panes/availableApps.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/html/templates/panes/summary.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/dialog.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/errorMessage.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/footer.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/footerMenuPopup.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/main-doubleColumn.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/main-multiColumn.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/main-single-column.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/main-singleColumn.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/main-two-column.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/more-btn.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/primary.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/secondary.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/solo.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/html/templates/common/userBar.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/info.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/launchpad/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/html/templates/lists/dividerItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/html/templates/lists/durationItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/html/templates/lists/listItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/html/templates/menus/customDateMenu.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/html/templates/navbars/primaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/html/templates/navbars/secondaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/html/templates/panes/detailsNotice.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/html/templates/panes/module.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/collapsibleCheckListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/collapsibleFolder.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/collapsibleHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/collapsibleListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/consultListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/detailsListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/durationListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/eventsListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/labResultsGraphListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/labResultsList.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/labResultsListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/labResultsTimeListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/listDivider.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/listHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/listItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/medListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/microbiologyListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/radiologyGroupedListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/radiologyRecentListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/resultItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/lists/standardFolder.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/menus/customDateMenu.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/menus/dateRangeMenu.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/menus/rangeMenu.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/navbars/advancedSearchSecondaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/navbars/labTabs.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/navbars/patientSearch.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/navbars/patientSearchAndFilter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/navbars/primaryDateTabs.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/navbars/primaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/navbars/primarySubTitle.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/navbars/secondaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/navbars/soloHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/allergies.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/clinicalFilter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/consultDetail.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/consultEventDetails.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/consultFilter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/consults.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/contactInformation.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/eula.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/eulaFooter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/hospitalEventDetails.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/labResult.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/labResultsInfo.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/layout.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/medDetails.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/medFilter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/medicalDiagnoses.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/medications.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/module.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/multiGraph.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/notesSection.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/pastEventDetails.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/radiology.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/standardGraph.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/surgeries.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/vitalsTable.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/html/templates/panes/vitalsTableRow.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/html/templates/main.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/newbrowser.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/html/templates/appointment-details.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/html/templates/consult-orders.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/html/templates/future-appointments.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/html/templates/left-panel.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/html/templates/main-single-column.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/html/templates/patient-booking-notes.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/html/templates/sub-header.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/html/templates/wait-list.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/collapsibleFolder.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/documents-checkbox.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/documents-content.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/documents-details.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/documents-empty-section.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/documents-filter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/documents-list-item.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/documents-list-section.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/documents-list-static-section.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/documents-sort.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/future-appointments.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/hospitalizations.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/labTabs.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/notesSection.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/patient-info.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/primaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/primarySubTitle.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/radiology-filter.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/radiology.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/html/templates/radiologyListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/roa/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/appointment-request-details.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/ardetailcodes-form.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/book-form.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/cancel-form.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/datatable.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/request-patient-name.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/request-status.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/save-form.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/take-action.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/unavailable-form.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/html/templates/video-to-phone.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling2/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/lists/editListItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/lists/folderItem.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/lists/listItemFrom.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/lists/listItemTo.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/menus/moveMenu.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/navbars/editActionsMenu.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/navbars/primaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/navbars/secondaryHeader.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/panes/about.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/panes/complete.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/panes/compose.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/panes/details.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/panes/noAccount.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/html/templates/panes/reply.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/staff-user-disclaimer/html/sud.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/staff-user-disclaimer/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/summaryofcare/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/customdataview/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/mbb/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/consults/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/orders/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/radiology/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/search/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/tasklist/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/vitals/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging-opt-out/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/sinonPoc/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/staffSmokeTest/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcaremcmohan/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/unit/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/testswarm/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/HomeControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/LoginLogoutControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/AdmissionsDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/AllergyClinicalDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/ChemistryLabTestDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/ClinicalAppointmentDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/DemographicsClinicalDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/LabTestDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/MedicationClinicalDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/MedicationHistoryClinicalDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/MicroLabDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/ProblemClinicalDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/RadiologyDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/SurgeryClinicalDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/share/VitalsDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/soc/ClinicEventsDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mbb/controller/soc/PatientSummaryClinicalDomainControllerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/dataservice/MVisumDataServiceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/AbstractPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/AdmissionsPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/AdvocateAuthorizationTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/AllergiesPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/AppointmentsPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/ChemistryPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/CoverPagePDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/DemographicsPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/LabPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/MedicationHistoryPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/MedicationsPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/MicrobiologyPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/PDFLearningTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/ProblemsPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/RadiologyPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/securemessage/SecureMessagePDFTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/SurgeriesPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/pdf/VitalsPDFReportTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/restservice/AssessmentDataHelper.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/restservice/AssessmentsDataTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/restservice/ExtendedDataTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/restservice/PainManagementGraphResourceTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/restservice/PatientAllergyTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/restservice/PatientImageTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/healthcare/mobilehealthplatform/test/SpringBasedIntegration.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/qunit/QUnitTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/restservice/serializer/MediaTypeComparerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/restservice/serializer/SampleReadXmlTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/roa/PNGLearningTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/roa/RoaImageGeneratorTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/healthcare/mobilehealthplatform/util/URLUtilityTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/com/agilex/healthcare/mobilehealthplatform/restservice/mvisum.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/log4j.properties"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/resources/qunit/libs/qunit.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/resources/qunit/test.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/admin/systemhealth/js/events.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/collections/AppointmentRequests.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/router.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/aboutView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/appointmentListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/AppointmentRequestDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/appointmentRequestFormView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/appointmentRequestListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/AppointmentRequestStatusFilterView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/confirmCancellationContentView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/errorFormView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/errorView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/feedbackView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/headerView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/mainView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/newAppointmentRequestView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/NotificationPreferenceSettingsListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/NotificationPreferencesFormView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/notificationsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/primaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/providerSelectView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/requestNoticeView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/statusFilterView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/successFormView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments-amd/js/views/VerifyNewAppointmentRequestView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/collections/AppointmentRequests.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/collections/Appointments.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/collections/ErrorMsgs.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/collections/Facilities.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/collections/Navigation.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/collections/PatientLinks.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/collections/Resources.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/collections/UserFeeds.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/Appointment.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/AppointmentMetric.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/AppointmentRequest.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/AppointmentRequestInProcess.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/AppointmentRequestMessage.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/Error.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/Facility.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/Feed.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/MentalHealthProviders.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/NavigationLink.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/NotificationPreferences.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/Patient.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/PatientIdentifiers.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/PatientLink.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/PrimaryCareProviders.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/RequestMetaData.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/ResourceLink.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/ROAImage.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/models/User.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/utilities.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/appointment-requests/js/views/messagingView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/js/collections/futureAppointments.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/js/views/headerView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/js/views/masterLeftView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/js/views/scvPatientAppointmentsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/common/js/views/singleMainView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/collections/customDataColl.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/collections/modules.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/collections/patients.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/collections/questionResponses.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/libs/jquery.dataTables.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/models/customData.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/models/module.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/models/patient.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/models/questionResponse.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/models/questions.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/PV.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/router.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/views/customDataView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/views/patientSearchView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/views/primaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/views/secondaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/customdataview/js/views/summaryView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/Gruntfile.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/bookmark_bubble.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/bookmark_load.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/browserSniffer.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/collections/Facilities.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/collections/footerButtons.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/collections/locationServiceResources.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/collections/patients.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/collections/patientSearchResource.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/collections/resources.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/data-calls.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/events.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/global.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/globalEvents.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/helper.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/ios-orientationchange-fix.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/backbone-1.0.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/backbone.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/bootstrap.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/bootstrap.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/date.format.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/FixedColumns.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/fullcalendar-custom.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/fullcalendar.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/highcharts-more.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/highcharts.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-datebox-1.1.0.comp.calbox.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-datebox-1.1.0.comp.calbox.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-datebox.comp.calbox.min-CUSTOM.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-datebox.comp.calbox.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-datebox.core.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-datebox.core.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-datebox.mode.calbox.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-datebox.mode.datebox.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm-datebox.mode.flipbox.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jqm.autoComplete.min-1.3.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery-1.7.1.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery-1.7.2.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery-1.8.2.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery-1.9.0.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery-1.9.1.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery-fullCalendar.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery-ui-1.8.21.custom.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery-ui-1.8.24.dev.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery-ui-1.9.0.custom.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.accessibleDatePicker.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.carouFredSel-6.1.0.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.chained.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.confirm.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.cookie.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.dataTables-config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.dataTables.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.formparams.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.isotope-1.5.19.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile-1.1.1.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile-1.2.0-CUSTOM.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile-1.2.0.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile-1.3.0.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile-1.3.0.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile-1.3.1.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile-1.3.1.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile-1.3.2.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile.accessibleAutocomplete.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile.datebox.i18n.en_US.utf8.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile.orderManagement-0.1.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile.progressNotes-0.1.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile.taskList-0.1.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mobile.WIDGET.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.mousewheel.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.polyfill.placeholder.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.resize.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.scrollstart.scrollstop.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.timePicker.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.touchSwipe-1.2.6.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/jquery.uniform.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/json2.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/mdm.core.html5.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/mobiscroll-2.0.custom.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/mobiscroll.full.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/modernizr-2.6.2-respond-1.1.0.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/modernizr.custom.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/modernizr.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/modernizr.placeholder.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/require-2.0.6.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/require-2.1.5.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/require-2.1.6.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/require-2.1.6.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/sinon-1.5.2.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/sinon-ie-1.5.2.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/sinon-qunit-1.0.0.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/underscore-1.4.4.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/libs/underscore.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/login.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/loginBrowserSniffer.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/mobileinit.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/models/Facility.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/models/footerButtonModel.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/models/mhpUser.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/models/patient.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/models/resourceLink.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/models/user.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/models/userSession.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/models.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/new-login.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/plugins.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/text.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/utilities.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/dialogView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/doubleColumnMainView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/footerView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/mainView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/oneMaxedWidthColumn.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/primaryView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/secondaryView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/singleColumnMainView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/soloView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/views/twoColumnMainView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/viz-metro.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/js/viz-two-column.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/collections/durations.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/collections/modules.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/collections/sections.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/mbb.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/models/duration.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/models/module.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/models/section.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/router.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/views/detailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/views/durationListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/views/primaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/views/primaryView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/views/secondaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/views/secondaryView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mbb/js/views/sectionListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/appointmentFolders.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/consult_list.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/durations.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/graphLabResultsByGroup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/hospitalEventsList.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/labGraphData.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/meds.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/microbiologyReportsByGroup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/pastEventsList.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/patients.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/radiologyByRecent.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/radiologyByType.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/Sections.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/timeReportsByGroup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/vitalSignsCheckList.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/vitalSignsCheckListActive.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/vitalSignsGraphData.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/collections/vitalSignsTable.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/allergies.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/appointment.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/clinicalFilter.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/consult_item.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/consultEvent.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/consultFilter.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/consults.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/contactInformation.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/dateRange.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/duration.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/graphLabResult.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/hospitalEvent.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/hospitalEventListItem.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/labGraphPoint.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/labTest.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/med.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/medDetails.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/medFilter.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/medicalDiagnoses.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/medications.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/microbiologyDetailedReport.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/microbiologyReport.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/noteEvent.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/pastEvent.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/pastEventListItem.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/patient.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/patientContext.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/patientGraph.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/radiology.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/radiologyDetails.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/searchModel.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/Section.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/source.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/staffUserDisclaimer.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/surgeries.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/Table.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/timeDetailedReport.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/timeReport.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/vitalsCheckItem.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/vitalsGraphPoint.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/models/vitalSignsTableRow.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/modules.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/accordionView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/clinicalEventsListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/consultDetailView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/consultEventDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/consultFilterView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/consultListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/consultView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/datatableView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/drawChartView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/drawPortableGraphView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/eulaView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/graphDateRangeView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/graphView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/graphViewMulti.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/hospitalEventDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsGraphListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsInfoView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsListContainerView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsMicroDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsMicroListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsTabView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsTimeDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsTimeListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsTimeView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/labResultsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/medDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/medFilterView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/medListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/medView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/pastEventDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/patientDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/patientSearchView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/primaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/radiologyDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/radiologyGroupedListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/radiologyRecentListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/radiologyTabView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/radiologyView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/rangeMenuView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/secondaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/sectionListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/soloHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/tabView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/vitalSignsCheckListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/vitalSignsListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/modules/js/views/vitalSignsTableView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/collections/mVisumFacilities.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/jqm-config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/appointment.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/docType.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/document.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/documentsFilter.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/hospitalization.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/mvisum.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/radiology.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/radiologyDetails.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/radiologyFilter.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/specialty.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/models/taskListItem.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/router.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/mVisum/js/views/mainView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/collections/FacilityWaitList.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/collections/PatientWaitList.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/router.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/views/facilityWaitListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/views/fullWidthMainView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/views/headerView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/views/leftPanelView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/panel-example/js/views/patientWaitListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/collections/appointments.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/collections/docTypes.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/collections/documents.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/collections/documentsList.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/collections/hospitalizations.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/collections/mVisumFacilities.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/collections/radiologyResults.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/collections/specialties.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/jqm-config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/models/appointment.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/models/docType.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/models/document.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/models/documentsFilter.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/models/hospitalization.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/models/radiology.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/models/radiologyDetails.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/models/radiologyFilter.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/models/specialty.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/router.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/documentsDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/documentsListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/documentsSortView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/documentsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/patientDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/patientInfoView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/primaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/primaryView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/pvFooterView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/radiologyDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/radiologyFilterView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/radiologyGroupedListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/radiologyRecentListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/patient-viewer/js/views/radiologyView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/roa/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling/js/libs/jquery.dataTables.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/js/collections/AppointmentRequests.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/js/router.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/js/views/appointmentRequestDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/js/views/appointmentRequestListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/js/views/headerView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling-amd/js/views/processRequestView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling2/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/scheduling2/js/libs/jquery.dataTables.min.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/collections/secureMessageContacts.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/collections/secureMessageFolders.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/collections/secureMessages.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/models/secureMessage.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/models/secureMessageContact.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/models/secureMessageFolder.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/models/secureMessageUser.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/router.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/sm.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/aboutView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/composeView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/detailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/editActionsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/editListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/folderListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/itemListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/noAccountView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/primaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/primaryView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/secondaryHeaderView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/secure-messaging/js/views/secondaryView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/staff-user-disclaimer/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/staff-user-disclaimer/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/summaryofcare/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/summaryofcare/js/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/summaryofcare/js/jqm-config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/summaryofcare/js/router.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments/38511.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments/38717.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments/39417.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments/39418.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments/39584.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/1196.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/38511.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/38717.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/39417.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/39418.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/39584.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/524.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/526.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/528.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/908.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/appointments-amd/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/async.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/asyncSeries.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/customdataview/416.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/customdataview/417.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/customdataview/423.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/customdataview/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/customdataview/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/customdataview/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/grunt-tasks/grunt-junit.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/grunt-tasks/qunit/phantom.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/grunt-tasks/qunit/qunit.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/grunt-tasks/qunit.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/helpers.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/jquery.mockjax.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/jquery.simulate.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/mbb/39611.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/mbb/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/mbb/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/mbb/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/modules/36919.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/modules/36933.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/modules/36948.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/modules/36961.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/modules/37175.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/modules/37353.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/modules/39630.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/modules/39949.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/2366.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/37009.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/39630.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/40005.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/40080.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/40458.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/consults/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/consults/PV-178.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/consults/PV-184.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/consults/PV-350.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/consults/PV-382.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/consults/PV-584.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/consults/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/consults/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/documentDetails.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/documentListing.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/pv174.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/pv411.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/pv414.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/pv576.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/pv724.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/pv726.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/documents/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/mockJaxCalls.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/mVisumLaunch.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/orders/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/orders/mom10.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/orders/mom2.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/orders/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/orders/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/pv191.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/pv204.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/radiology/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/radiology/pv140.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/radiology/pv149.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/radiology/pv190.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/radiology/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/radiology/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/search/2135.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/search/2137.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/search/2138.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/search/40008.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/search/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/search/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/summary.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/tasklist/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/vitals/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/vitals/PV-189.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/vitals/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/patient-viewer/vitals/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/consultNote.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/encounterFormDiagnosis.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/encounterFormProcedures.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/encounterFormProvider.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/encounterFormRelatedTo.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/encounterFormSign.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/encounterFormVisitType.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/encounterLinkage.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/PV-155.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/PV-183.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/PV-188.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/signAdmission.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/signAppointment.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/signNewVisit.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/progress-notes/utilities.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/qunit/qunit-composite.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/qunit/qunit.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/runner.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling/39281.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/1577.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/1781.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/39281.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/527.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/528.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/detailsDisplay.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-amd/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-calendar-view/1134.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-calendar-view/1511.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-calendar-view/scv47.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-calendar-view/scv51.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-calendar-view/scv70.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-calendar-view/scv82.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling-calendar-view/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/1577.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/1781.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/39281.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/527.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/528.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/detailsDisplay.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/scheduling2/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/36817.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/37051.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/37069.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/37897.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/39635.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/39670.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/39804.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging-opt-out/39624.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging-opt-out/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging-opt-out/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/secure-messaging-opt-out/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/sinonPoc/39886.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/sinonPoc/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/sinonPoc/mockjax.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/sinonPoc/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/sinonPoc/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/staffSmokeTest/antibiogram.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/staffSmokeTest/patientViewer.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/staffSmokeTest/progressNotes.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/staffSmokeTest/scheduling2.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/staffSmokeTest/schedulingManager.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/staffSmokeTest/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/staffSmokeTest/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/2266.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/36982.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/37385.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/40056.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/40080.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/40151.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcare/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcaremcmohan/37385mcmohan.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcaremcmohan/39630mcmohan.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcaremcmohan/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcaremcmohan/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/summaryofcaremcmohan/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/testUtilities.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/unit/appointmentsTests.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/unit/config.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/unit/notificationPreferencesTests.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/unit/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/unit/utilitiesTests.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/1196.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/38511.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/38717.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/39417.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/39418.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/39584.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/524.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/526.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/528.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/908.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteran-appointment-requests/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/appointments.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/common.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/launchpad.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/mbb.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/reprohealth.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/setup.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/summaryofcare.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/testconfig.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/test/veteranSmokeTest/veteranAppointmentRequest.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/app.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/aboutView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/appointmentListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/appointmentRequestDetailsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/appointmentRequestFormView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/appointmentRequestsListView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/appointmentRequestStatusFilterView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/confirmCancellationContentView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/errorView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/feedbackView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/FooterView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/notificationsView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/providerSelectView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/veteran-appointment-requests/js/views/successView.js"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/launchpad.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/admissions.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/allergies.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/appointments.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/demographics.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/labs.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/medicationhistory.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/medications.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/microlabs.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/problems.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/radiology.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/surgeries.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/share/vitals.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/soc/admission.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/soc/appointment.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/views/soc/patientSummary.jsp"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/com/agilex/healthcare/mobilehealthplatform/restservice/serializer/article.1.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/META-INF/cocoon/spring/common-security.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/META-INF/cocoon/spring/va-provider-dev/applicationContext-JPA.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/META-INF/cocoon/spring/va-provider-dev/applicationContext-security.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/META-INF/cocoon/spring/va-provider-prod/applicationContext-JPA.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/resources/META-INF/cocoon/spring/va-provider-prod/applicationContext-security.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments/.idea/scopes/scope_settings.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/appointments/.idea/workspace.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/crossdomain.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/sitemap.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/dispatcher-servlet.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/web.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/src/main/webapp/WEB-INF/weblogic.xml"
# ARGS "PROJECTROOT0_MARKER"
