@echo off
REM clear build directory (delete the tar file previously generated) before ICD artifact generation
IF NOT EXIST "%IHEALTHADAPTER_HOME%\Product\Production\PatientViewerServices\build\enunciate-working-area" GOTO NOWORKAREA
rmdir /s /q "%IHEALTHADAPTER_HOME%\Product\Production\PatientViewerServices\build\enunciate-working-area"
:NOWORKAREA

REM This is the actual set of calls that generates the new icd.tar file.
set ENUNCIATE_HOME=C:\enunciate-1.28
cd "%IHEALTHADAPTER_HOME%\Product\Production\PatientViewerServices"
CALL ..\gradlew clean build generateIcd -DuseEnunciate=true --info --stacktrace --debug > output.txt

REM clear 200+ MB from the temp directories after ICD artifact generation
echo Cleaning Up...
cd %TEMP%\
for /d %%a in (enunciate*) do rmdir /s /q %%a
del /q "%TEMP%\enunciate*"
cd "%IHEALTHADAPTER_HOME%\Product\Production\PatientViewerServices"

REM This checks to see if the tar file exists.
REM If the tar file does exist, it extracts it and launches Windows Explorer to that directory
IF NOT EXIST "%IHEALTHADAPTER_HOME%\Product\Production\PatientViewerServices\build\enunciate-working-area\generated-icd\patientviewerservices-icd.tar" GOTO EOF
"%ProgramFiles%\7-Zip\7z.exe" x build\enunciate-working-area\generated-icd\patientviewerservices-icd.tar -y -obuild\enunciate-working-area\generated-icd\icd | FIND "Everything is Ok"
start explorer.exe "%IHEALTHADAPTER_HOME%\Product\Production\PatientViewerServices\build\enunciate-working-area\generated-icd\icd"
echo .
echo .
echo .
echo Successful generation of artifacts will appear here:
echo build\enunciate-working-area\generated-icd\patientviewerservices-icd.tar
:EOF
@echo on