package com.agilex.healthcare.mobilehealthplatform.restservice;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.UriInfo;
import javax.ws.rs.core.HttpHeaders;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import com.agilex.healthcare.mvisum.dataservice.MVisumDataService;

/**
 * 
 * Rest service to fetch MVisum site specific URL
 *
 */
@Path("/mvisum")
@Component
@Scope("request")
public class MVisumResource {

	private final MVisumDataService dataService = new MVisumDataService();
	
	/**
	 * Endpoint returns mVisum Url
	 * 
	 * @param facilityCode
	 * @param staffId
	 * @return mVisum url
	 */
	@GET
	@Produces({ "application/xml", "application/json" })
	@Path("site/{facility-code}/id/{staff-id}/mvisum-url")
	public String fetchMVisumUrl(
			@PathParam("facility-code") String facilityCode,
			@PathParam("staff-id") String staffId, 
			@Context UriInfo uriInfo,
			@Context HttpHeaders headers) {
		return dataService.getMVisumUrl(facilityCode);
	}
}
