package com.agilex.healthcare.mobilehealthplatform.web;

import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

import com.agilex.healthcare.mobilehealthplatform.datalayer.appointment.AppointmentRequestInProcessDataService;
import com.agilex.healthcare.mobilehealthplatform.domain.MhpUser;
import com.agilex.healthcare.mobilehealthplatform.security.MhpUserFactory;

public class HAHttpSessionListener implements HttpSessionListener {

	private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory
			.getLog(HAHttpSessionListener.class);
	
	public void sessionCreated(HttpSessionEvent event) {
		//Not implemented
	}

	public void sessionDestroyed(HttpSessionEvent event) {
		MhpUser mhpUser = MhpUserFactory.createFromSecurityContext();

		if(mhpUser != null && mhpUser.getId() != null){
			removeInProcessAppointmentRequests(mhpUser);
		}
	}

	private void removeInProcessAppointmentRequests(MhpUser mhpUser) {
		logger.debug("Deleting Appointments Requests in Process for user: " + mhpUser.getId());
		AppointmentRequestInProcessDataService service = new AppointmentRequestInProcessDataService();
		service.deleteAppointmentRequestInProcessByUserId(mhpUser.getId());
	}
}