package com.agilex.healthcare.mobilehealthplatform.clientapi;

import javax.ws.rs.core.MediaType;

import org.junit.Assert;

import static org.junit.Assert.*;

import com.sun.jersey.api.client.ClientResponse;
import com.sun.jersey.api.client.UniformInterfaceException;

public class AssertJersey {
	
	public static void fail(UniformInterfaceException e) {
		String msg = getMessage(e);
		Assert.fail(msg);
	}
	
	public static String getMessage(UniformInterfaceException e) {
		String msg = e.getMessage();
		try { msg += ": " + e.getResponse().getEntity(String.class); }
		catch (Exception ex) { /* Ignore */ }
		return msg;
	}
	
	public static String getJSONResponse(ClientResponse response) {
		assertNotNull(response.getType());
		assertTrue(response.getType().isCompatible(MediaType.APPLICATION_JSON_TYPE));
		
		String msg = response.getEntity(String.class);
		return msg;
	}
}
