package com.agilex.healthcare.mobilehealthplatform.restservice;

import static org.junit.Assert.assertNotNull;

import java.net.URI;

import javax.ws.rs.core.UriBuilder;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Ignore;
import org.junit.Test;

import com.agilex.healthcare.mobilehealthplatform.clientapi.AssertJersey;
import com.agilex.healthcare.mobilehealthplatform.clientapi.MobileHealthClientTestVersion;
import com.agilex.healthcare.testutility.IntegrationTestConfiguration;
import com.agilex.healthcare.testutility.TestHelper;
import com.sun.jersey.api.client.UniformInterfaceException;

//Ignored because method - getClinicAppointments in AppointmentDataLayerCDW is not implemented.
@Ignore
public class ClinicAppointmentsResourceTest {

	private static MobileHealthClientTestVersion client;
	private static String deleteTokenURI = null;
	
	@BeforeClass
	public static void validateMode(){
		client = TestHelper.createApprovedMdwsProviderMobileHealthClient();
		deleteTokenURI = TestHelper.getDeleteTokenURI();
	}
	
	@AfterClass
	public static void destroy(){
		if (client!=null) {
			try {
				client.getJerseyClient().resource(deleteTokenURI).delete();
			}
			catch (UniformInterfaceException e) {
				AssertJersey.fail(e);
			}
			client.getJerseyClient().destroy();
			client=null;
		}
	}

    @Test
    public void testGetClinicAppointmentsAsIcsById(){
        String clinicId = "1001";
        URI clinicAppmntsUri = getClinicAppointmentsUri(clinicId);
        String result = client.getJerseyClient().resource(clinicAppmntsUri).get(String.class);
        assertNotNull(result);
    }
    
	private URI getClinicAppointmentsUri(String clinicId) {
		String uri = String.format("%s/clinic/%s/appointments", 
									IntegrationTestConfiguration.getMobileHealthServerBaseUri(), 
									clinicId);
		URI clinicAppmntsUri = UriBuilder.fromUri(uri).build();
		return clinicAppmntsUri;
	}
    
}