package com.agilex.healthcare.mobilehealthplatform.restservice;

import java.net.URI;

import javax.ws.rs.core.UriBuilder;

import junit.framework.Assert;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import com.agilex.healthcare.mobilehealthplatform.clientapi.AssertJersey;
import com.agilex.healthcare.mobilehealthplatform.clientapi.MobileHealthClientTestVersion;
import com.agilex.healthcare.mobilehealthplatform.domain.ReportDocuments;
import com.agilex.healthcare.testutility.IntegrationTestConfiguration;
import com.agilex.healthcare.testutility.TestHelper;
import com.sun.jersey.api.client.UniformInterfaceException;

public class JPVDocumentResourceTest {
	private static MobileHealthClientTestVersion client;
	private static String deleteTokenURI = null;
	
	@BeforeClass
	public static void validateMode(){
		client = TestHelper.createApprovedMdwsProviderMobileHealthClient();
		deleteTokenURI = TestHelper.getDeleteTokenURI();
	}
	
	@AfterClass
	public static void destroy(){
		if (client!=null) {
			try {
				client.getJerseyClient().resource(deleteTokenURI).delete();
			}
			catch (UniformInterfaceException e) {
				AssertJersey.fail(e);
			}
			client.getJerseyClient().destroy();
			client=null;
		}
	}
	
	@Test
	public void getAllReportsForPatientTest(){
		try {
			URI jpvDocumentsURI = UriBuilder.fromUri(getJpvDocumentsUri()).build();
			ReportDocuments reportDocuments=client.getJerseyClient().resource(jpvDocumentsURI).get(ReportDocuments.class);
			Assert.assertNotNull(reportDocuments);
			Assert.assertEquals(46, reportDocuments.getSize());
    	} catch (UniformInterfaceException e) {
    		AssertJersey.fail(e);
    	}
	}
	
	public String getJpvDocumentsUri(){
		String siteId = "777";
		String assigningAuthority = "dfn-777";
		String patientId = "224";
		String startDate = "01/01/2001";
		String endDate = "01/01/2012";
		return String.format("%s/jpv/site/%s/documents/patient/%s/%s/date?startDate=%s&endDate=%s", 
				IntegrationTestConfiguration.getMobileHealthServerBaseUri(),
				siteId,
				assigningAuthority,
				patientId,
				startDate,
				endDate);
	}
}