package com.agilex.healthcare.mobilehealthplatform.restservice;

import static org.junit.Assert.assertNotNull;

import java.net.URI;

import javax.ws.rs.core.UriBuilder;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import com.agilex.healthcare.mobilehealthplatform.clientapi.AssertJersey;
import com.agilex.healthcare.mobilehealthplatform.clientapi.MobileHealthClientTestVersion;
import com.agilex.healthcare.testutility.IntegrationTestConfiguration;
import com.agilex.healthcare.testutility.TestHelper;
import com.sun.jersey.api.client.UniformInterfaceException;

public class MVisumResourceTest {
	private static MobileHealthClientTestVersion client;
	private static String deleteTokenURI = null;

	@BeforeClass
	public static void startup() {
        client = TestHelper.createProviderMobileHealthClient();
		
		deleteTokenURI = TestHelper.getDeleteTokenURI();
	}

	@AfterClass
	public static void destroy() {
		if (client != null) {
			try {
				client.getJerseyClient().resource(deleteTokenURI).delete();
			}
			catch (UniformInterfaceException e) {
				AssertJersey.fail(e);
			}
			client.getJerseyClient().destroy();
			client = null;
		}
	}
	
	@Test
	public void fetchMVisumUrl() {
		try {
			final String providerIEN = "staff001";
			final String facilityCode ="688";
			URI uri = createMVisumUri(providerIEN, facilityCode);
			String mVisumUrl = client.getJerseyClient().resource(uri).get(String.class);
	        assertNotNull(mVisumUrl);
    	} catch (UniformInterfaceException e) {
    		AssertJersey.fail(e);
    	}
	}
	private URI createMVisumUri(String providerIEN, String facilityCode) {
		String uriFormat = String.format("%s/mvisum/site/%s/id/%s/mvisum-url",
										IntegrationTestConfiguration.getMobileHealthServerBaseUri(),
										facilityCode,
										providerIEN);
		URI uri = UriBuilder.fromUri(uriFormat).build();		
		return uri;
	}
}
