package com.agilex.healthcare.mobilehealthplatform.restservice.patient;

import java.net.URI;

import javax.ws.rs.core.UriBuilder;

import junit.framework.Assert;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import com.agilex.healthcare.mobilehealthplatform.clientapi.AssertJersey;
import com.agilex.healthcare.mobilehealthplatform.clientapi.MobileHealthClientTestVersion;
import com.agilex.healthcare.mobilehealthplatform.domain.OrderServices;
import com.agilex.healthcare.testutility.IntegrationTestConfiguration;
import com.agilex.healthcare.testutility.TestHelper;
import com.sun.jersey.api.client.UniformInterfaceException;

public class OrderServicesResourceTest {
	private static MobileHealthClientTestVersion client;
	private static String deleteTokenURI = null;
	
	private final String siteId ="777";
		
	@BeforeClass
	public static void startup() {
		client = TestHelper.createApprovedMdwsProviderMobileHealthClient();
		deleteTokenURI = TestHelper.getDeleteTokenURI();
	}

	@AfterClass
	public static void destroy() {
		if (client != null) {
			try {
				client.getJerseyClient().resource(deleteTokenURI).delete();
			}
			catch (UniformInterfaceException e) {
				AssertJersey.fail(e);
			}
			client.getJerseyClient().destroy();
			client = null;
		}
	}
	
	@Test
	public void fetchOrderServices(){
		try {
			URI uri = getUri(siteId);
			OrderServices orderServices = client.getJerseyClient().resource(uri).get(OrderServices.class);
			Assert.assertNotNull(orderServices);
			Assert.assertTrue(orderServices.getSize() > 0);
    	} catch (UniformInterfaceException e) {
    		AssertJersey.fail(e);
    	}
	}
	
//----------------------------------------------------------------------------------------------------------------------
	
	private URI getUri(String siteId) {
		String uriFormat = String.format("%s/order-services/site/%s",
										IntegrationTestConfiguration.getMobileHealthServerBaseUri(),
										siteId);
		URI uri = UriBuilder.fromUri(uriFormat).build();
		return uri;
	}
}
