package com.agilex.healthcare.mobilehealthplatform.restservice.system;

import static org.junit.Assert.assertNotNull;

import java.net.URI;

import javax.ws.rs.core.UriBuilder;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import com.agilex.healthcare.mobilehealthplatform.clientapi.AssertJersey;
import com.agilex.healthcare.mobilehealthplatform.clientapi.MobileHealthClientTestVersion;
import com.agilex.healthcare.testutility.IntegrationTestConfiguration;
import com.agilex.healthcare.testutility.TestHelper;
import com.sun.jersey.api.client.UniformInterfaceException;

public class SystemHealthResourceTest {
	private static MobileHealthClientTestVersion client;
	private static String deleteTokenURI = null;

	@BeforeClass
	public static void setup() {
		client = TestHelper.createApprovedMdwsProviderMobileHealthClient();
		deleteTokenURI = TestHelper.getDeleteTokenURI();
	}

	@AfterClass
	public static void destroy() {
		if (client != null) {
			try {
				client.getJerseyClient().resource(deleteTokenURI).delete();
			}
			catch (UniformInterfaceException e) {
				AssertJersey.fail(e);
			}
			client.getJerseyClient().destroy();
			client = null;
		}
	}
	
	@Test
	public void getConnectedSystems() {
		try {
			URI uri = getConnectedSystemsUri();
			String obj = client.getJerseyClient().resource(uri).get(String.class);
			assertNotNull(obj);
		} catch (UniformInterfaceException e) {
			AssertJersey.fail(e);
		}
	}
	
	@Test
	public void getConnectionTest() {
		try {
			URI uri = getConnectionTestUri();
			String obj = client.getJerseyClient().resource(uri).get(String.class);
			assertNotNull(obj);
		} catch (UniformInterfaceException e) {
			AssertJersey.fail(e);
		}
	}
	
	@Test
	public void getSmokeTest() {
		try {
			URI uri = getSmokeTestUri();
			String obj = client.getJerseyClient().resource(uri).get(String.class);
			assertNotNull(obj);
		} catch (UniformInterfaceException e) {
			AssertJersey.fail(e);
		}
	}

//----------------------------------------------------------------------------------------------------------------------

	private URI getConnectedSystemsUri() {
		String uri = String.format("%s/admin/systemhealth/connectedSystems", IntegrationTestConfiguration.getMobileHealthServerBaseUri());
		URI notesUri = UriBuilder.fromUri(uri).build();
		return notesUri;
	}
	
	private URI getConnectionTestUri() {
		String uri = String.format("%s/admin/systemhealth/connectionTest", IntegrationTestConfiguration.getMobileHealthServerBaseUri());
		URI notesUri = UriBuilder.fromUri(uri).build();
		return notesUri;
	}
	
	private URI getSmokeTestUri() {
		String uri = String.format("%s/admin/systemhealth/smokeTest", IntegrationTestConfiguration.getMobileHealthServerBaseUri());
		URI notesUri = UriBuilder.fromUri(uri).build();
		return notesUri;
	}
}
