package com.agilex.soap;

import javax.xml.soap.SOAPFault;

/**
 * Adapter for Java's SOAPFault class.
 */
public class Fault {
    private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(Fault.class);

    private final SOAPFault fault;

    public Fault(SOAPFault fault) {
        this.fault = fault;

        logger.warn(fault.getFaultString() + " " + fault.getFaultCode());
    }

    public String getFaultCode() {
        return fault.getFaultCode();
    }

    public String getFaultReason() {
        return fault.getFaultString();
    }
}
