#!/bin/sh
# ###########################################################################
# Script generated by HP Fortify SCA Scan Wizard (c) HP Fortify 2011
# Created on 2014/02/07 15:09:11
# ###########################################################################
# Generated for the following languages:
# 	Java
# 	XML
# ###########################################################################
# DEBUG - if set to true, runs SCA in debug mode
# SOURCEANALYZER - the name of the SCA executable
# BUILDID - the SCA build id
# LAUNCHERSWITCHES - the launcher settings that are used to invoke SCA
# ARGFILE - the name of the argument file that's extracted and passed to SCA
# MEMORY - the memory settings for SCA
# OLDFILENUMBER - this defines the file which contains the number of files within the project, it is automatically generated
# FILENOMAXDIFF - this is the percentage of difference between the number of files which will trigger a warning by the script
# ###########################################################################

DEBUG=false
SOURCEANALYZER=sourceanalyzer
FPR="FortifyVaMpiGateway.fpr"
BUILDID="VaMpiGateway"
ARGFILE="FortifyVaMpiGateway.sh.args"
MEMORY="-Xmx1200M -Xms600M -Xss24M "
BUILD_CLASSES="../../SoapLib/build/libs/*.jar:../../HealthCheck/build/libs/*.jar"
BUILD_DIR="../build"

LAUNCHERSWITCHES=""
OLDFILENUMBER=FortifyVaMpiGateway.sh.fileno
FILENOMAXDIFF=10

if [ -z "$1" ]; then
     PROJECTROOT0="$HOME/patient-viewer-resources/Product/Production/VaMpiGateway";
else
     PROJECTROOT0=$1;
fi

if [ -z "$2" ]; then
     DEPENDENT_JARS="$HOME/.gradle/caches/artifacts-24/filestore/**/*.jar"
else
     DEPENDENT_JARS="$2"
fi

 if [ ! -d "$PROJECTROOT0" ]; then
    echo  "ERROR: This script is  configured to locate files at $PROJECTROOT0"
    echo  "       Please modify the \$PROJECTROOT0 variable found at the top of this script"
    echo  "       to point to the corresponding directory located on this machine.\n"
    echo  "Usage: FortifyVaMpiGateway.sh <PROJECT_ROOT0> <DEPENDENT_JARS"
    echo  "       <PROJECT_ROOT0> - optional if not set defaults to $HOME/patient-viewer-resources/Product/Production/VaMpiGateway"
    echo  "       <DEPENDENT_JARS> - optional if not set defaults to $HOME/.gradle/caches/artifacts-24/filestore/**/*.jar\n"
    exit
fi
if [ $DEBUG = true ]; then export LAUNCHERSWITCHES="-debug $LAUNCHERSWITCHES"; fi
echo Extracting Arguments File


grep "# ARGS" $0 | grep -v grep | cut -d" " -f3- | sed -e s#PROJECTROOT0_MARKER#"$PROJECTROOT0"#g   > $ARGFILE

# ###########################################################################
echo Cleaning previous scan artifacts
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -clean 
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Translating files
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -cp $DEPENDENT_JARS:$BUILD_CLASSES @$ARGFILE
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Testing Difference between Translations
FILENUMBER=`$SOURCEANALYZER -b $BUILDID -show-files | wc -l`

if [ ! -f $OLDFILENUMBER ]; then
	echo It appears to be the first time running this script, setting $OLDFILENUMBER to $FILENUMBER
	echo $FILENUMBER > $OLDFILENUMBER
else
	OLDFILENO=`cat $OLDFILENUMBER`
	DIFF=`expr $OLDFILENO "*" $FILENOMAXDIFF`
	DIFF=`expr $DIFF /  100`

	MAX=`expr $OLDFILENO + $DIFF`
	MIN=`expr $OLDFILENO - $DIFF`

	if [ $FILENUMBER -lt $MIN ] ; then SHOWWARNING=true; fi
	if [ $FILENUMBER -gt $MAX ] ; then SHOWWARNING=true; fi

	if [ $SHOWWARNING == true ] ; then
		echo "WARNING: The number of files has changed by over $FILENOMAXDIFF%, it is recommended"
		echo "         that this script is regenerated with the ScanWizard"
	fi

	echo $MAX $MIN $DIFF
fi;

# ###########################################################################
echo Starting scan
$SOURCEANALYZER $MEMORY $LAUNCHERSWITCHES -b $BUILDID -scan -findbugs -java-build-dir $BUILD_DIR -f $FPR
if [ $? = 1 ] ; then
echo Sourceanalzyer failed, exiting
exit
fi
# ###########################################################################
echo Finished
# ARGS "-source"
# ARGS "1.6"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.va.mpi.model.GetIdsRequestBuilderTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.va.mpi.model.GetIdsResponseTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.va.mpi.model.IdTransformerTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/com.agilex.va.mpi.model.PatientCorrelationIdTest.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/index.html"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/com.agilex.va.mpi.model.html"
# ARGS -exclude "PROJECTROOT0_MARKER/src/inttest/java/com/agilex/va/mpi/PatientCorrelationTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/va/mpi/model/GetIdsRequestBuilderTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/va/mpi/model/GetIdsResponseTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/va/mpi/model/IdTransformerTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/src/test/java/com/agilex/va/mpi/model/PatientCorrelationIdTest.java"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/classes/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/reports/tests/packages/js/report.js"
# ARGS -exclude "PROJECTROOT0_MARKER/build/resources/main/config/ehcache.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.va.mpi.model.GetIdsRequestBuilderTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.va.mpi.model.GetIdsResponseTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.va.mpi.model.IdTransformerTest.xml"
# ARGS -exclude "PROJECTROOT0_MARKER/build/test-results/TEST-com.agilex.va.mpi.model.PatientCorrelationIdTest.xml"
# ARGS "PROJECTROOT0_MARKER"
