Overview
========
The Patient Viewer Service (PVS) is a middle-tier system designed to provide easy-to-consume, resource-oriented services to use when developing healthcare applications.

The PVS utilizes (MHP) Mobile Health Platform "Health Adapter" version 3.2.2 and extends functionality for staff facing applications.

The PVS was first utilized in VAi2 2010 "iHealth" initiative, and is currently being enhanced to support the VA's Clinic-in-Hand, Mobile Blue Button, and Mobile Display of Patient Data initiatives.  The PVS is made available to the VA as part of the Mobile Application Environment (MAE).

The PVS services include security/content related services (authentication, SSO, context); patient clinical data services (ability to fetch patient's clinical data); provider appointment calendar feeds; and metric/audit recording services (ability to monitor usage and performance).

The PVS has been designed to decouple the service endpoints, business logic, and data sources from each other. This allows for multiple service endpoints (REST vs SOAP, multiple REST resource formats) and allows for multiple data sources (Vista, CDW, etc). The concept of decoupling data sources makes it easier to utilize the PVS for different needs.

Setup
=====
Installation instructions can be found on the wiki [https://wiki.agilex.com/x/14C_/]


More Information
================
For more information see the PVS Software Documentation [https://wiki.agilex.com/display/vaha].


Version
============
Release-1.0.0
